<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'booking_requests';
//$is_admin = $g_O->session->userdata('role')=='admin'?true:false;

//options bar
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	/*array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add'),*/
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true)
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true,'class'=>'current current_f4')
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('payment_status_approve'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('payment_status_fail'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);


$config['list_header_fields'] = array(
	'booking_request_id'=>array( 'label'=>'#','width'=>5),
	'ctime'=>array( 'label'=>$lang->translate('ctime'),'width'=>10),
	'split_payment'=>array('label'=>$lang->translate('split_payment'),'width'=>5),
	'payment_status'=>array('label'=>$lang->translate('status'),'width'=>5),
	'booking_id'=>array('label'=>$lang->translate('booking').'#','width'=>''),
	'listing_id'=>array('label'=>$lang->translate('listing').'#','width'=>''),
	'payment_system'=>array('label'=>$lang->translate('payment_system'),'width'=>15),
	//'booking_fee'=>array('label'=>$lang->translate('booking_fee'),'width'=>5,'order'=>false),
	'coupon_code'=>array('label'=>$lang->translate('coupon_code'),'width'=>'')
);


$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'booking_request_id'
	)
);

$config['orderby'] = 'ctime desc';
$config['form_fields'] = array(
	 'booking_id'=>array('label'=>$lang->translate('booking_id'),'value'=>'','rules'=>''),
	 'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>''),
	 'payment_system'=>array('label'=>$lang->translate('payment_system'),'value'=>'','rules'=>''),
	 'payment_status'=>array(
	 	'label'=>$lang->translate('payment_status'),'value'=>'','rules'=>'',
	 	'options'=>array(
	 		'send'=>$g_O->lang->translate('payment_status_send'),
	 		'approve'=>$g_O->lang->translate('payment_status_approve'),
	 		'fail'=>$g_O->lang->translate('payment_status_fail')
	 	)
	 ),
	 'booking_fee'=>array('label'=>$lang->translate('booking_fee'),'value'=>'','rules'=>'')
);

$config['form_data_fields'] = array(
	'payment_status'
);