<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;

$obj = 'content';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['add_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['edit_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);
$config['quick_actions_wysiwyg'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple_wysiwyg'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple_wysiwyg'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
);

$config['list_header_fields'] = array(
	'content_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'ctime'=>array('label'=>$lang->translate('ctime'),'width'=>8),
	'mtime'=>array('label'=>$lang->translate('mtime'),'width'=>8),
	'title'=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>$obj)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'content_id'
	),
	'title'=>array(
		'operator'=>'like',
		'is_default'=>true
	)
);

$config['orderby'] = 'ctime desc';
$config['form_fields'] = array(
	'title'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required|','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'content_1'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>'trim|required'),
	'content_2'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>''),
	'content_3'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>''),
	'content_4'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>''),
	'content_5'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>''),
	'content_prefix'=>array('label'=>$lang->translate('content_prefix'),'value'=>'','rules'=>''),
	'content_suffix'=>array('label'=>$lang->translate('content_suffix'),'value'=>'','rules'=>'')
);

$config['form_data_fields'] = array(
	'title',
	'active',
	'content_1','content_2','content_3','content_4','content_5',
	'content_prefix','content_suffix'
);