<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;

$obj = 'coupons';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar

$config['list_header_fields'] = array(
	'coupon_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'start_date'=>array('label'=>$lang->translate('start_date'),'width'=>'','editable'=>true,'editable_section'=>$obj,'editable_class'=>'jeditable_datepicker'),
	'end_date'=>array('label'=>$lang->translate('end_date'),'width'=>'','editable'=>true,'editable_section'=>$obj,'editable_class'=>'jeditable_datepicker'),
	'title'=>array('label'=>$lang->translate('title'),'width'=>''),
	'coupon_code'=>array('label'=>$lang->translate('coupon_code'),'width'=>''),
	'utimes'=>array('label'=>$lang->translate('utimes'),'width'=>5),
	'discount'=>array('label'=>$lang->translate('discount'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'coupon_id'
	),
	'title'=>array(
		'operator'=>'like',
		'is_default'=>true
	)
);

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
); 

$config['orderby'] = 'coupon_id desc';
$config['form_fields'] = array(
	'title'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required'),
	'hash'=>array('label'=>'','value'=>'','trim'),
	'coupon_code'=>array('label'=>$lang->translate('coupon_code'),'value'=>'','rules'=>'trim|required|alpha_numeric'),
	'utimes'=>array('label'=>$lang->translate('utimes'),'value'=>1,'rules'=>'trim|required|numeric'),
	'discount'=>array('label'=>$lang->translate('discount'),'value'=>'','rules'=>'trim|required|numeric_or_percent'),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'start_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'trim|required'),
	'end_date'=>array('label'=>$lang->translate('end_date'),'value'=>'','rules'=>'trim|required'),
);

$config['form_data_fields'] = array(
	'active',
	'title','coupon_code','discount','utimes','start_date','end_date'
);