<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'gflash';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)

);
$config['options_bar']['view_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>false)

);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);

$config['options_bar']['add_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);
$config['quick_actions_wysiwyg'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple_wysiwyg'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple_wysiwyg'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
);

$config['list_header_fields'] = array(
	'gflash_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'flash_file'=>array('label'=>$lang->translate('flash_file'),'width'=>''),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'gflash_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'like'=>true
	)
);

$config['orderby'] = 'gflash_id desc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'','xss'=>true),
	'flash_file'=>array('label'=>'','value'=>'','rules'=>''),
	'flash_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'width'=>array('label'=>$lang->translate('width'),'value'=>0,'rules'=>'numeric'),
	'height'=>array('label'=>$lang->translate('height'),'value'=>0,'rules'=>'numeric')
);

$config['form_data_fields'] = array(
	'active',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'flash_file','width','height'
);

$config['upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/gflash/',
	'allowed_types'=>'swf',
	'max_size'=>0
);