<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;

$obj = 'imports';
$lang_key = $g_O->config->item('lang_key');

$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	//array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	//array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['template'] = array(
);
$config['options_bar']['process'] = array(
);
//end options bar

$config['quick_actions'] = array(
	//array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	//array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple'),
	array('id'=>'clone','label'=>$lang->translate('clone'),'href'=>'lclone_multiple')
);

$config['list_header_fields'] = array(
	'import_id'=>array( 'label'=>'#','width'=>5),
	//'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'title'=>array('label'=>$lang->translate('title'),'width'=>''),
	'import_file'=>array('label'=>$lang->translate('file'),'width'=>''),
	'xpath'=>array('label'=>$lang->translate('xpath'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'import_id',
	),
	'title'=>array(
		'operator'=>'like',
		'is_default'=>true
	)
);

$config['orderby'] = 'import_id desc';
$config['form_fields'] = array(
	'title'=>array('label'=>$g_O->lang->translate('title'),'value'=>'','rules'=>''),
	'import_file'=>array('label'=>$g_O->lang->translate('file'),'value'=>'','rules'=>''),
	'import_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'delete'=>array('label'=>'','value'=>'','rules'=>''),
	//uploadify
	'token'=>array(),
	'xpath'=>array('label'=>$g_O->lang->translate('xpath'),'value'=>'','rules'=>'')
);
$config['form_data_fields'] = array(
	'title','import_file','xpath'
);


$config['imports_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/imports/',
	//'upload_subdir'=>upload_subdir_p(),//!!do not activate
	'allowed_types'=>'xml|csv',
	'max_size'=>0 //KB
);
$config['form_fields']['import_file_upload']['options'] = array(
	'max_size'=>$config['imports_upload']['max_size']!=0?$config['imports_upload']['max_size']:'&#8734;',
	'allowed_types'=>implode(', ',explode('|',$config['imports_upload']['allowed_types'])),
	'max_size_uploadify'=>(1024*$config['imports_upload']['max_size']),
	'allowed_types_uploadify'=>"*.xml;*.csv"
);


$config['imports_menu'] = array(
	'imports_list'=>array(
		'label'=>$lang->translate('imports_list'),
		'extra_info'=>'',
		'href'=>'#',
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_list'
	),
	'overview'=>array(
		'label'=>$lang->translate('listing_overview'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_edit'
	),
	'template'=>array(
		'label'=>$g_O->lang->translate('imports_template'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_template'
	),
	'process'=>array(
		'label'=>$g_O->lang->translate('imports_process'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_tools'
	)
);

/* Template
***********************/
$config['template_form_fields'] = array(
	'xpath'=>array('label'=>$g_O->lang->translate('xpath'),'value'=>'','rules'=>''),
	'import_file'=>array('label'=>$g_O->lang->translate('file'),'value'=>'','rules'=>''),
	'template'=>array('label'=>$lang->translate('template'),'value'=>'','rules'=>''),
	'listing_images'=>array('label'=>$lang->translate('listing_images'),'value'=>'','rules'=>''),
	
	//general
	//-----------------------------------
	
	'user_id'=>array('label'=>$lang->translate('user'),'value'=>'','rules'=>'trim|required'),
	'listing_mtime'=>array('label'=>$lang->translate('mtime'),'value'=>'','rules'=>''),
	
	//listing main type
	'listing_main_type'=>array(
		'label'=>$lang->translate('listing_main_type'),'value'=>'sale','rules'=>'trim|required',
		'options'=>array()
	),
	'listing_main_type_script'=>array(
		'label'=>'','value'=>'sale___rent','rules'=>'', 'values'=>array()
	),
	'listing_main_type_xml'=>array(
		'label'=>'','value'=>'','rules'=>'','values'=>array()
	),
	
	//listing type id 
	'listing_type_id'=>array('label'=>$lang->translate('listing_type'),'value'=>'','rules'=>''),
	'listing_type_id_script'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	'listing_type_id_xml'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	
	'title_1'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'','xss'=>true),
	
	'summary_1'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'summary_2'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim','xss'=>true),
	'summary_3'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim','xss'=>true),
	'summary_4'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim','xss'=>true),
	'summary_5'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'keywords_1'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_2'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_3'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_4'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_5'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'price'=>array('label'=>$lang->translate('price'),'value'=>'','rules'=>'trim|required'),
	'currency_id'=>array('label'=>$lang->translate('currency'),'value'=>'','rules'=>'trim|required'),
	
	//0-price negotiating is not possible / 1- possible
	'price_status'=>array('label'=>'','value'=>0,'rules'=>''),
	'upfront_payment'=>array('label'=>$lang->translate('upfront_payment'),'rules'=>''),
	
	'available_from'=>array('label'=>$lang->translate('available_from'),'rules'=>'','value'=>date('Y-m-d H:i:s')),
	'open_house_date'=>array('label'=>$lang->translate('open_house_date'),'rules'=>''),
	'open_house_hour_from'=>array('label'=>$lang->translate('open_house_hour_from'),'rules'=>''),
	'open_house_hour_to'=>array('label'=>$lang->translate('open_house_hour_from'),'rules'=>''),
	
	'listing_status'=>array(
		'label'=>$lang->translate('listing_status'),
		'value'=>'inactive',
		'rules'=>'',
		'options'=>array(
			'inactive'=>$lang->translate('listing_status_inactive'),
			'active'=>$lang->translate('listing_status_active'),
			'pending'=>$lang->translate('listing_status_pending'),
			'sold'=>$lang->translate('listing_status_sold'),
			'withdrawn'=>$lang->translate('listing_status_withdrawn'),
			'active_contingent'=>$lang->translate('listing_status_active_contingent')
		)
	),// to add more options 1.add options 2. alter database enum list
	//general
	
	//location
	//-----------------------------------
	
	'location_id'=>array('label'=>'','value'=>'','rules'=>''),
	'location_str'=>array('label'=>'','value'=>'','rules'=>''),
	'address'=>array('label'=>$lang->translate('address'),'value'=>'','rules'=>'trim','xss'=>true),
	'zip_code'=>array('label'=>$lang->translate('zip_code'),'value'=>'','rules'=>'trim'),
	'lat'=>array('label'=>$lang->translate('lat'),'value'=>'','rules'=>''),
	'lng'=>array('label'=>$lang->translate('lng'),'value'=>'','rules'=>''),
	'zoom'=>array('label'=>$lang->translate('zoom'),'value'=>2,'rules'=>''),
	
	'neighborhood_1'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_2'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_3'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_4'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_5'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'directions_1'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_2'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_3'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_4'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_5'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'distances'=>array('label'=>$lang->translate('distances'),'value'=>'','rules'=>'', 'options'=>array(),
		'metrics'=>array(
			'km'=>$lang->translate('km'),
			'miles'=>$lang->translate('miles'),
			'meters'=>$lang->translate('meters'),
			'minutes'=>$lang->translate('minutes'),
		)
	),
	//end location
	
	//listing details
	//-----------------------------------
	
	'description_1'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'mls'=>array('label'=>$lang->translate('mls'),'value'=>'','rules'=>'trim'),
	'year_of_build'=>array('label'=>$lang->translate('year_of_build'),'value'=>'','rules'=>''),
	'no_rooms'=>array(
		'label'=>$lang->translate('number_rooms'),'value'=>'','rules'=>''
	),
	'no_bedrooms'=>array(
		'label'=>$lang->translate('number_bedrooms'),'value'=>'','rules'=>''
	),
	'no_bathrooms'=>array(
		'label'=>$lang->translate('number_bathrooms'),'value'=>'','rules'=>''
	),
	'no_half_bathrooms'=>array(
		'label'=>$lang->translate('number_half_bathrooms'),'value'=>'','rules'=>''
	),
	'no_floors'=>array('label'=>$lang->translate('no_floors'),'value'=>'','rules'=>''),
	'floor_number'=>array('label'=>$lang->translate('floor_number'),'value'=>'','rules'=>''),
	
	'lot_size'=>array(
		'label'=>$lang->translate('lot_size'),'value'=>'','rules'=>''
	),
	'square_metrics'=>array(
		'label'=>'','value'=>'sqm','rules'=>'required',
		'options'=>array(
			'sqf'=>$lang->translate('sqf'),
			'sqm'=>$lang->translate('sqm'),
			'square_yards'=>$lang->translate('square_yards'),
			'acres'=>$lang->translate('acres'),
			'hectares'=>$lang->translate('hectares')
		)
	),
	'live_square'=>array('label'=>$lang->translate('live_square'),'value'=>'','rules'=>''),
	'total_square'=>array('label'=>$lang->translate('total_square'),'value'=>'','rules'=>''),
	'land_square'=>array('label'=>$lang->translate('land_square'),'value'=>'','rules'=>''),
	'parking'=>array(
		'label'=>$lang->translate('parking'),'value'=>'','rules'=>''
	)
	//--end listing details
);
$config['template_form_data_fields'] = array(
	'template'
);

/* Process
***********************/
$config['process_form_fields'] = array(
	'xpath'=>array('label'=>'','value'=>'','rules'=>''),
	'template'=>array('label'=>'','value'=>'','rules'=>'')
);
$config['process_form_data_fields'] = array(
);

$config['process_tpl_fields'] = array(
	//'tags'=>array('callback'=>'_add_tags'),
	'user_id'=>array('parse_it'=>false),
	
	'listing_main_type'=>array(
		'callback'=>'_add_listing_main_type'
	),
	'listing_mtime'=>array('callback'=>'_add_listing_mtime'),
	'listing_type_id'=>array('callback'=>'_add_listing_type'),
	
	'title_1'=>array(),'title_2'=>array(),'title_3'=>array(),'title_4'=>array(),'title_5'=>array(),
	'summary_1'=>array(),'summary_2'=>array(),'summary_3'=>array(),'summary_4'=>array(),'summary_5'=>array(),
	'keywords_1'=>array(),'keywords_2'=>array(),'keywords_3'=>array(),'keywords_4'=>array(),'keywords_5'=>array(),
	
	'price'=>array(),
	'currency_id'=>array('callback'=>'_add_currency_id'),
	
	'upfront_payment'=>array(),
	'listing_status'=>array(),
	
	'location_id'=>array(),'lat'=>array(),'lng'=>array(),'address'=>array(),'zip_code'=>array(),
	'neighborhood_1'=>array(),'neighborhood_2'=>array(),'neighborhood_3'=>array(),'neighborhood_4'=>array(),'neighborhood_5'=>array(),
	'directions_1'=>array(),'directions_2'=>array(),'directions_3'=>array(),'directions_4'=>array(),'directions_5'=>array(),
	
	'description_1'=>array(),'description_2'=>array(),'description_3'=>array(),'description_4'=>array(),'description_5'=>array(),
	'mls'=>array(),
	'year_of_build'=>array(),
	'no_rooms'=>array(),
	'no_bedrooms'=>array(),
	'no_bathrooms'=>array(),
	'no_half_bathrooms'=>array(),
	'floor_number'=>array(),'no_floors'=>array(),
	
	'live_square'=>array(),'land_square'=>array(),'total_square'=>array(),
	'square_metrics'=>array('callback'=>'_add_square_metrics'),
	
	'lot_size'=>array(),
	'parking'=>array(),
	
	'listing_images'=>array('callback'=>'_add_listing_images')
);
$config['process_config'] = array(
	'only_records'=>array() // only records 1,2,3..will be imported
);