<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'payment_requests';
/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = 
$config['options_bar']['add'] = 
$config['options_bar']['edit'] = array(
	
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('payment_status_approve'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('payment_status_fail'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);


$config['list_header_fields'] = array(
	'payment_request_id'=>array( 'label'=>'#','width'=>5),
	'ctime'=>array( 'label'=>$lang->translate('ctime'),'width'=>10),
	'payment_status'=>array('label'=>$lang->translate('status'),'width'=>5),
	'user_id'=>array('label'=>$lang->translate('user'),'width'=>''),
	'payment_system'=>array('label'=>$lang->translate('payment_system'),'width'=>15),
	//'credits'=>array('label'=>$lang->translate('amount'),'width'=>10),
	'credits_formatted'=>array('label'=>$lang->translate('amount'),'width'=>10,'order_by'=>'credits'),
	'coupon_code'=>array('label'=>$lang->translate('coupon_code'),''),
	'service'=>array('label'=>$lang->translate('service'),'width'=>'')
);


$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);

if($g_O->session->userdata('role')=='admin')
{
	$config['search_fields'] = array(
		'id'=>array(
			'db_field'=>'payment_request_id',
			'operator'=>'='
		),
		'user'=>array(
			'operator'=>'join',
			'join_table'=>'users',
			'table'=>'payment_requests',
			'join_field'=>'user_id',
			'join_query'=>"(##join_table##.name LIKE '%##q##%')"
		),
		'user_id'=>array(
			'operator'=>'='
		),
		'payment_status'=>array(
			'operator'=>'=',
			'hidden'=>true
		)
	);
}
else
{
	$config['search_fields'] = array(
		'id'=>array(
			'db_field'=>'payment_request_id',
			'operator'=>'='
		),
		'payment_status'=>array(
			'operator'=>'=',
			'hidden'=>true
		)
	);
}

$config['orderby'] = 'ctime desc';
$config['form_fields'] = array(
	 'user_id'=>array('label'=>$lang->translate('user_id'),'value'=>'','rules'=>''),
	 'credits'=>array('label'=>$lang->translate('credits'),'value'=>'','rules'=>''),
	 'payment_system'=>array('label'=>$lang->translate('payment_system'),'value'=>'','rules'=>''),
	 'service'=>array('label'=>$lang->translate('payment_service'),'value'=>'','rules'=>''),
	 'payment_status'=>array(
	 	'label'=>$lang->translate('payment_status'),'value'=>'','rules'=>'',
	 	'options'=>array(
	 		'send'=>$g_O->lang->translate('payment_status_send'),
	 		'approve'=>$g_O->lang->translate('payment_status_approve'),
	 		'fail'=>$g_O->lang->translate('payment_status_fail')
	 	)
	 ),
	 'request_type'=>array(
	 	'label'=>$lang->translate('request_type'),'value'=>'','rules'=>''
	 )
);

$config['form_data_fields'] = array(
	'payment_status'
);