<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'packages';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
/* end options bar */

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'sms_package_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'title_1'=>array('label'=>$lang->translate('title'),'width'=>''),
	'no_sms'=>array('label'=>$lang->translate('no_sms'),'width'=>5),
	'price'=>array('label'=>$lang->translate('price'),'width'=>5)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'sms_package_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'like'=>true
	)
);

$config['orderby'] = 'price desc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'no_sms'=>array('label'=>$lang->translate('no_sms'),'value'=>0,'rules'=>'required'),
	'price'=>array('label'=>$lang->translate('price'),'value'=>0,'rules'=>'required'),
	'hidden'=>array('label'=>$lang->translate('hidden'),'value'=>0,'rules'=>'')
);

$config['form_data_fields'] = array(
	'active','title_1','title_2','title_3','title_4','title_5',
	'price','no_sms','hidden'
);