<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;

$obj = 'users';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	//array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['profile'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
);
$config['options_bar']['credits'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
);
$config['options_bar']['packages'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
);
$config['options_bar']['sms_packages'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
);

$config['search_bar']['add'] = 
$config['search_bar']['edit'] = 
$config['search_bar']['credits'] = 
$config['search_bar']['packages'] = 
$config['search_bar']['sms_packages'] =  array(
	'visible'=>false
);
//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'user_id'=>array( 'label'=>'#','width'=>5),
	'banned'=>array('label'=>$lang->translate('banned'),'width'=>6),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'verified_user'=>array('label'=>$lang->translate('verified'),'width'=>5),
	'active_newsletter'=>array('label'=>$lang->translate('active_newsletter'),'width'=>7),
	'role'=>array('label'=>$lang->translate('role'),'width'=>5),
	'username'=>array('label'=>$lang->translate('username'),'width'=>''),
	'email'=>array('label'=>$lang->translate('email'),'width'=>''),
	'package'=>array('label'=>$lang->translate('package'),'width'=>'','order'=>false),
	'listings'=>array('label'=>$lang->translate('listings'),'width'=>'','order'=>false),
	'credits'=>array('label'=>$lang->translate('balance'),'width'=>'','order'=>false),
	'sms'=>array('label'=>$lang->translate('sms'),'width'=>'','order'=>false)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'user_id'
	)
	,
	'username'=>array(
		'operator'=>'like'
	),
	'name'=>array(
		'operator'=>'like',
		'is_default'=>true
	),
	'email'=>array(
		'operator'=>'=',
		'wildcards'=>true
	),
	'role'=>array()
);

$config['orderby'] = 'user_id desc';

$config['form_fields'] = array(
	'last_login'=>array('value'=>''),'last_ip'=>array('value'=>''),
	'role'=>array(
		'label'=>$lang->translate('role'),
		'value'=>'owner',
		'rules'=>'required',
		'options'=>array(
			'guest'=>$lang->translate('guest'),
			'member'=>$lang->translate('member'),
			'admin'=>$lang->translate('admin')
		)
	),
	'username'=>array('label'=>$lang->translate('username'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'password'=>array('label'=>$lang->translate('password'),'value'=>'','rules'=>'trim|add_required','xss'=>false),
	'retype_password'=>array('label'=>$lang->translate('retype_password'),'value'=>'','rules'=>'trim|add_required|matches[password]','xss'=>true),
	
	'name'=>array('label'=>$lang->translate('name'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>'trim|required|valid_email','xss'=>true),
	'phone'=>array('label'=>$lang->translate('phone'),'value'=>'','rules'=>'trim','xss'=>true),
	'phone2'=>array('label'=>$lang->translate('phone2'),'value'=>'','rules'=>'trim','xss'=>true),
	'sms_phone'=>array('label'=>$lang->translate('phone'),'value'=>'','rules'=>'trim','xss'=>true),
	'sms_active'=>array('label'=>$lang->translate('phone'),'value'=>0,'rules'=>'','xss'=>true),
	'fax'=>array('label'=>$lang->translate('fax'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'country'=>array('label'=>$lang->translate('country'),'value'=>'','rules'=>'trim','xss'=>true,'options'=>array()),
	'location'=>array('label'=>$lang->translate('locations'),'value'=>'','rules'=>'trim','xss'=>true),
	'address'=>array('label'=>$lang->translate('address'),'value'=>'','rules'=>'trim','xss'=>true),
	'zip'=>array('label'=>$lang->translate('zip'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'active_newsletter'=>array('label'=>$lang->translate('active_newsletter'),'value'=>1,'rules'=>''),
	'banned'=>array('label'=>$lang->translate('banned'),'value'=>0,'rules'=>''),
	'ban_reason'=>array('label'=>$lang->translate('ban_reason'),'value'=>'','rules'=>''),
	'verified_user'=>array('label'=>$lang->translate('verified_user'),'value'=>'','rules'=>''),
	'paypal_email'=>array('label'=>$lang->translate('paypal'),'value'=>'','rules'=>'trim|valid_email')
);

$config['form_data_fields'] = array(
	'role','username','password','name','email','phone','phone2','fax','sms_phone','sms_active',
	'country','location','address','zip','active','active_newsletter','banned','ban_reason','verified_user','paypal_email'
);

if($g_O->session->userdata('role')!='admin')
{
	$config['form_data_fields'] = array(
		'username','password','name','email','phone','phone2','fax','sms_phone','sms_active',
		'country','location','address','zip','active_newsletter','paypal_email'
	);
}

$config['users_menu'] = array(
	'overview'=>array(
		'label'=>$lang->translate('users_overview'),
		'extra_info'=>'',
		'href'=>'',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_edit'
	),
	'profile'=>array(
		'label'=>$lang->translate('users_profile'),
		'extra_info'=>'',
		'href'=>'',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_profile'
	),
	'credits'=>array(
		'label'=>$lang->translate('balance'),
		'extra_info'=>'',
		'href'=>'',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_coin'
	),
	'packages'=>array(
		'label'=>$lang->translate('users_packages'),
		'extra_info'=>'',
		'href'=>'',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_briefcase'
		
	),
	'sms_packages'=>array(
		'label'=>$lang->translate('users_sms_packages'),
		'extra_info'=>'',
		'href'=>'',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_mail'
		
	)
);

// profile
$config['profile_list_header_fields'] = array(
	
);
$config['profile_form_fields'] = array(
	'company_name'=>array('label'=>$lang->translate('company_name'),'value'=>'','rules'=>'','xss'=>true),
	'website'=>array('label'=>$lang->translate('websit'),'value'=>'','rules'=>'trim|prep_url','xss'=>true),
	'logo_file'=>array('label'=>'','value'=>'','rules'=>''),
	'logo_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'delete_logo'=>array(),
	'languages'=>array('label'=>$lang->translate('languages'),'value'=>'','rules'=>'trim','xss'=>true)
	
);
$config['profile_db_fields'] = array();
$config['profile_quick_actions'] = array(
);

$config['profile_form_data_fields'] = array(
	'company_name','website','logo_file','languages'
);
$config['profile_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/logos/',
	'allowed_types'=>'jpg|jpeg|png|gif',
	'max_size'=>0, //KB
	'max_width'=>1024,
	'max_height'=>768
);
$config['profile_form_fields']['logo_file_upload']['options'] = array(
	'max_size'=>$config['profile_upload']['max_size']!=0?$config['profile_upload']['max_size']:'&#8734;',
	'max_size_wxh'=>($config['profile_upload']['max_width'].' &times; '.$config['profile_upload']['max_height'].' px'),
	'allowed_types'=>implode(', ',explode('|',$config['profile_upload']['allowed_types']))
);