<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'view_types';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'search_active','label'=>$lang->translate('search_active'),'href'=>'search_active_multiple'),
	array('id'=>'search_inactive','label'=>$lang->translate('search_inactive'),'href'=>'search_inactive_multiple'),
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'view_type_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>6),
	'search_active'=>array('label'=>$lang->translate('search_active'),'width'=>7),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
	'slug_'.$lang_key=>array('label'=>$lang->translate('slug'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'view_type_id'
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default'=>true
	)
);

$config['orderby'] = 'title_1 asc';
$config['form_fields'] = array(

	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'slug_1'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|valid_slug','xss'=>true),
	'slug_2'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|valid_slug','xss'=>true),
	'slug_3'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|valid_slug','xss'=>true),
	'slug_4'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|valid_slug','xss'=>true),
	'slug_5'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|valid_slug','xss'=>true),
	
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'search_active'=>array('label'=>$lang->translate('search_active'),'value'=>0,'rules'=>'')
);

$config['form_data_fields'] = array(
	'active',
	'title_1','title_2','title_3','title_4','title_5',
	'slug_1','slug_2','slug_3','slug_4','slug_5',
	'search_active'
);