<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;

$config['login_roles'] = array(
	'admin' => 1,
	'member'=> 2,
	'guest'=> 3,
	'user'	=> 100
);

$config['deny_with_flash_message'] = true;

$config['login_adminuri'] = 'admin/auth/login';
$config['login_memberuri'] = 'member/auth/login';

$config['login_record_ip'] = true;
$config['login_record_time'] = true;

$config['login_count_attempts'] = true;
$config['login_max_attempts'] = 5;
$config['login_attempt_expire'] = 60*60*24;//24h

$config['autologin_cookie_name'] = 'vrs7autologin';
$config['autologin_cookie_life'] = 60*60*24*7;//1 week

$config['email_activation'] = true;
$config['email_activation_expire'] = 60*60*24*2;

$config['forgot_password_expire'] = 60*15;//15 minutes


$config['form_fields'] = array(
	'username'=>array('label'=>$lang->translate('username'),'value'=>null,'rules'=>'required','xss'=>true),
	'password'=>array('label'=>$lang->translate('password'),'value'=>null,'rules'=>'required','xss'=>false),
	'remember'=>array('label'=>$lang->translate('remember'),'value'=>null,'rules'=>''),
	'captcha'=>array('label'=>$lang->translate('captcha'),'value'=>null,'rules'=>'required|check_captcha','xss'=>true)
);

$config['forgot_form_fields'] = array(
	'email'=>array('label'=>$lang->translate('email'),'value'=>null,'rules'=>'trim|required|valid_email','xss'=>true),
	'captcha'=>array('label'=>$lang->translate('captcha'),'value'=>null,'rules'=>'required|check_captcha','xss'=>true)
);

$config['reset_form_fields'] = array(
	'new_password'=>array('label'=>$lang->translate('new_password'),'value'=>null,'rules'=>'trim|required','xss'=>true),
	'retype_new_password'=>array('label'=>$lang->translate('retype_new_password'),'value'=>null,'rules'=>'trim|required|matches[new_password]','xss'=>true),
	'captcha'=>array('label'=>$lang->translate('captcha'),'value'=>null,'rules'=>'required|check_captcha','xss'=>true)
);

//lhash?
$config['lhash_key'] = 'lhash';
$config['use_lhash_check'] = true;//extra security layer