<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$temp_globals_js = 'temp_globals/js_min/';
$combine['global'] = array();
$combine['global_front'] = array(
	'global'=>array_merge($combine['global'],array(
		$temp_globals_js.'jquery-1.11.2.min.js',
		//$temp_globals_js.'jquery-migrate-1.2.1.min.js',
		
		$temp_globals_js.'jquery-ui.min.js',
		$temp_globals_js.'jquery.ui.touch-punch.js',
		'temp_globals/css/jquery-ui.min.css',
	
		'temp_globals/bootstrap/css/bootstrap.min.css',
		'temp_globals/bootstrap/js/bootstrap.min.js',
		
		$temp_globals_js.'jquery.unveil.js',//lazy load
		$temp_globals_js.'utils.js'
	)),
	'theme'=>array(
		//css
		'font-awesome.css',
		'smartmenu.css',
		'bootstrap-select.css',
		'icheck.css',
		'style.css',
		
		//js
		'jquery.smartmenu.js',
		'jquery.smartmenu.bootstrap.js',
		'bootstrap-select.js',
		'icheck.js',
		'all.js'
		
	)
);

/*
CMS PAGES
============================================*/
$combine['pages/index'] = $combine['pages'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'cms.js'
	)
));
$combine['contact'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'contact.js'
	)
));

$combine['newsletter'] = $combine['newsletter/subscribe'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(

	)
));


/*
NEWS
============================================*/
$combine['news'] = $combine['news/index'] = $combine['news/view'] = $combine['news/details'] =
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		's_news.css',
		'news.js'
	)
));

/*
GUIDES
============================================*/
$combine['guides'] = $combine['guides/index'] = $combine['guides/view'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		's_guides.css'
	)
));

$combine['guides/details'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'fotorama.css',
		'fotorama.js',
		
		's_guides.css',
		'guides.js'
	)
));


/*
LOGIN
============================================*/
$combine['auth'] = $combine['auth/index']  = $combine['auth/quick_login'] = $combine['auth/quick_forgot'] = 
$combine['auth/reset_password'] =  array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
	)
));


/*
HOMEPAGE
============================================*/
$combine['home'] = $combine['home/index'] = array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		//css
		'owl.carousel.css',
		'jquery-ui-theme.css',
		's_homepage.css',
		
		//js
		'image-scale.js',
		'owl.carousel.js',
		
		'jquery.auto-grow-input.js',
		'handlebars.js',
		'typeahead.bundle.js',
		'search.js',
		'home.js'
	)
)); 

/*
SEARCH
============================================*/
$combine['search'] = $combine['search/index'] = array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		'gmap3_tools.js'
	),
	'theme'=>array(
		//css
		'owl.carousel.css',
		'jquery-ui-theme.css',
		's_search.css',
		
		//js
		'owl.carousel.js',
		'jquery.auto-grow-input.js',
		'handlebars.js',
		'typeahead.bundle.js',
		'search.js'
	)
));

/*
LISTING - DETAILS
============================================*/
$combine['listing/details'] = array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		'chat.js',
		'chat.css'
	),
	'theme'=>array(
		//css
		'jquery-ui-theme.css',
		'fotorama.css',
		's_listingdetails.css',
		
		//js
		'fotorama.js',
		'jquery.tinyscrollbar.js',
		'jquery.sharrre.js',
		'reviews.js',
		'bookings.js',
		'inquiries.js',
		'listing_details.js'
	)
));
$combine['listing/send_to_friend'] = array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
	)
));

/*
LISTING - Write review
============================================*/
$combine['listing/review'] = array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		$temp_globals_js.'jquery.rating.js',
	),
	'theme'=>array(
		//css
		'jquery-ui-theme.css',
		's_listingdetails.css',
		
		//js
		'bookings.js',
		'reviews.js',
		'listing_details.js'
	)
));

/*
LISTING - Book
============================================*/
$combine['listing/book'] = 
$combine['listing/success'] = 
$combine['listing/cancel'] =
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		//css
		'jquery-ui-theme.css',
		's_listingdetails.css',
		
		//js
		'cms.js',
		'bookings.js',
		'listing_book.js'
	)
));

/*
LISTING VIDEO
============================================*/
$combine['listing_video/index'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		//video player
		'mediaelement-and-player.min.js'
	),
	'theme'=>array(
		'mediaelementplayer.css',
		'jquery.fitvids.js',
		'listing_video.js'
	)
));

/*
GUESTS
============================================*/
$combine['guest/account/index'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		's_guest.css',
		'guest.js'
	)
));
$combine['guest/bookings/index'] = 
$combine['guest/bookings/view'] = 
$combine['guest/reviews/index'] = 
$combine['guest/reviews/view'] = 
$combine['guest/inquiries/index'] = 
$combine['guest/inquiries/view'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		's_lists.css',
		'lists.js',
		's_guest.css',
		'guest.js'
	)
));

$combine['guest/reviews/edit'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
		$temp_globals_js.'jquery.rating.js'
	),
	'theme'=>array(
		's_guest.css',
		'guest.js'
	)
));

$combine['guest/inquiries/edit'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		's_guest.css',
		'guest.js'
	)
));

/*
VISITORS
============================================*/
$combine['visitor/inquiries/view'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		's_visitor.css',
		's_lists.css',
		'lists.js',
		'visitor.js'
	)
));
$combine['visitor/inquiries/edit'] = 
array_merge_recursive( $combine['global_front'],array(
	'global'=>array(
	),
	'theme'=>array(
		's_visitor.css'
	)
));