<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

//------- view
/* Options bar */
$config['options_bar'] = array();
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
/* end options bar */ 

$config['quick_actions'] = array(
	//array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
	array('id'=>'read','label'=>$lang->translate('mark_as_read'),'href'=>'read_multiple'),
	array('id'=>'unread','label'=>$lang->translate('mark_as_unread'),'href'=>'unread_multiple')
); 

$config['list_header_fields'] = array(
	'inquiry_id_uid'=>array( 'label'=>'#','width'=>15,'order_by'=>'inquiry_id'),
	'subject'=>array('label'=>$lang->translate('subject'),'width'=>''),
	'ctime'=>array('label'=>$lang->translate('date'),'width'=>15)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'',
		'operator'=>'inquiry_id'
	),
	'subject'=>array(
		'operator'=>'like',
		'is_default'=>true
	)
);
$config['orderby'] = 'ctime desc';

//edit
$config['edit_form_fields'] = array(
	'name'=>array('value'=>''),
	'from_email'=>array('value'=>''),
	'phone'=>array('label'=>$lang->translate('phone'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'priority'=>array(
		'label'=>$lang->translate('priority'),
		'rules'=>'trim|required',
		'value'=>'low',
		'xss'=>true,
		'options'=>array(
			'low'=>$lang->translate('inquiry_priority_low'),
			'medium'=>$lang->translate('inquiry_priority_medium'),
			'high'=>$lang->translate('inquiry_priority_high'),
		)
	),
	'reply_message'=>array(
		'label'=>$lang->translate('reply_message'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'inquiry_status'=>array(
		'label'=>$lang->translate('inquiry_status'),
		'rules'=>'trim|required',
		'value'=>'reply',
		'xss'=>true,
		'options'=>array(
			'reply'=>$lang->translate('reply')
		)
	)
	
);

$config['edit_form_data_fields'] = array(
	'priority','inquiry_status','phone'
);
