var markerstyles = []
var startMarker;
var nemarker;
var centerPoint;

var polyShape;
var polyPoints = [];
var polygonstyles = [];

var pointsArray = [];

var outerArray = [];
var innerArray = [];

var circlestyles = [];
var radiusPoint;
var calc;
var circle;

var markers = [];
var midmarkers = [];

var toolID = 'explore'; 
var editing;
var adder=0;

var result = {};
var imageNormal,imageHover,imageNormalMidpoint;


function polystyle() {
    this.name = "Lump";
    this.kmlcolor = "CD0000FF";
    this.kmlfill = "9AFF0000";
    this.color = "#275182";
    this.fill = "#BFD4EA";
    this.width = 2;
    this.lineopac = 0.8;
    this.fillopac = 0.6;
}
function markerstyleobject() {
    this.name = "markerstyle";
    this.icon = base_url+"public/images/google_map/square_transparent.png";
}

function circstyle() {
    this.name = "Circ";
    this.color = "#FF9751";
    this.fill = "#FFC59E";
    this.width = 2;
    this.lineopac = 0.8;
    this.fillopac = 0.6;
}


var gmap_tools = function(){
	return{
		init:function()
		{
			imageNormal = new google.maps.MarkerImage(
				base_url+"public/images/google_map/square.png",
				new google.maps.Size(11, 11),
				new google.maps.Point(0, 0),
				new google.maps.Point(6, 6)
			);
			imageHover = new google.maps.MarkerImage(
				base_url+"public/images/google_map/square_over.png",
				new google.maps.Size(11, 11),
				new google.maps.Point(0, 0),
				new google.maps.Point(6, 6)
			);
			imageNormalMidpoint = new google.maps.MarkerImage(
				base_url+"public/images/google_map/square_transparent.png",
				new google.maps.Size(11, 11),
				new google.maps.Point(0, 0),
				new google.maps.Point(6, 6)
			);
			
			polyPoints = new google.maps.MVCArray(); // collects coordinates
    		
    		this.createpolygonstyleobject();
    		this.createmarkerstyleobject();
    		this.createcirclestyleobject();
    		
			//this.preparePolygon();
			
    		google.maps.event.addListener($L_gmap, 'click', function(point){ 
    			if(toolID=='explore') return;
    			gmap_tools.addLatLng(point);} 
    		);
    		google.maps.event.addListener($L_gmap,'zoom_changed',function(){
    			if($("#g_zoom")[0]) $("#g_zoom").val($L_gmap.getZoom());
    		});
    		google.maps.event.addListener($L_gmap,'mousemove',function(point){
        		var LnglatStr6 = point.latLng.lng().toFixed(6) + ', ' + point.latLng.lat().toFixed(6);
        		var latLngStr6 = point.latLng.lat().toFixed(6) + ', ' + point.latLng.lng().toFixed(6);
    		});	
    		if($("#g_zoom")[0])
    		{
    			var g_zoom = $("#g_zoom").val()?$("#g_zoom").val():$L_gmap.getZoom();
    			if(g_zoom>1)
    				$L_gmap.zoom=parseInt(g_zoom);
    			
    		}
    		if($("#g_center")[0])
    		{
    			var g_center = $("#g_center").val();
    			if(g_center)
    			{
    				var g_center_latlng = g_center.split(';');
    				$L_gmap.center = new google.maps.LatLng(g_center_latlng[0],g_center_latlng[1]);
    			}
    		}
    		if($("#g_points")[0])
    		{
    			var g_points = $("#g_points").val();
    			if(g_points)
    			{
    				var g_points_arr = g_points.split(';');
    				var g_center = g_points_arr[0];
    				var g_center_latlng = g_center.split(',');
    				$L_gmap.center = new google.maps.LatLng(g_center_latlng[0],g_center_latlng[1]);
    			}
    		}
		},
		setstartMarker:function(point){
    		startMarker = new google.maps.Marker(
    			{
        			position: point,
        			map: $L_gmap,
        			icon: markerstyles[0].icon
    			}
        	);
    		startMarker.setTitle("#" + polyPoints.length);
		},
		createmarkerstyleobject:function() {
    		var thisstyle = new markerstyleobject();
    		markerstyles.push(thisstyle);
		},
		createpolygonstyleobject: function() {
    		var polygonstyle = new polystyle();
    		polygonstyles.push(polygonstyle);
		},
		createcirclestyleobject:function() 
		{
    		var cirstyle = new circstyle();
    		circlestyles.push(cirstyle);
		},
		addLatLng: function(point){
    
			
		    polyPoints = polyShape.getPath();
		    polyPoints.insertAt(polyPoints.length, point.latLng); // or: polyPoints.push(point.latLng)
			
		    
		    if(polyPoints.length == 1) 
		    {
		        startpoint = point.latLng;
		        //console.log(this);
		        this.setstartMarker(startpoint);
		    }
		    
		    if(polyPoints.length == 2 && toolID == 'circle') this.createcircle(point);
		    if(toolID == 'polygon') { // if polyline or polygon
		        var stringtobesaved = point.latLng.lat().toFixed(6) + ',' + point.latLng.lng().toFixed(6);
		        //alert(stringtobesaved);
		    }
		    if(adder == 0) {
            	pointsArray.push(stringtobesaved);
            	//if(polyPoints.length == 1 && toolID == 'polygon') this.closethis('polygonstuff');
        	}
        	if(adder == 1) {
            	outerArray.push(stringtobesaved);
        	}
        	if(adder == 2) {
            	innerArray.push(stringtobesaved);
        	}
        	this.results_polygon();
        	//console.log(outerArray);
        	//console.log(pointsArray);
		},
		preparePolygon:function(){
    		var polyOptions = {
        		path: polyPoints,
        		strokeColor: polygonstyles[0].color,
        		strokeOpacity: polygonstyles[0].lineopac,
        		strokeWeight: polygonstyles[0].width,
        		fillColor: polygonstyles[0].fill,
        		fillOpacity: polygonstyles[0].fillopac};
    			polyShape = new google.maps.Polygon(polyOptions);
    			polyShape.setMap($L_gmap);
		},
		// the "Edit lines" button has been pressed
		editlines:function(){
    		if(editing == true){
        		this.stopediting();
    		}else{
        		if(outerArray.length > 0) {
            		return;
        		}
    		}
        	polyPoints = polyShape.getPath();
        	//console.log(polyPoints);
        	if(polyPoints.length > 0){
            	if(startMarker) startMarker.setMap(null);
            	for(var i = 0; i < polyPoints.length; i++) {
                	var marker = this.setmarkers(polyPoints.getAt(i));
                	markers.push(marker);
                	if(i > 0) {
                    	var midmarker = this.setmidmarkers(polyPoints.getAt(i));
                    	midmarkers.push(midmarker);
                	}
            	}
            	editing = true;
            	//gob('EditButton').value = 'Stop edit';
        	}
    	},
    	stopediting:function(){
    		editing = false;
    		//gob('EditButton').value = 'Edit lines';
    		for(var i = 0; i < markers.length; i++) {
        		markers[i].setMap(null);
    		}
    		for(var i = 0; i < midmarkers.length; i++) {
        		midmarkers[i].setMap(null);
    		}
    		polyPoints = polyShape.getPath();
    		markers = [];
    		midmarkers = [];
    		
        	this.addpolyShapelistener();
    	},
    	setmarkers:function(point) {
    		var marker = new google.maps.Marker({
    			position: point,
    			map: $L_gmap,
    			icon: imageNormal,
        		raiseOnDrag: false,
    			draggable: true
    		});
    		google.maps.event.addListener(marker, "mouseover", function() {
    			marker.setIcon(imageHover);
    		});
    		google.maps.event.addListener(marker, "mouseout", function() {
    			marker.setIcon(imageNormal);
    		});
    		google.maps.event.addListener(marker, "drag", function() {
        		for (var i = 0; i < markers.length; i++) {
            		if (markers[i] == marker) {
                		polyShape.getPath().setAt(i, marker.getPosition());
                		gmap_tools.movemidmarker(i);
                		break;
            		}
        		}
        		polyPoints = polyShape.getPath();
        		var stringtobesaved = marker.getPosition().lat().toFixed(6) + ',' + marker.getPosition().lng().toFixed(6);
        		pointsArray.splice(i,1,stringtobesaved);
        
    		});
    		google.maps.event.addListener(marker, "click", function() {
        		for (var i = 0; i < markers.length; i++) {
            		if (markers[i] == marker && markers.length != 1) {
                		marker.setMap(null);
                		markers.splice(i, 1);
                		polyShape.getPath().removeAt(i);
                		gmap_tools.removemidmarker(i);
                		break;
            		}
        		}
        		polyPoints = polyShape.getPath();
        		if(markers.length > 0) {
            		pointsArray.splice(i,1);
        		}
    		});
    		//console.log(pointsArray);
    		return marker;
		},
		setmidmarkers:function(point) {
    		var prevpoint = markers[markers.length-2].getPosition();
    		var marker = new google.maps.Marker({
    			position: new google.maps.LatLng(
    				point.lat() - (0.5 * (point.lat() - prevpoint.lat())),
    				point.lng() - (0.5 * (point.lng() - prevpoint.lng()))
    			),
    			map: $L_gmap,
    			icon: imageNormalMidpoint,
    			draggable: true
    		});
    		google.maps.event.addListener(marker, "mouseover", function() {
    			marker.setIcon(imageNormal);
    		});
    		google.maps.event.addListener(marker, "mouseout", function() {
    			marker.setIcon(imageNormalMidpoint);
    		});
    
    		google.maps.event.addListener(marker, "dragend", function() {
    			for (var i = 0; i < midmarkers.length; i++) {
    				if (midmarkers[i] == marker) {
    					var newpos = marker.getPosition();
    					var startMarkerPos = markers[i].getPosition();
    					var firstVPos = new google.maps.LatLng(
    						newpos.lat() - (0.5 * (newpos.lat() - startMarkerPos.lat())),
    						newpos.lng() - (0.5 * (newpos.lng() - startMarkerPos.lng()))
    					);
    					var endMarkerPos = markers[i+1].getPosition();
    					var secondVPos = new google.maps.LatLng(
    						newpos.lat() - (0.5 * (newpos.lat() - endMarkerPos.lat())),
    						newpos.lng() - (0.5 * (newpos.lng() - endMarkerPos.lng()))
    					);
    					var newVMarker = gmap_tools.setmidmarkers(secondVPos);
    					newVMarker.setPosition(secondVPos);//apply the correct position to the midmarker
    					var newMarker = gmap_tools.setmarkers(newpos);
    					markers.splice(i+1, 0, newMarker);
    					polyShape.getPath().insertAt(i+1, newpos);
    					marker.setPosition(firstVPos);
    					midmarkers.splice(i+1, 0, newVMarker);
    					break;
    				}
    			}
        		polyPoints = polyShape.getPath();
        		var stringtobesaved = newpos.lat().toFixed(6) + ',' + newpos.lng().toFixed(6);
        		pointsArray.splice(i+1,0,stringtobesaved);
    		});
    		//console.log(pointsArray);
    		return marker;
		}
		,
		movemidmarker:function(index) {
    		var newpos = markers[index].getPosition();
    		if (index != 0) {
    			var prevpos = markers[index-1].getPosition();
    			midmarkers[index-1].setPosition(new google.maps.LatLng(
    				newpos.lat() - (0.5 * (newpos.lat() - prevpos.lat())),
    				newpos.lng() - (0.5 * (newpos.lng() - prevpos.lng()))
    			));
    			
    		}
    		if (index != markers.length - 1) {
    			var nextpos = markers[index+1].getPosition();
    			midmarkers[index].setPosition(new google.maps.LatLng(
    				newpos.lat() - (0.5 * (newpos.lat() - nextpos.lat())),
    				newpos.lng() - (0.5 * (newpos.lng() - nextpos.lng()))
    			));
    	
    		}
    
		},
		removemidmarker:function(index) {
    		if (markers.length > 0) {//clicked marker has already been deleted
    			if (index != markers.length) {
    				midmarkers[index].setMap(null);
    				midmarkers.splice(index, 1);
    			} else {
    				midmarkers[index-1].setMap(null);
    				midmarkers.splice(index-1, 1);
    			}
    		}
    		if (index != 0 && index != markers.length) {
    			var prevpos = markers[index-1].getPosition();
    			var newpos = markers[index].getPosition();
    			midmarkers[index-1].setPosition(new google.maps.LatLng(
    			newpos.lat() - (0.5 * (newpos.lat() - prevpos.lat())),
    			newpos.lng() - (0.5 * (newpos.lng() - prevpos.lng()))
    			));
    	
    		}
    
		},
		addpolyShapelistener:function() {
    		//console.log(pointsArray);
    		this.results_polygon();
		},
		//circle
		activateCircle:function() {
    		circle = new google.maps.Circle({
        	map: $L_gmap,
        	fillColor: circlestyles[0].fill,
        	fillOpacity: circlestyles[0].fillopac,
        	strokeColor: circlestyles[0].color,
        	strokeOpacity: circlestyles[0].lineopac,
        	strokeWeight: circlestyles[0].width
    	});
		},
		setneMarker:function(point){
    		nemarker = new google.maps.Marker(
    			{
        			position: point,
        			map: $L_gmap,
        			icon: markerstyles[0].icon
    			}
        	);
    		//startMarker.setTitle("#" + polyPoints.length);
		},
		createcircle:function(point) {
    		// startMarker is center point. now set radius
    		nemarker = new google.maps.Marker({
        		position: point.latLng,
        		draggable: true,
        		raiseOnDrag: false,
        		title: "Draggable",
        		map: $L_gmap,
        		icon:markerstyles[0].icon
    		});
    		//console.log(nemarker);
    		google.maps.event.addListener(startMarker, 'drag', gmap_tools.drawCircle);
    		google.maps.event.addListener(nemarker, 'drag', gmap_tools.drawCircle);
    		startMarker.setDraggable(true);
    		startMarker.setAnimation(null);
    		startMarker.setTitle("Draggable");
    		this.drawCircle();
    		if(polyShape) polyShape.setMap(null); // remove the Polyline that has collected the points
    		polyPoints = [];
		},
		drawCircle: function(){
    		centerPoint = startMarker.getPosition();
    		radiusPoint = nemarker.getPosition();
    		//console.log(radiusPoint);
    		circle.bindTo('center', startMarker, 'position');
    		calc = gmap_tools.distance(centerPoint.lat(),centerPoint.lng(),radiusPoint.lat(),radiusPoint.lng());
    		circle.setRadius(calc);
    		gmap_tools.results_circle();
    		
		},
		//private
		clearMap:function()
		{
			
			if(editing == true) this.stopediting();
    		if(polyShape) polyShape.setMap(null); // polyline or polygon
    		
 			polyPoints = [];
 			innerArray = [];
 			
			pointsArray = [];
			outerArray = [];
			innerArray = [];
 			
    		if(startMarker) startMarker.setMap(null);
    		if(nemarker) nemarker.setMap(null);
    		
    		if(circle) circle.setMap(null);
    		
    		if(toolID=='polygon') this.preparePolygon();
    		if(toolID=='circle') 
    		{
    			this.preparePolygon();
    			this.activateCircle();
    		}
    		this.results_polygon();
		},
		distance:function(lat1,lon1,lat2,lon2) {
    		var R = 6371000; // earth's radius in meters
    		var dLat = (lat2-lat1) * Math.PI / 180;
    		var dLon = (lon2-lon1) * Math.PI / 180;
    		var a = Math.sin(dLat/2) * Math.sin(dLat/2) +
    		Math.cos(lat1 * Math.PI / 180 ) * Math.cos(lat2 * Math.PI / 180 ) *
    		Math.sin(dLon/2) * Math.sin(dLon/2);
    		var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a));
    		var d = R * c;
    		return d;
		},
		tool:function(toolid){
			if(!toolid) toolID='polygon';
			else toolID=toolid;
			if(toolID!='explore')
				this.clearMap();
		},
		results_circle:function()
		{
			result= {
				center:centerPoint.lat().toFixed(6)+';'+centerPoint.lng().toFixed(6),
				radius_point:radiusPoint.lat().toFixed(6)+';'+radiusPoint.lng().toFixed(6),
				radius:calc
			}
			//return out;
			$("#g_center").val(result.center);
			$("#g_radius").val(calc);
			$("#g_radius_point").val(result.radius_point);
			$("#g_points").val();
			//show radius
			var radius_to_km = parseFloat(calc)*0.001;
			$("#t_radius_km").html(radius_to_km.toFixed(2));
		},
		results_polygon:function()
		{
			polyPoints = polyShape.getPath();
			var points_arr =polyPoints.getArray();
			if(points_arr.length==0) 
			{
				return;
			}
			var out = [];
			for(var i=0;i<points_arr.length;i++) out.push(points_arr[i].lat().toFixed(6)+','+points_arr[i].lng().toFixed(6));
			result = {
				points_array:out,//pointsArray,
				points_str: out.join(';')
			}
			//return out;
			//console.log(pointsArray);
			//console.log(pointsArray.join(';'));
			$("#g_center").val();
			$("#g_radius").val();
			$("#g_radius_point").val();
			$("#g_points").val(result.points_str);
			
		},
		draw_results:function(){
			if(toolID=='circle')
			{
				var g_center = $("#g_center").val();
				var g_radius = $("#g_radius").val();
				var g_radius_point = $("#g_radius_point").val();
				
				var radius_to_km = parseFloat(g_radius)*0.001;
				$("#t_radius_km").html(radius_to_km.toFixed(2));
				
				if(g_center && g_radius && g_radius_point)
				{
					var center_latlng = g_center.split(';');
					centerPoint = new google.maps.LatLng(center_latlng[0],center_latlng[1]);
					this.setstartMarker(centerPoint);
					
					var radius_point_latlng = g_radius_point.split(';');
					radiusPoint = new google.maps.LatLng(radius_point_latlng[0],radius_point_latlng[1]);
					this.setneMarker(radiusPoint);
				
					
					google.maps.event.addListener(startMarker, 'drag', gmap_tools.drawCircle);
    				google.maps.event.addListener(nemarker, 'drag', gmap_tools.drawCircle);
    				startMarker.setDraggable(true);
    				nemarker.setDraggable(true);
    				startMarker.setAnimation(null);
    				startMarker.setTitle("Draggable");
					
					this.activateCircle();
					this.drawCircle();
					
				}
			}
			
			if(toolID=='polygon')
			{
				var g_points = $("#g_points").val();
				if(g_points)
				{
					//console.log(g_points);
					var points = g_points.split(';');
					//console.log(points);
					polyPoints = [];
					for(var i=0;i<points.length;i++)
					{
						var latlng = points[i].split(',');
						polyPoints.push(new google.maps.LatLng(latlng[0],latlng[1]));
					}
					
					
					var polyOptions = {
						path: polyPoints,
						strokeColor: polygonstyles[0].color,
						strokeOpacity: polygonstyles[0].lineopac,
						strokeWeight: polygonstyles[0].width,
						fillColor: polygonstyles[0].fill,
						fillOpacity: polygonstyles[0].fillopac
					}
					polyShape = new google.maps.Polygon(polyOptions);
					polyShape.setMap($L_gmap);
				}
			}
		}
	}
}();


function hide_options()
{
	$("#t_polygon_edit").hide();
	$("#t_polygon_stopedit").hide();
	$("#t_radius").hide();
	$("#t_radius_km").html(0);
}
function show_options(action)
{
	hide_options();
	if(action=='polygon')
	{
		//hide_options();
		$("#t_polygon_edit").show();
	}
	if(action=='polygon_edit')
	{
		//hide_options();
		$("#t_polygon_stopedit").show();
	}
	if(action=='circle')
	{
		$("#t_radius").show();
	}
}

$(document).ready(function(){
	
	hide_options();
	
	//toolbar
	$(".rb_explore").click(function(e){
		e.preventDefault();
        $('.rb_circle').removeClass('selected');
        $('.rb_polygon').removeClass('selected');
        $(this).addClass('selected');
        
        $("#t_explore").prop('checked');
        
        gmap_tools.tool('explore');
        show_options('explore');
        //$("input[name='g_tool']")[0].checked = true;
        $("#g_tool").val('explore');
        //console.log('x');
        
    });
	
	$(".rb_polygon").click(function(e){
		e.preventDefault();
        $('.rb_circle').removeClass('selected');
        $('.rb_explore').removeClass('selected');
        
        $(this).addClass('selected');
        $("#t_polygon").prop('checked');
        $("#gmap_tool_info").html('<i class="fa fa-info-circle"></i> '+$("#draw_polygon_info").val());
        gmap_tools.tool('polygon');
        show_options('polygon');
        //$("input[name='g_tool']")[1].checked = true;
        $("#g_tool").val('polygon');
        
    });
    //$("#gmap_tool_info").html($("#draw_polygon_info").val());
    //show_options('polygon');
    
    $(".rb_circle").click(function(e){
    	e.preventDefault();
        $('.rb_polygon').removeClass('selected');
        $('.rb_explore').removeClass('selected');
        
        $(this).addClass('selected');
        $("#t_circle").prop('checked');
        //alert($('input[name="gmap_tool"]:checked').val());
        $("#gmap_tool_info").html($("#draw_circle_info").val());
        gmap_tools.tool('circle');
        show_options('circle');
        //$("input[name='g_tool']")[2].checked = true;
        $("#g_tool").val('circle');
    });
    
    $("#t_clear").click(
    	function(e) { 
    		e.preventDefault(); 
    		gmap_tools.clearMap();
    		show_options($("input[name='gmap_tool']:checked").val());
    	}
    );
    $("#t_polygon_edit").click(
    	function(e) { 
    		e.preventDefault(); gmap_tools.editlines();
    		show_options('polygon_edit');
    		 
    	}
    );
    $("#t_polygon_stopedit").click(
    	function(e) { 
    		e.preventDefault(); gmap_tools.stopediting(); 
    		show_options('polygon');
    	}
    );
    
    //gmap_tools.tool($("input[name='gmap_tool']:checked").val());
    /*$("input[name='g_tool']").change(
    	function(){
    		if($("input[name='g_tool']:checked").val()=='polygon')
    			$(".rb_polygon").trigger('click');
    		else if($("input[name='g_tool']:checked").val()=='circle')
    			$(".rb_circle").trigger('click');
    		else if($("input[name='g_tool']:checked").val()=='explore')
    			$(".rb_explore").trigger('click');
    	}
    );*/
    /*var g_tool_val = $("#g_tool").val();
    if(g_tool_val=='polygon') $(".rb_polygon").trigger('click');
    else if(g_tool_val=='circle') $(".rb_circle").trigger('click');
    else if(g_tool_val=='explore') $(".rb_explore").trigger('click');*/
    
});

//custom marker
function CustomMarker(options) 
{
	if(typeof options != 'object') return;
	this.options = options;
	this.latlng_ = options.position;
	this.width_ = options.width;
	this.height_ = options.height;
	// Once the LatLng and text are set, add the overlay to the map.  This will // trigger a call to panes_changed which should in turn call draw.
	this.setMap(options.map);
}
//end custom marker 
