// add :focus selector
/*
jQuery.expr[':'].focus = function( elem ) {
  return elem === document.activeElement && ( elem.type || elem.href );
};
*/
$.editable.addInputType( 'datepicker', {

    element : function(settings, original) {
        var input = $('<input/>');
        $(this).append(input);
        return(input);
    },
    
    /* attach jquery.ui.datepicker to the input element */
    plugin: function( settings, original ) {
      var form = this;
      var input = $('input',this);
      
      // Don't cancel inline editing onblur to allow clicking datepicker
      //settings.onblur = 'nothing';
      //settings.onblur = 'cancel';
      settings.onblur = 'ignore';

      datepicker = {
        onSelect: function() {
          // clicking specific day in the calendar should
          // submit the form and close the input field
          //form.submit();
          $(form).submit();
        },
        
        onClose: function() {
          setTimeout( function() {
            if ( !input.is( ':focus' ) ) {
              // input has NO focus after 150ms which means
              // calendar was closed due to click outside of it
              // so let's close the input field without saving
              
            } else {
              // input still HAS focus after 150ms which means
              // calendar was closed due to Enter in the input field
              // so lets submit the form and close the input field
              //form.submit();
              $(form).submit()
            }
            
            // the delay is necessary; calendar must be already
            // closed for the above :focus checking to work properly;
            // without a delay the form is submitted in all scenarios, which is wrong
          }, 150);
        }
      };
    
      if (settings.datepicker) {
        jQuery.extend(datepicker, settings.datepicker);
      }
      input.datepicker(datepicker);
    },
    content : function(string, settings, original) 
    {
    	
    	if(string!=settings.loadtext)
    	{
	    	var new_date = $.datepicker.parseDate('yy-mm-dd',string);
	    	if(new_date instanceof  Date)
	    	{
	    		$('input',this).datepicker('setDate',$.datepicker.parseDate('yy-mm-dd',string));
	    	}
    	}
     	//return string;
    }
} );