var marked_items_count = 0;
var active_editor = '';

var ua = navigator.userAgent;
	ua = ua.toLowerCase();
	var browser_match = /(webkit)[ \/]([\w.]+)/.exec( ua ) ||
			/(opera)(?:.*version)?[ \/]([\w.]+)/.exec( ua ) ||
			/(msie) ([\w.]+)/.exec( ua ) ||
			!/compatible/.test( ua ) && /(mozilla)(?:.*? rv:([\w.]+))?/.exec( ua ) ||
		  	[];
		  	

var utils = function () 
{
	return {
		chars_count: function(opts)
		{
			$opts = opts||{};
			
			$elem = $("#"+$opts.elem);
			
			$count_name = "count_"+$opts.elem;
			$count_id = "#"+$count_name;
			
			$block_negative = !($opts.block_negative)?false:$opts.block_negative;
			
			if($elem[0])
			{
				if(!$($count_id)[0]) $elem.after('<br /><span id="'+$count_name+'">'+$opts.max_chars+'</span>');
				$elem.NobleCount(
					$count_id,{
					on_negative: $opts.on_negative?$opts.on_negative:'go_red',
					on_positive: $opts.on_positive?$opts.on_positive:'go_green',
					max_chars: $opts.max_chars,
					block_negative : $block_negative
				});
			}
		},
		removefromarray : function (el,arr) 
		{
			var out = [];for(var i=0;i<arr.length;i++) if(arr[i]!=el) out.push(arr[i]);return out;
		},
		show_bm : function()
		{
			$("#show_bmm").click(function(e){ e.preventDefault();$("#bmm").slideToggle(); });	
		},
		reload_captcha_init:function()
		{
			var $r = $('a.captchar');
			$r.each(function(i)
			{
				$(this).attr('rel',i);
			});
				
			$(document).on(
				"click","a.captchar",
				function(e){
					e.preventDefault();
					console.log(site_url);
					var $i = $(this).attr('rel')
					var $container = ($i!=0)?$('#captcha_wrapper_'+i):$('#captcha_wrapper');
						var ajax = $.ajax({
							url: site_url+'captchar/reload/'+new Date().getTime(),
							type: 'GET'
						}).done(
							function(data){
								$container.html(data);
								var $r = $('a.captchar');
								$r.each(function(i)
								{
									$(this).attr('rel',i);
								});
							}
						);
				}
			);
		},
		css: function(){
			
			if(browser_match[1]=='msie' && browser_match[2]<=9)
				$('.roundbox').removeClass();

			//fix click on span image on ie
			if(browser_match[1]=='msie')
			{
				
				$('a span.ico',$('.tabs')).click(function(){ 
					if($(this).parent('a').attr('id')!='previewlisting')
					window.location.href = $(this).parent('a').attr('href');});
			}
			
			
			$("a.disabled").click(
				function(e)
				{
					e.preventDefault();
				}
			);
		}
	}
}();

var form_utils = function()
{
	return {
		is_numeric:function(theValue) 
		{
			theValue=theValue.replace(/\d*(\.\d*)?/, '');
			if(theValue!='') {return false;}
			return true;
		},
		field_has_value:function(theField) 
		{
			if(trim(theField.val()).length>0) {return true;}
			else{return false;}
		},
		trim:function(str) {
			if(str==null) { return ""; }
			if(typeof str =="object") { return ""; }
			return str.replace(/^\s*|\s*$/g, "");
		},
		format_number : function(val, len, decimal)
		{
 			var scale = 1;
        	if (decimal == null) decimal = 1;
        	for (i = 0; i <= decimal; i++)
        	{
        		scale *= 10;
        	}
 			var str = "" + Math.round(parseFloat(val) * scale);
        	if (str.length == 0 || str == "0") 
        	{
        		str = "000";
        	}
 			i = len - str.length;
        	if (scale != 1)
        	{
        		i--;
                while (0 < i--)
                {
                	str = " " + str;
                }
        	}
        	if (scale != 1) 
        	{
        		var p = len - decimal - 2;
        		var a = str.substring(0, p);
        		var b = str.substring(p, len);
        		return a*1 + "." + b*1;
        	}
        	return str;
		}
	}
}();

$.fn.check = function(mode) {
	var mode = mode || 'on';
	return this.each(function() {
		switch(mode) {
			case 'on':
				this.checked = true;
				break;
			case 'off':
				this.checked = false;
				break;
			case 'toggle':
				this.checked = !this.checked;
				break;
			}
	});
};

$.fn.n_format = function(val,options) {

	var defaults = {
		prefix: '',
		decimalsSeparator: '', //.
		thousandsSeparator: ',',
		decimalsLimit: 0,
		limit : false
	};

	var options = $.extend(defaults, options);
	
	options.decimalsSeparator = options.decimalsSeparator!=''?JSCFG_dec_separator:options.decimalsSeparator;
	options.thousandsSeparator = JSCFG_thousands_separator?JSCFG_thousands_separator:options.thousandsSeparator;
	
	// load the pluggings settings
	var prefix = options.prefix;
	var decimalsSeparator = options.decimalsSeparator;
	var thousandsSeparator = options.thousandsSeparator;
	var limit = options.limit;
	var decimalsLimit = options.decimalsLimit;
	var is_number = /[0-9]/;
	
	// skip everything that isn't a number
	// and also skip the left zeroes
	function to_numbers (str) {
		var formatted = '';
		for (var i=0;i<(str.length);i++) {
			_char = str.charAt(i);
			if (formatted.length==0 && _char==0) _char = false;
			if (_char && _char.match(is_number)) {
				if (limit) {
					if (formatted.length < limit) formatted = formatted+_char;
				}else{
					formatted = formatted+_char;
				}
			}
		}
		return formatted;
	}

	
	function fill_with_zeroes (str) {
		while (str.length<(decimalsLimit+1)) str = '0'+str;
			return str;
	}

	function _number_format (str) {
		// formatting settings
		var formatted = fill_with_zeroes(to_numbers(str));
		var thousandsFormatted = '';
		var thousandsCount = 0;

		
		var decimalsVal = formatted.substr(formatted.length-decimalsLimit,decimalsLimit);
		var integerVal = formatted.substr(0,formatted.length-decimalsLimit);
		
		formatted = integerVal+decimalsSeparator+decimalsVal;

		// apply thousands pontuation
		if (thousandsSeparator) {
			for (var j=integerVal.length;j>0;j--) {
				_char = integerVal.substr(j-1,1);
				thousandsCount++;
				if (thousandsCount%3==0) _char = thousandsSeparator+_char;
				thousandsFormatted = _char+thousandsFormatted;
			}
			if (thousandsFormatted.substr(0,1)==thousandsSeparator) thousandsFormatted = thousandsFormatted.substring(1,thousandsFormatted.length);
					formatted = thousandsFormatted+decimalsSeparator+decimalsVal;
		}

		// apply the prefix
		if (prefix) formatted = prefix+formatted;
		return formatted;
	}
	
	if(val)
		return _number_format(val);
	else return 0; 
};

$.fn.passwordStrength = function( options ){
	return this.each(function(){
		var that = this;that.opts = {};
		that.opts = $.extend({}, $.fn.passwordStrength.defaults, options);
		
		that.div = $(that.opts.targetDiv);
		that.defaultClass = that.div.attr('class');
		
		that.percents = (that.opts.classes.length) ? 100 / that.opts.classes.length : 100;

		 v = $(this)
		.keyup(function(){
			if( typeof el == "undefined" )
				this.el = $(this);
			var s = getPasswordStrength (this.value);
			var p = this.percents;
			var t = Math.floor( s / p );
			
			if( 100 <= s )
				t = this.opts.classes.length - 1;
				
			this.div
				.removeAttr('class')
				.addClass( this.defaultClass )
				.addClass( this.opts.classes[ t ] );
				
		})
		.after(' <a href="#">'+$("#generate_password_label").val()+'</a>')
		.next()
		.click(function(){
			
			var pass = randomPassword();
			$(this).prev().val(pass).trigger('keyup');
			$("#generated_password").text(pass);
			return false;
		});
	});

	function getPasswordStrength(H){
		var D=(H.length);
		if(D>5){
			D=5
		}
		var F=H.replace(/[0-9]/g,"");
		var G=(H.length-F.length);
		if(G>3){G=3}
		var A=H.replace(/\W/g,"");
		var C=(H.length-A.length);
		if(C>3){C=3}
		var B=H.replace(/[A-Z]/g,"");
		var I=(H.length-B.length);
		if(I>3){I=3}
		var E=((D*10)-20)+(G*10)+(C*15)+(I*10);
		if(E<0){E=0}
		if(E>100){E=100}
		return E
	}

	function randomPassword() {
		var chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$_+";
		var size = 10;
		var i = 1;
		var ret = ""
		while ( i <= size ) {
			$max = chars.length-1;
			$num = Math.floor(Math.random()*$max);
			$temp = chars.substr($num, 1);
			ret += $temp;
			i++;
		}
		return ret;
	}

};
	
$.fn.passwordStrength.defaults = {
	classes : Array('is10','is20','is30','is40','is50','is60','is70','is80','is90','is100'),
	targetDiv : '#password_strength',
	cache : {}
};

jQuery.fn.selText = function() {
    var obj = this[0];
    
    if (browser_match[1]=='msie') {
        var range = obj.offsetParent.createTextRange();
        range.moveToElementText(obj);
        range.select();
    } else if (browser_match[1]=='mozilla' || browser_match[1]=='opera') {
        var selection = obj.ownerDocument.defaultView.getSelection();
        var range = obj.ownerDocument.createRange();
        range.selectNodeContents(obj);
        selection.removeAllRanges();
        selection.addRange(range);
    } else if (browser_match[1]=='safari') {
        var selection = obj.ownerDocument.defaultView.getSelection();
        selection.setBaseAndExtent(obj, 0, obj, 1);
    }
    return this;
}

 jQuery.fn.extend({
 	
 	customStyle : function(options) {
	  if(browser_match[1]!='msie' || (browser_match[1]=='msie'&&browser_match[2]>6)){
	  return this.each(function() {
	  
			var currentSelected = $(this).find(':selected');
			$(this).after('<span class="customStyleSelectBox"><span class="customStyleSelectBoxInner">'+currentSelected.text()+'</span></span>').css({position:'absolute', opacity:0,fontSize:$(this).next().css('font-size')});
			var selectBoxSpan = $(this).next();
			var selectBoxWidth = parseInt($(this).width()) - parseInt(selectBoxSpan.css('padding-left')) -parseInt(selectBoxSpan.css('padding-right'));			
			var selectBoxSpanInner = selectBoxSpan.find(':first-child');
			selectBoxSpan.css({display:'inline-block'});
			selectBoxSpanInner.css({width:selectBoxWidth+10, display:'inline-block'});
			var selectBoxHeight = parseInt(selectBoxSpan.height()) + parseInt(selectBoxSpan.css('padding-top')) + parseInt(selectBoxSpan.css('padding-bottom'));
			$(this).height(selectBoxHeight).change(function(){
				// selectBoxSpanInner.text($(this).val()).parent().addClass('changed');   This was not ideal
			selectBoxSpanInner.text($(this).find(':selected').text()).parent().addClass('changed');
				// Thanks to Juarez Filho & PaddyMurphy
			});
			
	  });
	  }
	}
});

$(document).ready(
	function()
	{
		//utils.css();	
		utils.reload_captcha_init();
		utils.show_bm();
		
		$(".tooltip").tooltip({
				track:true,
				showURL:false,
				showBody :' - '
			}
		);
		
		$(document).on('click','a.close',
			function(e){ 
				e.preventDefault();$(this).parent().toggle()
				//console.log($(this).parent());
			}
		);
		$().UItoTop({ easingType: 'easeOutQuart' });
		$('input, textarea').placeholder();
		//autocomplete off
		$("input.autocompleteOff").attr("autocomplete","off");
		
		//submit payment form
		if(typeof payment_form_to_submit!='undefined')
		{
			if(payment_form_to_submit)
			{
				document.getElementById(payment_form_to_submit).submit();
			}
		}
	}
);