var editAreaLoader;
var css = function(){
	return {
		'init_editarea': function(id,syntax){
			if(!id) id = 'css_content';
			if(!syntax) syntax = 'css';
			editAreaLoader.init(
				{
					id: "css_content",
					start_highlight: true,
					allow_resize: "both",
					allow_toggle: true,
					word_wrap: false,
					language: "en",
					syntax: syntax,
					toolbar:"search, go_to_line, fullscreen, |, undo, redo, |, select_font,|, change_smooth_selection, highlight, reset_highlight, word_wrap"
				}
			);	
		},
		'init_css_tree':function()
		{
			$('#css_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_cms/css_tree',
				expandSpeed:-1,
				collapseSpeed:-1 
			}, 
			function(file)
			{ 
				$("#css_file").val(file);
				$.ajax(
					{
						url: site_url+"admin/ajax_cms/get_css_content/",
						type: 'POST',
						data :'css_file='+file,
						beforeSend: function()
						{
							$("#css_tree").append('<div id="css_ajax"><img src="'+base_url+'public/images/loading.gif'+'" /></div>');
						},	
						success: function(data) 
						{
							editAreaLoader.setValue("css_content",data, "");
							$("#css_ajax").remove();
							$.fn.colorbox.close();
						}
					});
			}
			);

		},
		'show_css_tree':function()
		{
			$('#show_css_tree').colorbox({width:"50%",height:"70%", inline:true, href:"#css_tree",title:browse_title});
			$('#css_file').click(
				function(){
					$.fn.colorbox({width:"50%",height:"70%", inline:true, href:"#css_tree",title:browse_title});
				});
		}	
	}
}();

$(document).ready(function(){
	css.init_editarea();
	css.init_css_tree();
	css.show_css_tree();
});
