function update_content_list()
{
	var el = $("#content_id");
	var position = el.offset();
	var width = el.width();
						
	$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
					
	$.ajax(
	{
		url: base_url+'admin/ajax_links/update_content_list/',
		type: 'GET',
		beforeSend: function()
		{
			$('#spinner').css({ top: position.top+5 , left: position.left+width-40}).fadeIn();
		},	
		success: function(data) 
		{
			if(data.length!=0) $("#content_id_ajax").html(data);
			$("#spinner").fadeOut();
		}
	});				
}

$(document).ready(function(){
	for(var i=1;i<=5;i++)
	{
		var text = "seo_title_"+i;
		var count = "count_"+text;
		$("#"+text).NobleCount("#"+count,{
			on_negative: 'go_red',
			on_positive: 'go_green',
			max_chars: 70
		});
	}
	for(var i=1;i<=5;i++)
	{
		var text = "seo_description_"+i;
		var count = "count_"+text;
		$("#"+text).NobleCount("#"+count,{
			on_negative: 'go_red',
			on_positive: 'go_green',
			max_chars: 160
		});
	}
	
	$("#create_content").colorbox(
		{
			width:"80%",
			height:"99%", 
			iframe:true, 
			onClosed:function(){
				update_content_list();
			},
			onComplete:function(){}
		}
	);
	
	$(document).on('click',"#edit_content",
		function(e)
		{
			
			e.preventDefault();
			var content_id = $("#content_id").find(':selected').val();
			var $this = $(this);
			if(content_id!='')
			{
				$.colorbox(
				{
					width:"80%",
					height:"99%", 
					iframe:true,
					href:$this.attr('href')+content_id,
					onClosed:function(){
					},
					onComplete:function(){}
				}
				);
			}
		}
	);
	
	//show hide options
	var s_page = ['.s_is_homepage','.s_template_content','.s_seo','.s_slugs'];
	var s_link = ['.s_external_link','.s_internal_link'];
	
	$(document).on('click',"#trigger_s_page",function(e){
		e.preventDefault();
		$(this).addClass('current');
		$("#trigger_s_link").removeClass('current');
		edit.hide_siblings();
		$.each(s_link,
			function(index,s)
			{
				$(s).hide();
			}
		);
		$.each(s_page,
			function(index,s)
			{
				$(s).show();
			}
		);
	});
	$(document).on('click',"#trigger_s_link",function(e){
		e.preventDefault();
		$(this).addClass('current');
		$("#trigger_s_page").removeClass('current');
		edit.hide_siblings();
		$.each(s_page,
			function(index,s)
			{
				$(s).hide();
			}
		);
		$.each(s_link,
			function(index,s)
			{
				$(s).show();
			}
		);
	});
	var $trigger_section = ($("#internal_link").val()!='' || $("#external_link").val()!='')?$("#trigger_s_link"):$("#trigger_s_page");
	$trigger_section.trigger('click');
});
