					<!--start listing-->
					<div class="listing">
						<div class="listing_header">
							<div class="listing_options">
								<img src="{base_url}public/themes/{$theme}/images/arrows/selected_arrow.gif" alt=" " />
								<label>
									<strong id="marked_items">0</strong>
								</label> {translate text='selected'} | 
								<label>{translate text='with_selected_do'}: </label>
								<select name="list_actions" id="list_actions">
									<option value="">{translate text='action'}</option>
									{foreach item=item_action from=$action_object->m_quick_actions}
										<option id="{$item_action.id}" value="{site_url uri="$co_uri/`$item_action.href`"}">{$item_action.label}</option>
									{/foreach}
								</select>
								<script type="text/javascript">lists.do_action("{/literal}{translate text='delete_message'}{literal}");</script>
							</div>
							<div class="listing_pages">
								{translate text='total_records'}: <strong>{format_field col="number" value="`$action_object->m_total_rows`"}</strong> 
								{if $action_object->m_pagination} | 
									{translate text='page'}: &nbsp;
									{$action_object->m_pagination}
								{/if}
							</div>
							<div class="clear"></div>
						</div>
						<table>
							<thead>
								<tr>
									<th scope="col">
										<div class="text_center"><input type="checkbox" class="mark_all" /></div>
									</th>
									{foreach item=item_header key=item_field from=$action_object->m_header_fields}
									<th scope="col" style="width:{$item_header.width}%">
										{if $action_object->m_order_field == $item_field}
											{if $action_object->m_order_direction=='asc' || $action_object->m_order_direction=='desc'}
												<span class="order_{$action_object->m_order_direction}"></span>
											{/if}
										{else}
											{if isset($item_header.order)}
												{if $item_header.order}
													{if isset($item_header.order_by) && ($item_header.order_by==$action_object->m_order_field)}
														<span class="order_{$action_object->m_order_direction}"></span>
													{else}
														<span class="order"></span>
													{/if}
												{else}
													<span></span>
												{/if}
											{else}
												{if isset($item_header.order_by) && ($item_header.order_by==$action_object->m_order_field)}
													<span class="order_{$action_object->m_order_direction}"></span>
												{else}
													<span class="order"></span>
												{/if}
											{/if}
										{/if}
										{if $action_object->m_use_order}
											{if isset($item_header.order)}
												{if $item_header.order}
													{if isset($item_header.order_by)}
													<a href="{site_url uri="$co_uri/view/`$action_object->m_bo_uri`"}orderby:{$item_header.order_by}-{if $action_object->m_order_direction=='asc'}desc{else}asc{/if}">
														{$item_header.label|@ucfirst}
													</a>
													{else}
													<a href="{site_url uri="$co_uri/view/`$action_object->m_bo_uri`"}orderby:{$item_field}-{if $action_object->m_order_direction=='asc'}desc{else}asc{/if}">
														{$item_header.label|@ucfirst}
													</a>
													{/if}
												{else}
													{$item_header.label|@ucfirst}
												{/if}
											{else}
												{if isset($item_header.order_by)}
													<a href="{site_url uri="$co_uri/view/`$action_object->m_bo_uri`"}orderby:{$item_header.order_by}-{if $action_object->m_order_direction=='asc'}desc{else}asc{/if}">
														{$item_header.label|@ucfirst}
													</a>
													{else}
													<a href="{site_url uri="$co_uri/view/`$action_object->m_bo_uri`"}orderby:{$item_field}-{if $action_object->m_order_direction=='asc'}desc{else}asc{/if}">
														{$item_header.label|@ucfirst}
													</a>
												{/if}
											{/if}
										{else}
											{$item_header.label|@ucfirst}
										{/if}
									</th>
									{/foreach}
									<th scope="col">{translate text='options'}</th>
								</tr>
							</thead>
							<tbody>
								{assign var="id_field" value=`$action_object->m_id_field`}
								{foreach name=list item=item_object from=$action_object->m_list_objects}
								{if isset($item_object->locked)}
									{assign var='is_locked' value="`$item_object->locked`"}
								{else}
									{assign var='is_locked' value=0}
								{/if}
								<tr {if $smarty.foreach.list.iteration is div by 2}class="alt"{/if}>
									<td>
										{if !empty($item_object->locked)}
										<div class="text_center"><img alt=" " src="{base_url}public/themes/{$theme}/images/1x1.png" class="ico_lock" /></div>
										{else}
										<div class="text_center"><input type="checkbox" value="{$item_object->$id_field}" class="check_item"  /></div>
										{/if}
									</td>
									{foreach item=item_col key=col from=$action_object->m_header_fields}
										<td {if $col=='hierarchy'}class="no_wrap"{/if}>
											{if isset($item_col.editable) && isset($item_col.editable_section)}{if $item_col.editable}<span id="{$item_col.editable_section}###{$col}###{$item_object->$id_field}" class="{if isset($item_col.editable_class)}{$item_col.editable_class}{else}jeditable{/if}">{/if}{/if}
											
											{if isset($item_object->ctime)}
												{if isset($item_object->mtime)}
													{format_field value=`$item_object->$col` col="$col" uri="$co_uri" id_field="`$item_object->$id_field`" ctime="`$item_object->ctime`" mtime="`$item_object->mtime`" locked=$is_locked}
													{else}
													{format_field value=`$item_object->$col` col="$col" uri="$co_uri" id_field="`$item_object->$id_field`" ctime="`$item_object->ctime`" locked=$is_locked}
												{/if}
											{else}
												{format_field value=`$item_object->$col` col="$col" uri="$co_uri" id_field="`$item_object->$id_field`" locked=$is_locked}
											{/if}
											
											{if isset($item_col.editable) && isset($item_col.editable_section)}{if $item_col.editable}</span>{/if}{/if}
										</td>
									{/foreach}
									<td class="no_wrap">
										{if !empty($bo_list_options)}
											{include file="$theme/tpls/$bo_list_options"}
										{else}
											{include file="$theme/tpls/_list_options.tpl"}
										{/if}
									</td>
								</tr>
								{foreachelse}
								<tr>
									{assign var="total_header_fields" value=$action_object->m_header_fields|@count}
									<td class="warning" colspan="{$total_header_fields+2}">
										{translate text='no_results_found'}
									</td>
								</tr>
								{/foreach}
							</tbody>
						</table>
						{if $action_object->m_use_footer}
						<div class="listing_footer">
							<div class="listing_options">
								
							</div>
							<div class="listing_pages">
							{translate text='go_to_page'} # <input type="text" class="go_page_input" id="go_page_input" /><input onclick="lists.go_page_submit();" type="submit" value="{site_url uri="$co_uri/view/`$action_object->m_bo_uri`"}" class="go_page_submit" id="go_page_submit" /> 
								{if $action_object->m_pagination} 
									|
									{translate text='page'} : &nbsp;
									{$action_object->m_pagination}
								{/if}
							</div>
						</div>
						{/if}
						<div class="clear"></div>
					</div>
					<!--end listing-->