<!--start form-->
{if $action_object->m_payment_form}
<div class="padding_05em">
	<div class="padding_05em">
		{$action_object->m_payment_form}
	</div>
	<strong>{$action_object->m_loading_gateway_text}</strong>
	{if $action_object->m_is_wire_transfer}
	<br /><br />
	<span class="btn_grey">
		<span>
			<span><a href="{site_url uri="`$action_object->m_dir`payment_requests"}">{translate text="payment_history"}</a></span>
		</span>
	</span>
	{/if}
</div>
{else}
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{if $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text="user"}</label>{$action_object->check_required('user_id')}
				</div>
				<div class="input_box">
					<input type="hidden" name="user_id" id="user_id" value="{$action_object->m_form_fields.user_id.value}" />
					<input type="text" class="text" name="user_id_autocomplete" id="user_id_autocomplete" value="{$action_object->m_form_fields.user_id_autocomplete.value}" placeholder="{translate text="user_id_or_username_or_email_or_name"}" />
					<a href="{site_url uri='admin/users/edit_wysiwyg/'}" id="quick_edit_user">{translate text='quick_edit'}</a> | <a target="_blank" href="{site_url uri='admin/users/edit/'}" id="edit_user">{translate text='edit'}</a>
				</div>
			</li>
			{else}
				<input type="hidden" name="user_id" id="user_id" value="{$action_object->m_user_id}" />
			{/if}
			<li>
				<div class="label_box">
					<label>{translate text="amount"}</label>{$action_object->check_required('credits')}
				</div>
				<div class="input_box">
					<input  type="text" name="credits" id="credits" value="{$action_object->get_value('credits')}" /> <strong>{config key='currency_code'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="coupon_code"}</label>{$action_object->check_required('coupon_code')}
				</div>
				<div class="input_box">
					<input  type="text" name="coupon_code" id="coupon_code" value="{$action_object->get_value('coupon_code')}" /> 
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="payment_system"}</label>{$action_object->check_required('payment_system')}
				</div>
				<div class="input_box">
					<select name="payment_system" id="payment_system">
						<option value="">...</option>
						{foreach item=label key=val from= $action_object->m_form_fields.payment_system.options}
						<option value="{$val}" {if $action_object->get_value('payment_system')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text="continue"}</span>
							<input type="submit" name="submitf" value="buy" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->
{/if}