<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text='location'}</label>
				</div>
				<div class="input_box" id="location_box">
					<select style="width:200px;" class="location_picker" name="location_1" id="location_1">
						<option value="">{$action_object->m_form_fields.location_1.label}</option>
						{foreach item=label key=val from=$action_object->m_form_fields.location_1.options}
							<option value="{$val}" {if $action_object->m_form_fields.location_1.value==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
					<div class="clear" style="height:3px;"></div>
					{foreach item=label key=level from=$action_object->m_form_fields.location_id.params.levels}
						{if $level>=2 && $label}
								{assign var='temp' value="location_$level"}
								<div id="l_{$level}">
									<select style="width:200px;" class="location_picker" name="location_{$level}" id="location_{$level}" {if !$action_object->m_form_fields.$temp.value}disabled="disabled"{/if}>
										<option value="">{translate text="choose_$label"}</option>
										{if isset($action_object->m_form_fields.$temp.options)}
											{foreach item=label key=val from=$action_object->m_form_fields.$temp.options}
												<option value="{$val}" {if $action_object->m_form_fields.$temp.value==$val}selected="selected"{/if}>{$label}</option>
											{/foreach}
										{/if}
									</select>
								</div>
								<div class="clear" style="height:3px;"></div>
						{/if}
					{/foreach}
				</div>
			</li>
			{include file="$theme/tpls/guides/guides_title.tpl"}
			{include file="$theme/tpls/guides/guides_description.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="guide_status"}</label>{$action_object->check_required('guide_status')}
				</div>
				<div class="input_box">
					<select name="guide_status" id="guide_status">
						{foreach item=label key=val from=$action_object->m_form_fields.guide_status.options}
						<option value="{$val}" {if $action_object->get_value('guide_status')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="top_destination"}</label>{$action_object->check_required('top_destination')}
				</div>
				<div class="input_box">
					<input type="radio" name="top_destination" value="1" {if $action_object->get_value('top_destination')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="top_destination" value="0" {if $action_object->get_value('top_destination')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="featured"}</label>{$action_object->check_required('featured')}
				</div>
				<div class="input_box">
					<input type="radio" name="featured" value="1" {if $action_object->get_value('featured')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="featured" value="0" {if $action_object->get_value('featured')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		
		<ul class="form_box_submit">
			<li>
				<center>	
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
				
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='guides_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='guides_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					
				</center>
			</li>
		</ul> 
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->