<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		<input type="hidden" name="flag_file" id="flag_file" value="{$action_object->get_value('flag_file')}" />
		<input type="hidden" name="system_flag_file" id="system_flag_file" value="{$action_object->get_value('system_flag_file')}" /> 
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="title"}</label>{$action_object->check_required('title')}
				</div>
				<div class="input_box">
					<input type="text" class="medium_text" id="title" name="title" value="{$action_object->get_value('title')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="code_2"}</label>{$action_object->check_required('code_2')}
					<a href="#" title="{translate text='code_2_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input maxlength="2" type="text" class="short_text" id="code_2" name="code_2" value="{$action_object->get_value('code_2')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="idiom"}</label>{$action_object->check_required('idiom')}
					<a href="#" title="{translate text='idiom_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<select name="idiom" id="idiom">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.idiom.options}
							<option value="{$val}" {if $action_object->get_value('idiom')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
					<br/>
					<div id="idiom_info_response" class="padding_05em"></div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="date_format"}</label>{$action_object->check_required('date_format')}
					<a href="#" title="{translate text='date_format_info'}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<select name="date_format" id="date_format">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.date_format.options}
							<option value="{$val}" {if $action_object->get_value('date_format')==$val}selected="selected"{/if}>{format_field col='date_format' date_format=$val value=$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="flag"}</label>{$action_object->check_required('flag')}
				</div>
				<div class="input_box">
					<input type="file" name="flag_file_upload" id="flag_file_upload" />
					<div id="system_flag_response">
						{if $action_object->get_value('system_flag_file')}
							&bull; {translate text='system_suggestion'} : 
							<img src="{base_url}public/images/flags/{$action_object->get_value('system_flag_file')}" />
							<br />
							&bull; {translate text='use_system_suggestion'} : 
							<input type="checkbox" name="use_system_flag" id="use_system_flag" value="1" {if $action_object->get_value('use_system_flag')==1}checked="checked"{/if}  />
						{/if}
					</div>
					{if $action_object->get_value('flag_file')!=''}
						<br />
						&bull; {translate text='your_upload'}: {image file="`$action_object->m_form_fields.flag_file.value`" dir="flags"}
						<br />
						&bull; {translate text='delete'} <input type="checkbox" name="delete_flag_file" id="delete_flag_file" value="1" /> 
					{/if}
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='languages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='languages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->