<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{config key="multilevel_listing_type" assign="multilevel_listing_type"}
			<li {if !$multilevel_listing_type}style="display:none"{/if}>
				<div class="label_box">
					<label>{translate text="parent"}</label>{$action_object->check_required('listing_type_parent_id')}
				</div>
				<div class="input_box">
					<select style="width:400px;" name="listing_type_parent_id" id="listing_type_parent_id" size="15">
						{foreach item=option from=$action_object->m_form_fields.listing_type_parent_id.options}
							{$option}
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/listing_types/listing_types_title.tpl"}
			{include file="$theme/tpls/listing_types/listing_types_slugs.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="hierarchy"}</label>{$action_object->check_required('hierarchy')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="hierarchy" name="hierarchy" value="{$action_object->get_value('hierarchy')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="search_active"}</label>{$action_object->check_required('search_active')}
				</div>
				<div class="input_box">
					<input type="radio" name="search_active" value="1" {if $action_object->get_value('search_active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="search_active" value="0" {if $action_object->get_value('search_active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="marker"}</label>{$action_object->check_required('marker_file')}
				</div>
				<div class="input_box">
					<input type="hidden" name="marker_file" id="marker_file" value="{$action_object->m_form_fields.marker_file.value}" />
					<input type="file" name="marker_file_upload" id="marker_file_upload" />
					<br />
					<strong>{translate text='max_photo_size'}: </strong>{$action_object->m_form_fields.marker_file_upload.options.max_size} KB, {$action_object->m_form_fields.marker_file_upload.options.max_size_wxh}
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.marker_file_upload.options.allowed_types}
					
					{if $action_object->m_form_fields.marker_file.value}
						<div style="padding:.4em 0">
							<img src="{base_url}public/upload/google_markers/{$action_object->m_form_fields.marker_file.value}" />
							<br />
							<input type="checkbox" value="1" id="delete_marker" name="delete_marker" /> {translate text='delete'}
						</div>
					{else}
						<br /><br /><strong>{translate text='or_choose_from_the_list'}</strong>
						<div style="width:400px;height:250px;overflow:auto;background:#fff;border:1px solid #cdcdcd;padding:.5em;">
							<ul style="list-style:none;width:100%;">
								{foreach item=marker_file from=$action_object->m_form_fields.marker.options}
								<li style="margin:3px;clear:none;display:block;width:80px;height:85px;float:left;background:#f0f0f0;text-align:center;{if $action_object->m_form_fields.marker.value==$marker_file}background:#ccc;{/if}">
									<img src="{base_url}public/images/google_map/markers/{$marker_file}" alt="{$marker_file}" title="{$marker_file}" /> <br />
									<input type="radio" name="marker" value="{$marker_file}" {if $action_object->m_form_fields.marker.value==$marker_file}checked="checked"{/if}  />
								</li>
								{/foreach}
							</ul>
							<div class="clear"></div>
						</div>
					{/if}
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<div class="text_center">	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listing_types_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listing_types_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</div>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->