<!--start form-->
<div class="clear"></div>

<div class="basic_form">
	{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">	
		<!--start payment / discounts-->
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="addon_type"}</label>{$action_object->check_required('addon_type')}
				</div>
				<div class="input_box">
					<select name="addon_type" id="addon_type">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.addon_type.options}
						<option value="{$val}" {if $val==$action_object->get_value('addon_type')}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/listings/listings_addons_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="price"}</label>{$action_object->check_required('price')}
					<a href="#" title="{translate text='addon_price_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="price" id="price" value="{$action_object->get_value('price')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="charge_type"}</label>{$action_object->check_required('charge_type')}
				</div>
				<div class="input_box">
					<select name="charge_type" id="charge_type">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.charge_type.options}
						<option value="{$val}" {if $val==$action_object->get_value('charge_type')}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>
					{if $action_object->m_form_name=='listings_addons_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					{if $action_object->m_form_name=='listings_addons_edit'}
					<span class="btn_grey">
						<span>
							<span><a href="{$bo_listing_menu_cfg.payment.submenu.addons.href}">&laquo; {translate text='addons'}</a></span>
						</span>
					</span>
					{/if} 	
					
					<span class="btn_grey">
						<span>
							<span>{translate text="save"}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					{if $action_object->m_form_name=='listings_addons_edit'}
					<span class="btn_grey">
						<span>
							<span>{translate text='cancel'}</span>
							<input type="submit" name="submitf" value="submit_cancel" />
						</span>
					</span>
					{/if} 
					
					{if $action_object->m_form_name=='listings_addons_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
				</center>
			</li>
		</ul>
		{if $action_object->m_form_name=='listings_addons_add'}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#addons" class="minus">{translate text='addons_list'}</a>
				<ul id="addons" style="background:#fff;border:0 none;">
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{/if}
	</form>
</div>		
