<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->get_value('listing_id')}" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li {if !$action_object->multiple_units_info->multiple_units}style="display:none"{/if}>
				<div class="label_box">
					<label>{translate text="unit_type"}</label>{$action_object->check_required('unit_type')}
				</div>
				<div class="input_box">
					<select name="unit_type_id" id="unit_type_id">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.unit_type_id.options}
						<option value="{$val}" {if $val==$action_object->m_form_fields.unit_type_id.value}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/listings/listings_rates_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="start_date"}</label>{$action_object->check_required('start_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="start_date" id="start_date" value="{$action_object->get_value('start_date')}" />
					<input type="text" class="medium_text" name="start_date_picker" id="start_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="end_date"}</label>{$action_object->check_required('end_date')}
					<a href="#" title="{translate text='rates_start_date_end_date_info'}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="hidden" name="end_date" id="end_date" value="{$action_object->get_value('end_date')}" />
					<input type="text" class="medium_text" name="end_date_picker" id="end_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="nightly_rate"}</label>{$action_object->check_required('nightly_rate')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="nightly_rate" id="nightly_rate" value="{$action_object->get_value('nightly_rate')}" />
					<select name="currency_id" id="currency_id">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.currency_id.options}
						<option value="{$val}" {if $action_object->get_value('currency_id')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="nightly_rate_weekend"}</label>{$action_object->check_required('nightly_rate_weekend')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="nightly_rate_weekend" id="nightly_rate_weekend" value="{$action_object->get_value('nightly_rate_weekend')}" /> <span class="currency"></span>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="weekly_rate"}</label>{$action_object->check_required('weekly_rate')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="weekly_rate" id="weekly_rate" value="{$action_object->get_value('weekly_rate')}" /> <span class="currency"></span>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="monthly_rate"}</label>{$action_object->check_required('monthly_rate')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="monthly_rate" id="monthly_rate" value="{$action_object->get_value('monthly_rate')}" /> <span class="currency"></span>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text='price_for'}</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="persons" id="persons" value="{$action_object->get_value('persons')}" /> <strong>{translate text='persons'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="extra_person_price"}</label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="extra_person_price_night" id="extra_person_price_night" value="{$action_object->get_value('extra_person_price_night')}" /> <span class="currency"></span> <strong>/ {translate text='person'} / {translate text='night'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label></label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="extra_person_price_week" id="extra_person_price_week" value="{$action_object->get_value('extra_person_price_week')}" /> <span class="currency"></span> <strong>/ {translate text='person'} / {translate text='week'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label></label>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="extra_person_price_month" id="extra_person_price_month" value="{$action_object->get_value('extra_person_price_month')}" /> <span class="currency"></span> <strong>/ {translate text='person'} / {translate text='month'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="min_stay"}</label>{$action_object->check_required('min_stay')}
				</div>
				<div class="input_box">
					<select name="min_stay" id="min_stay">
						{foreach item=label key=val from=$action_object->m_form_fields.min_stay.options}
						<option value="{$val}" {if $action_object->m_form_fields.min_stay.value==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="changeover_day"}</label>{$action_object->check_required('changeover_day')}
				</div>
				<div class="input_box">
					<select name="changeover_day" id="changeover_day">
						<option value="-1">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.changeover_day.options}
						<option value="{$val}" {if $val==-999}disabled="disabled"{/if} {if $action_object->m_form_fields.changeover_day.value==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="special_offer"}</label>{$action_object->check_required('special_offer')}
				</div>
				<div class="input_box">
					<input type="radio" name="special_offer" value="1" {if $action_object->get_value('special_offer')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="special_offer" value="0" {if $action_object->get_value('special_offer')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="rate_overwrite"}</label>{$action_object->check_required('rate_overwrite')}
					<a href="#" title="{translate text='rate_overwrite_info' transform='htmlspecialchars'}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="radio" name="rate_overwrite" value="1" {if $action_object->get_value('rate_overwrite')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="rate_overwrite" value="0" {if $action_object->get_value('rate_overwrite')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					{if $action_object->m_form_name=='listings_rates_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					{if $action_object->m_form_name=='listings_rates_edit'}
					<span class="btn_grey">
						<span>
							<span><a href="{$bo_listing_menu_cfg.payment.submenu.rates.href}">&laquo; {translate text='rates'}</a></span>
						</span>
					</span>
					{/if}
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_rates_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					{if $action_object->m_form_name=='listings_rates_edit'}
					<span class="btn_grey">
						<span>
							<span>{translate text='cancel'}</span>
							<input type="submit" name="submitf" value="submit_cancel" />
						</span>
					</span>
					{/if}
					
					{if $action_object->m_form_name=='listings_rates_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
					
				</center>
			</li>
		</ul>
		{if $action_object->m_form_name=='listings_rates_add'}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#calendar" class="minus">{translate text='rates_calendar'}</a>
				<ul id="calendar">
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="availability_calendar">
							{$action_object->m_rates_calendar}
						</div>
					</li>
					<li>
						<ul class="legend">
							<li class="newline"><strong>&bull; {translate text='rates_calendar_rollover'}</strong></li>
							<li class="newline"><strong>&bull; {translate text='rate_color_temperature_key_a'}</strong></li>
							<li class="newline"><strong>&bull; {translate text='rate_color_temperature_key_b'}</strong></li>
						</ul>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#rates" class="minus">{translate text='rates'}</a>
				<ul id="rates" style="background:#fff;border:0 none;">
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{/if}
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->