<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="user"}</label>{$action_object->check_required('user_id')}
				</div>
				<div class="input_box">
					<input type="text" class="text" disabled="disabled" readonly="readonly" value="{format_field col='user_name' value="`$action_object->m_form_fields.user_id.value`"}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="service"}</label>{$action_object->check_required('service')}
				</div>
				<div class="input_box">
					<input type="text" class="text" disabled="disabled" readonly="readonly" value="{translate text="`$action_object->m_form_fields.service.value`"}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="amount"}</label>{$action_object->check_required('credits')}
				</div>
				<div class="input_box">
					{config key='currency_code' assign='currency_code'}
					<input type="text" class="medium_text" disabled="disabled" readonly="readonly" value="{$action_object->m_form_fields.credits.value}" /> <strong>{$currency_code|upper}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="payment_system"}</label>{$action_object->check_required('payment_system')}
				</div>
				<div class="input_box">
					<input type="text" class="text" disabled="disabled" readonly="readonly" value="{translate text="`$action_object->m_form_fields.payment_system.value`"}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="request_type"}</label>{$action_object->check_required('request_type')}
				</div>
				<div class="input_box">
					<input type="text" class="text" disabled="disabled" readonly="readonly" value="{translate text="payment_request_type_`$action_object->m_form_fields.request_type.value`"}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="status"}</label>{$action_object->check_required('payment_status')}
				</div>
				<div class="input_box">
					<select name="payment_status" id="payment_status">
						{foreach item=label key=val from=`$action_object->m_form_fields.payment_status.options`}
						<option value="{$val}" {if $action_object->get_value('payment_status')==$val} selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<div class="text_center">
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='payment_requests_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					<!--
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='payment_requests_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>-->
				</div>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->