<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
{literal}
<style>
body {
  background-color: #ffffff;
  color: #000000;
  margin: 0px;
  padding-top: 0px;
  font-size: 1em;
  padding:3em 2em 2em 2em;
}

h1 {
  font-size: 18px;
  color: #000000;
}

h2 {
  font-size: 14px;
  color: #000000;
}

h3 { 
  font-size: 12px;
  color: #999999;
}

.top_info { font-size:11px; }
.split { height:10px;width:100%; }


/* Tables
-----------------------------------------------------------------------*/
table {
  empty-cells: show;
}
.data th { padding:4px;background:#fff;font-weight:bold;text-align:left;border-bottom:2px solid #000000; }
.data td { padding:4px;border-bottom:1px solid #666666; }

</style>
{/literal}
</head>
<body style="font-family:'dejavu sans';">
<img style="float:right;" src="{base_url}public/themes/{$theme}/images/logo.png" />
<div class="split">&nbsp;</div>
<h1>{translate text='transaction'} #{$payment_request_id}</h1>
<h2>{translate text='status'}: {translate text="payment_status_$payment_status"}</h2>
<h2>{translate text='ctime'}: {format_field col='ctime' value=$ctime}</h2>
<div class="split">&nbsp;</div>
<table width="100%">
	<tr>
		<td>
			<p>
				<strong>{translate text='name'}:</strong> {$user_info->name}<br/>
				<strong>{translate text='email'}:</strong> {$user_info->email}<br />
				<strong>{translate text='phone'}:</strong> {$user_info->phone}<br />
				<strong>{translate text='address'}:</strong> {$user_info->address} <br />
				<strong>{translate text='zip_code'}:</strong> {$user_info->zip} <br />
				<strong>{$user_info->country} {$user_info->location}</strong>
			</p>
		</td>
	</tr>
</table>
<div class="split">&nbsp;</div>
<table width="100%" class="data">
	<tr>
		<th>{translate text='service'}</th>
		<th>{translate text='amount'}</th>
		<th>{translate text='payment_system'}</th>
	</tr>
	<tr>
		<td>{translate text="$service"}</td>
		<td style="{if $request_type=='spend'}color:#cc0000;{else}color:#003300{/if}">{if $request_type=='spend'} - {elseif $request_type=='add'} + {/if} {convert_credits amount=$credits}</td>
		<td>{translate text="$payment_system"}</td>
	</tr>
</table>
</body>
</html>
