var m_min_stay = 1;
var temp_opts = {};
var bookings = function()
{
	return {
		'get_min_stay':function(opts)
		{
			
			var opts = $.extend({}, {qb_calculator:false}, opts);	
			var $el;
			
			if(!opts.start_date || !opts.listing_id)
			{
				//console.log(opts);
				return 1;
			}
			if(!$("#spinner")[0])
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
			
			if(opts.qb_calculator)
			{
				$el = $("#b_end_date_picker");
			}
			else $el = $("#end_date_picker");
				
			var position = $el.offset();
			var width = $el.width();
			var $this = this;
					
			$.ajax(
			{
				url: site_url+'ajax/get_min_stay/start_date.'+opts.start_date+'/listing_id.'+opts.listing_id,
				type: 'GET',
				beforeSend: function()
				{
					$('#spinner').css({ top: position.top+5 , left: position.left+width-10}).fadeIn();
				},	
				success: function(data) 
				{	
					data = parseInt(data);
					m_min_stay = data==0?1:data;
					
					//update end date
					var s_date = $.datepicker.parseDate('yy-mm-dd',opts.start_date);
					var e_date = s_date;
					e_date.setDate(s_date.getDate()+m_min_stay);
					$el.datepicker( "option", "minDate", e_date).datepicker('setDate',e_date).datepicker('show');
					
				},
				complete:function()
				{
					$("#spinner").fadeOut();
				}
				
			}
			);
		},
		'start_date_init':function(opts){
			var today = new Date();
			var $this = this;
			var listing_id,$el_name,$el,$el_picker;
			
			var opts = $.extend({}, {qb_calculator:false,dynamic_btns:false,show_calculator:false}, opts);	
			
			if(opts.qb_calculator) 
			{
				listing_id = $("#b_listing_id").val();
				$el_name = "#b_start_date";
				$el = $("#b_start_date");
				$el_picker = $("#b_start_date_picker")
			}
			else 
			{
				listing_id = $("#listing_id").val();
				$el_name = "#start_date";
				$el = $("#start_date");
				$el_picker = $("#start_date_picker");
			}
			
			var check_start_date = function()
			{
				if($el.val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$el.val());
				}
				else 
				{
				}
			}
			var selected = check_start_date();
			
			$el_picker.datepicker({
				minDate:0,
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: $el_name,
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					if(typeof(selectedDate)=='undefined') return;
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					/*
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#qb_end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day).datepicker('show');*/
					
					$this.get_min_stay({start_date:$.datepicker.formatDate('yy-mm-dd',selected_date),listing_id:listing_id,qb_calculator:opts.qb_calculator});
					
					if(opts.dynamic_btns)
					{
						$("#book_label").hide();
						if(!$("#calculate_label").is(":visible")) $("#calculate_label").fadeIn();
					}
				},
				beforeShowDay: function(date)
				{
					if(typeof(date)!='object') return [false];
					var d = date.getFullYear()+'-'+(date.getMonth()+1)+'-'+date.getDate();
					var selectable = true;
					if(typeof(booking_calculator_datepicker_data[d])!='undefined')
					{
						switch(booking_calculator_datepicker_data[d].c)
						{
							case 'booked':
							case 'booked_pending_arrival':
							case 'booked_departure_unknown':
							case 'pending_booked_arrival':
							case 'unknown_booked_arrival':
							case 'pending':
							case 'unknown':
								selectable = false;
								break;
						}
						return [selectable,booking_calculator_datepicker_data[d].c];
					}else return [true];
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(opts){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var $el_name,$el,$el_picker;
			
			var opts = $.extend({}, {qb_calculator:false,dynamic_btns:false,show_calculator:false}, opts);	
			
			if(opts.qb_calculator) 
			{
				$el_name = "#b_end_date";
				$el = $("#b_end_date");
				$el_picker = $("#b_end_date_picker")
			}
			else 
			{
				$el_name = "#end_date";
				$el = $("#end_date");
				$el_picker = $("#end_date_picker");
			}
			
			var check_end_date = function()
			{
				if($el.val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$el.val());
				}
				else {}
				/*
				else if ($("#qb_start_date").val())
				{
					var start_date = $.datepicker.parseDate('yy-mm-dd',$("#qb_start_date").val());
					start_date.setDate(start_date.getDate()+1);
					return start_date;
				}
				//else
					//return tomorrow;*/
			}
			var selected = check_end_date();
			
			$el_picker.datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: $el_name,
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					if(typeof(selectedDate)=='undefined') return;
					//$el_picker.datepicker( "option", "maxDate", selectedDate );
					
					if(opts.dynamic_btns)
					{
						$("#book_label").hide();
						if(!$("#calculate_label").is(":visible")) $("#calculate_label").fadeIn();
					}
					if(opts.show_calculator)
						$this.show_calculator();
				},
				beforeShowDay: function(date)
				{
					if(typeof(date)!='object') return [false];
					var d = date.getFullYear()+'-'+(date.getMonth()+1)+'-'+date.getDate();
					var selectable = true;
					if(typeof(booking_calculator_datepicker_data[d])!='undefined')
					{
						switch(booking_calculator_datepicker_data[d].c)
						{
							case 'booked':
							case 'pending':
							case 'unknown':
								selectable = false;
								break;
						}
						return [selectable,booking_calculator_datepicker_data[d].c];
					}else return [true];
				}
			}).datepicker('setDate',selected);
			//if($("#start_date").val()) $("#end_date_picker").datepicker("show");
		},
		'get_calculator_opts': function(opts)
		{
			var calculator_opts = {};
			
			var opts = $.extend({}, {qb_calculator:false}, opts);	
			
			if(opts.qb_calculator)
			{
				calculator_opts.start_date = $("#b_start_date").val();
				calculator_opts.end_date = $("#b_end_date").val();
				calculator_opts.guests = $("#b_guests").val();
				calculator_opts.guests = calculator_opts.guests>0?calculator_opts.guests:2;
				calculator_opts.listing_id = $("#b_listing_id").val();
			}
			else 
			{
				calculator_opts.start_date = $("#start_date").val();
				calculator_opts.end_date = $("#end_date").val();
				calculator_opts.listing_id = $("#listing_id").val();
				calculator_opts.adults = $("#number_adults").val();
				calculator_opts.children = $("#number_children").val();
				
				//optional addons
				var addons_optional_ids = [];
				$(".addons_optional").each(
					function()
					{
						if($(this).is(':checked')) addons_optional_ids.push($(this).val());
					}
				);
				//if(addons_optional_ids.length>0)
				calculator_opts.addons_optional = addons_optional_ids.join(',');
				
			}
			return calculator_opts;
		},
		'init_qb_calculator': function()
		{
			if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
			//price selector
			$('#price_type').change(
				function()
				{
					var $val = $(this).val();
					$('.qb_price').hide();
					$('.qb_price_'+$val).fadeIn();
				}
			).trigger('change'); 
			
			bookings.start_date_init({qb_calculator:true,dynamic_btns:true});
			bookings.end_date_init({qb_calculator:true,dynamic_btns:true});
			
			$("#b_guests").change(
				function(){
					$("#book_label").hide();
					if(!$("#calculate_label").is(":visible")) $("#calculate_label").fadeIn();
				}
			);
			
			var $this = this;
			
			
			var opts = $this.get_calculator_opts({qb_calculator:true});
			if(opts.start_date && opts.end_date && opts.listing_id)
			{
				$this.show_qb_calculator(opts);
				temp_opts = opts;
			}
			
			$(document).on('click','#btn_quick_book',function(e){
				e.preventDefault();
				opts = $this.get_calculator_opts({qb_calculator:true});
				if((temp_opts.start_date==opts.start_date) && (temp_opts.end_date==opts.end_date) && (temp_opts.guests==opts.guests) && (temp_opts.listing_id==opts.listing_id) && !$('.qb_box').hasClass('qb_error') ) 
				{
					window.location.href = $(this).data('url')+'/start_date.'+opts.start_date+'/end_date.'+opts.end_date;
					return true;
				}
				else temp_opts = opts;
				$this.show_qb_calculator(opts);
				
			});
		},
		'show_qb_calculator': function(opts){
			var $this = this;
			if(!opts.start_date || !opts.end_date || !opts.listing_id) return false;
			/*
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body'); */
					
			//var $position = $("#btn_quick_book").offset();
			//var $width = $('#btn_quick_book').width();
			var $loading_el = $("#btn_quick_book").find('i');
					
			$.ajax(
			{
				url: site_url+'ajax/quick_booking_calculator/start_date.'+opts.start_date+'/end_date.'+opts.end_date+'/listing_id.'+opts.listing_id+'/guests.'+opts.guests+'/',
				type: 'GET',
				beforeSend: function()
				{
					//$('#spinner').css({ top: $position.top+2 , left: $position.left+$width+15}).fadeIn();
					$loading_el.fadeIn();
				},	
				success: function(data) 
				{	
					if(data.is_error)
					{
						$('.qb_box').removeClass('qb_ok').addClass('qb_error');
						$("#book_label").hide();
						if(!$("#calculate_label").is(":visible")) $("#calculate_label").show();
					}
					else
					{
						$('.qb_box').removeClass('qb_error').addClass('qb_ok');
						$("#calculate_label").hide();
						if(!$("#book_label").is(":visible")) $("#book_label").show();
					}
					$("#booking_calculator_response_box").html(data.html_response);
				},
				complete:function() { 
					//$("#spinner").fadeOut(); 
					$loading_el.fadeOut();
					
				}
			}); 	
		},
		'show_calculator':function()
		{
			var $this = this;
			var opts = $this.get_calculator_opts();
			
			if(!opts.start_date || !opts.end_date || !opts.listing_id) return false;
			if(!$("#spinner")[0])
				$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body'); 
					
			var $el = $("#booking_ajax");
			var $position = $el.offset();
			var $width = $el.width();
					
			$.ajax(
			{
				url: site_url+'ajax/booking_calculator/start_date.'+opts.start_date+'/end_date.'+opts.end_date+'/listing_id.'+opts.listing_id+'/adults.'+opts.adults+'/children.'+opts.children+'/addons_optional.'+(opts.addons_optional?opts.addons_optional:''),
				type: 'GET',
				beforeSend: function()
				{
					$('#spinner').css({ top: $position.top+2 , left: ($position.left+$width/2)}).fadeIn();
				},	
				success: function(data) 
				{	
					$("#booking_ajax").html(data.html_response);
				},
				complete:function() { $("#spinner").fadeOut(); }
			}); 	
		},
		'init_calculator':function()
		{
			if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
			var $this = this;
			bookings.start_date_init({show_calculator:true});
			bookings.end_date_init({show_calculator:true});
			$(".addons_optional").change(
				function()
				{
					$this.show_calculator();
				}
			);
			$("#number_adults").change(
				function(){
					$this.show_calculator();
				}
			)
			$("#number_children").change(
				function(){
					$this.show_calculator();
				}
			);
			$this.show_calculator();
		}
	}
}();