var $window_w = $(window).width();
var $window_h = $(window).height();

var home = function(){
	return {
		center_quick_search_box: function()
    	{
    		 if($(window).width() <767) return;
    		 var $slider_height = $("#slider").outerHeight();
    		 var $search_box_height = $('.search_box').outerHeight();
    		 var $navigation_height = $('.navigation').outerHeight(); 
    		 var $top;
    		 //console.log('slider height:'+$slider_height);
    		 //console.log('search box height:'+$search_box_height);
    		 //console.log('nav height:'+$navigation_height);
    		 $top = ($slider_height / 2) - ($search_box_height / 2) + $navigation_height;
    		 //console.log($top);
    		 $('.quick_search_box').css('top', $top);
    	}
	}
}();
var home_slideshow = function(){
	return {
		disable_click:function(){//disable click when dragging
			$('.owl-carousel .property').css('pointer-events', 'none');
		},
		enable_click:function(){//enable click after dragging
			$('.owl-carousel .property').css('pointer-events', 'auto');
		},
		slider_loaded:function()
		{
        	$('#slider').removeClass('loading');
        	$("#loading_ico").css('display', 'none');
    	},
    	animate_description: function()
    	{
        	var $description = $(".slide .caption");
        	$description.addClass('animate-description-out');
        	$description.removeClass('animate-description-in');
        	setTimeout(function() 
        	{
            	$description.addClass('animate-description-in');
        	}, 400);
    	},
    	calculate_slider_height: function()
    	{
    		//if ($(window).width() < 979) 
    		{
        		var $navigation = $('.navigation');
        		var $window_height = window.innerHeight ? window.innerHeight : $(window).height();
        	
        		var $navigation_height = $navigation.outerHeight();
        		var $slider_height = $window_height - $navigation_height;//-100;
        		
        		if($slider_height>=498) $slider_height = 498; // taken from css file
        		//alert($slider_height);
        		
        		//$('#slider .slide').height($slider_height);
        		//$('#slider').height($slider_height);
        		$("#slider .slide").css({'height':$slider_height,'overflow':'hidden'});
        		$("#slider").css({'height':$slider_height,'overflow':'hidden'});
    		}
    	},
    	fix_slider_position: function()
    	{
    		if($('body').hasClass('navigation_fixed_top'))
    		{
    			var $navigation_height = $('.navigation').outerHeight();
    			$('.slideshow_box').css('margin-top', $navigation_height);
    		}
    	},
    	init: function(opts)
    	{
    		var $this = this;
    		var opts = opts||{};
    		var rtl = opts.rtl?opts.rtl:false;
    		
    		if ($('.homepage-slider')[0]) 
    		{
		        if ($('.carousel-full-width')[0]) 
		        {
		            $('.carousel-full-width').css('width', $(window).width());
		        }
    
		        $(".homepage-slider").owlCarousel({
		            rtl: rtl,
		            autoPlay: 5000,
		            nav: false,
		            mouseDrag: false,
		            items: 1,
		            responsiveBaseWidth: ".slide",
		            dots: false,
		            transitionStyle : 'fade',
		            navText: ["",""],
		            onInitialized: $this.slider_loaded(),
		            onChanged: $this.animate_description(),
		            singleItem : true,
		            autoplay:true,
		            autoplayTimeout:5000,
		            autoplayHoverPause:true,
		            loop:$('.slide').length>1?true:false,
		            animateOut: 'fadeOut',
		            responsiveClass:true,
		            responsive:{
		            	700:{
		            		dots:false
		            	},
		            	871:
		            	{
		            		nav:$('.slide').length>1?true:false
		            	}
		            }
		        });
		        if($(".homepage-slider .slide")[0])
    		 		$(".homepage-slider .slide img").imageScale({scale:'best-fill',rescaleOnResize:true,debug:3,parent:$("#slider")});
    		 	$this.calculate_slider_height();
    		 	$this.fix_slider_position();
    		}
    	}
	}
}();

var top_destinations_slideshow = function(){
	return {
		init: function(opts)
    	{
    		var $this = this;
    		var opts = opts||{};
    		var rtl = opts.rtl?opts.rtl:false;
    		
    		if ($('.top_destinations_slideshow')[0]) 
    		{
				$('.top_destinations_slideshow').owlCarousel({
				    loop:true,		 
				    nav:true,
				    dots:false,
				    autoplay:true,
				    autoplayTimeout:5000,
				    //items:3,
				    margin:15,
		      		responsiveClass:true,
		      		navText: ["",""],
		      		responsiveBaseWidth: ".slide_item",
		            transitionStyle : 'fade',
		            lazyLoad:true,
		      		responsive:{
						0:{
							items:1
						},
						480:{
							items:2
						},
						780:{
		      				items:3
						}
		      		}
				});
    		}
    	}
	}
}();


//for rtl this should be move to tpl
$(window).load(function(){ 
	
});
$(window).on('resize',function(){
	home_slideshow.calculate_slider_height();
	home_slideshow.fix_slider_position();
	home.center_quick_search_box();
});

$(document).ready(
	function()
	{
		home_slideshow.init(); 
		top_destinations_slideshow.init();
		
		//if(datepicker_conf)
		//	$.datepicker.setDefaults(datepicker_conf);
			
		//quick search
		//search_common.start_date_init();
		//search_common.end_date_init();
		//search_common.browser_location_init();
		//price_slider.init('rent');
		home.center_quick_search_box();
		
		var $calculate_modal = all.calculate_modal($("#quicksearch_modal"));
			$(window).resize(
				function(){ $calculate_modal = all.calculate_modal($("#quicksearch_modal")); }
		);
		$(document).on('click','.fake_search_box',function(){
			/*
			$('.fake_search_box').fadeOut();
			$('html, body').animate({
        		scrollTop: $("#search_form").offset().top - $(".navigation").outerHeight() - 10
    		}, 500);
			$("#location_autocomplete").focus();*/
			
			$("#quicksearch_modal").on("show.bs.modal", function() 
			{
				var $modal_body = $(this).find(".modal-body");
				var $modal_dialog = $(this).find(".modal-dialog");
				$modal_dialog.css({'width':$calculate_modal.width});
				$modal_body.css({"max-height": $calculate_modal.height,"height":$calculate_modal.height,"overflow":"auto"});
			});
			$("#quicksearch_modal").on("show.bs.modal", function() 
			{
				$("#location_autocomplete_m").focus();
			});
			$("#quicksearch_modal").modal('show');
		});
	}
);

