var lists = function(){
	return {
		confirm_delete : function(src,msg)
		{
			if(!msg || !src) return;
			var confirmation = confirm(msg);
			if(confirmation)
			{
				window.location.href=src;
			}
		},
		confirm_cancel : function(src,msg)
		{
			if(!msg || !src) return;
			var confirmation = confirm(msg);
			if(confirmation)
			{
				window.location.href=src;
			}
		},
		get_marked_items:function()
		{
			var out_ids_marked = [];
			$(".check_item").each(
				function()
				{
					if($(this).is(":checked")) out_ids_marked.push($(this).val());
				}
			);
			return out_ids_marked.join(',');
		},
		mark_items: function(ids)
		{
			$(".check_item").click(
				function()
				{
					var td = $(this).parents('td');
					var tr = td.parents('tr');
					var div = $(this).parents('div');
					
					$(".mark_all").check('off');
					if($(this).is(":checked")) 
					{
						td.addClass("marked");
						tr.addClass('marked');
						if(div[0]) div.addClass('marked');
						//marked_items_count++;
					}
					else 
					{
						td.removeClass("marked");
						tr.removeClass('marked');
						if(div[0]) div.removeClass('marked');						
						//marked_items_count--;
					}
					marked_items_count = $('.check_item:checked').length;
					if(marked_items_count>=0) $("#marked_items").html(marked_items_count);
					else 
					{
						marked_items_count = 0;
						$("#marked_items").html("0");
					}
				}
			);
			$(".mark_all").click(
				function(e)
				{
					var state = this.checked;
					marked_items_count = 0;
					var shift = (e.shiftKey)?true:false;
					var div = $(this).parents('div');
					
					$(".check_item").each(
						function()
						{
							//this.checked = state;
							this.checked = shift?!this.checked:state;
							
							var td = $(this).parents('td');
							var tr = td.parents('tr');
							var div = $(this).parents('div');
							
							if(this.checked)
							{
								td.addClass("marked");
								tr.addClass('marked');
								if(div[0]) div.addClass('marked');
								//marked_items_count++;
							}
							else 
							{
								td.removeClass("marked");
								tr.removeClass('marked');
								if(div[0]) div.removeClass('marked');
								//marked_items_count--;
								//if(marked_items_count<=0) marked_items_count=0;
							}
						}
					);
					//console.log(marked_items_count);
					marked_items_count = $('.check_item:checked').length;
					if(marked_items_count>=0) $("#marked_items").html(marked_items_count);
					else 
					{
						marked_items_count = 0;
						$("#marked_items").html("0");
					}
				}
			);
			
			//mark ids
			if(ids)
			{				
				var ids_array = ids.split(',');
				$(".check_item").each(
					function(){
						
						var td = $(this).parents('td');
						var tr = td.parents('tr');
						var div = $(this).parents('div');
						
						if($.inArray($(this).val(),ids_array)!=-1)
						{
							this.checked = true;
							
							td.addClass("marked");
							tr.addClass('marked');
							if(div[0]) div.addClass('marked');
						}
						else
						{
							this.checked = false;
							
							td.removeClass("marked");
							tr.removeClass('marked');
							if(div[0]) div.removeClass('marked');
						}
					
					}
				);
				marked_items_count = $('.check_item:checked').length;
				if(marked_items_count>=0) $("#marked_items").html(marked_items_count);
				else 
				{
					marked_items_count = 0;
					$("#marked_items").html("0");
				}
				
			}
		},
		do_action: function(del_message)
		{
			var $this = this;
			$("#list_actions").change(
				function()
				{
					var marked_items = $this.get_marked_items();
					if(marked_items!="")
					{
						var jump_page = $(this).val()+'q:'+marked_items;
						if(jump_page.match("delete"))
						{
							$this.confirm_delete(jump_page,del_message);
						}
						else window.location.href = jump_page;
					}
					this.selectedIndex = 0;
				}
			);
		},
		confirm_action: function(src,msg) // trebe modificat confirm_delete
		{
			if(!msg || !src) return;
			var confirmation = confirm(msg);
			if(confirmation)
			{
				window.location.href=src;
			}		
		},
		go_page_submit:function()
		{
			var src = $("#go_page_submit").val();
			var page = parseInt($("#go_page_input").val());
			if(page && src) window.location.href = src+'page:'+page;
			return;
		},
		more_options_switch:function()
		{
			$(document).on('click',".more_options_switch",
				function(e)
				{
					e.preventDefault();
					var offset = $(this).offset();
					var rel = $(this).attr('rel');
					
					var $more_obj = $('#'+rel);

					var width = $more_obj.width();
					//alert(width);
					var left_position = offset.left-width+22;
					var top_position = offset.top+22;

					
					$more_obj.css({left:left_position,top:top_position}).slideToggle()
					.hover(
							function(){},
							function(){$(this).slideUp(500);}
					);
				}
			);
		}
	}
}();
	

$(document).ready(function(){
	lists.mark_items();
	//$("a[rel=colorbox]").colorbox();
	//$("a[rel=colorbox_photos]").colorbox({
	//		photo:true
	//});
    //
    //$("#q_field").customStyle();
    
});
