{load_bo bo="bo_listing" action="send_to_friend" assign="action_object"}

{if $action_object->m_form_status==-1}
<p>{translate text='send_to_friend_info'}</p>
{/if}
{include file="$theme/tpls/forms/form_errors.tpl"}

<div class="basic_form">
	<form id="send_to_friend" method="post" action="{site_url uri="listing/send_to_friend/`$action_object->m_listing_id`"}" class="form-horizontal">
		<div class="form-group">
			<label for="email" class="col-sm-2 control-label">{translate text='email'} {$action_object->check_required('email')}</label>
			<div class="col-sm-10">
				<input type="email" class="form-control" id="email" name="email" value="{$action_object->m_form_fields.email.value}" />
			</div>
		</div>
		<div class="form-group">
			<label for="message" class="col-sm-2 control-label">{translate text='message'} {$action_object->check_required('message')}</label>
			<div class="col-sm-10">
				<textarea class="form-control" name="message" id="message" rows="5">{$action_object->get_value('message')}</textarea>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">{translate text='captcha'} {$action_object->check_required('captcha')}</label>
			<div class="col-sm-10">
				<div class="w50p">
					<input autocomplete="off" type="text" class="form-control" name="captcha" value="{$action_object->m_form_fields.captcha.value}" />
				</div>
				<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
			</div>
		</div>
		<div class="form-group">
			<div class="text_center">
				<button type="submit" class="btn_dark_grey"  name="submitf" value="submit">{translate text='submit'}</button>
			</div>
		</div>
		<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
	</form>
</div>