{include file="$theme/tpls/forms/form_errors.tpl"}
{if $action_object->m_form_status==1}
<p>{translate text='send_to_friend_info'}</p>
{else}
<div class="padding_10px">
	<form id="write_review_form" method="post" action="{site_url uri="listing/review"}{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}#write_review" class="form-horizontal">
	<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->m_listing_info->listing_id}" />
	<input type="hidden" name="reviewer_id" id="reviewer_id" value="{$action_object->m_user_id}" />
	<input type="hidden" name="user_id" id="user_id" value="{$action_object->m_listing_info->user_id}" />
		
	<div class="form-group">
		<label for="rating_stars" class="col-sm-3 control-label">{translate text="rating_stars"} {$action_object->check_required('rating_stars')}</label>
		<div class="col-sm-9">
			<div class="star_rating_box">
			{section loop=6 start=1 step=1 name=stars}
				<input name="rating_stars" type="radio" class="star" value="{$smarty.section.stars.iteration}" {if $action_object->get_value('rating_stars')==$smarty.section.stars.iteration}checked="checked"{/if} />
			{/section}&nbsp;{translate text='rating_click_to_rate'}
			</div>
		</div>
	</div>
		
	<div class="form-group">
		<label for="arrival_date_picker" class="col-sm-3 control-label">{translate text="arrival"} {$action_object->check_required('arrival_date')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="hidden" name="arrival_date" id="arrival_date" value="{$action_object->get_value('arrival_date')}" />
				<input type="text" class="form-control" id="arrival_date_picker" name="arrival_date_picker" />
			</div>
		</div>
	</div>	
	<div class="form-group">
		<label for="title" class="col-sm-3 control-label">{translate text="review_title"} {$action_object->check_required('title')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" name="title" id="title" value="{$action_object->get_value('title')}" />
		</div>
	</div>
	<div class="form-group">
		<label for="body" class="col-sm-3 control-label">{translate text="review_body"} {$action_object->check_required('body')}</label>
		<div class="col-sm-9">
			<textarea name="body" id="body" rows="5" class="form-control">{$action_object->get_value('body')}</textarea>
		</div>
	</div>			
	<div class="form-group">
		<label for="captcha" class="col-sm-3 control-label">{translate text='captcha'}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input class="form-control" type="text" name="captcha" id="captcha" />
				<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
			</div>
		</div>
	</div>	
	<div class="form-group">
		<div class="col-sm-offset-3 col-sm-9">
			<button type="submit" name="submitf" value="write_review" class="btn_dark_grey">{translate text='submit'}</button>
		</div>
	</div>
	<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
	</form>
</div>
{/if}