{load_bo bo='bo_guides' action='details' assign='action_object'}
<div class="guide_details">
	<div class="gd_header">
		<div class="title">
			<h1>{$action_object->m_guide_info->title}</h1>
		</div>
		<div class="location"><i class="fa fa-map-marker"></i> {$action_object->m_guide_info->location_breadcrumbs}</div>
	</div>
	<div class="gd_content">
		<div class="row">
			<div class="col-md-5">
				<div class="photo_gallery" data-allowfullscreen="true" data-width="100%">
					{if $action_object->m_guide_info->photos}
						{foreach name=list_photos item=photo from=$action_object->m_guide_info->photos}
							<a href="{image return_file=true file="`$photo->guide_photo_file`" w="1280" h="853" c=1 mr=1 dir="guide_photos" ctime="`$photo->ctime`"}" data-caption="{$photo->title}"></a>
						{/foreach}
					{/if}
				</div>
			</div>
			<div class="col-md-7">
				<p>{$action_object->m_guide_info->description|nl2br}</p>
			</div>
		</div>
	</div>
	<div class="gd_footer">
		<i class="fa fa-arrow-circle-left"></i>  <a href="{site_url}guides">{translate text='all_guides'}</a> | <i class="fa fa-search"></i> <a href="{site_url}{$action_object->m_search_word}/{$action_object->m_guide_info->location_slugs}">{translate text='view_listings_in'} <strong>{$action_object->m_guide_info->location_breadcrumbs|breadcrumbs_truncate:1}</strong></a>
	</div>
</div>