{load_bo bo="bo_guides" action="view" assign="action_object"}
{load_bo bo='bo_guides' action='top_destinations' assign="top_destinations" params="limit:3"}
<div class="row">
	<div class="col-md-8">
		<div class="white_content_box clearfix">
			<div class="padding_10px">
				<div class="guides_list">
					<h1>{translate text='guides'}</h1>
					{foreach item="guide" from=$action_object->m_guides_list}
					<div class="guide_box clearfix">
						<a class="on_box" href="{$guide->guide_url}"></a>
						<div class="gb_header">
							<div class="title">
								<h3>{$guide->title}</h3>
							</div>
						</div>
						<div class="gb_description">
							<p>{$guide->description|strip_tags:true|truncate:690:'...':true} 
								<a href="{$guide->guide_url}" class="a_arrow"><strong>{translate text='read_more'}</strong></a>
							</p>	
						</div>
					</div>
					{foreachelse}
						<div class="alert alert-warning" role="alert">
							<strong>{translate text='no_results_found'}</strong>
						</div>
					{/foreach}
					<div class="pagination">
						{$action_object->m_pagination}
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-4">
			{if $top_destinations->m_top_destinations_list}
			<div class="white_content_box clearfix">
				<div class="guides_sidebar padding_10px">
					<h4>{translate text='top_destinations'}</h4>
					{foreach item=guide from=$top_destinations->m_top_destinations_list}
					<div class="guide_box">
						<div class="img">
							<a href="{$guide->guide_url}"></a>
							<img data-src="{image return_file=true file="`$guide->photo`" w="800" h="600" c="1" dir="guide_photos" ctime="`$guide->photo_ctime`"}" src="{base_url}public/images/loading.gif" title="{$guide->photo_title}" alt="{$guide->photo_title}" class="img-responsive" />
						</div>
						<div class="footer">
							<div class="title">{$guide->title}</div>
						</div>
					</div>
					{/foreach}
				</div>
			</div>
			{/if}
	</div>
</div>

