{include file="$theme/tpls/header.tpl"}
{login_info assign="login_info" quick_info='1'}
<body class="navigation_fixed_top" id="top">
<!--wrapper-->
<div class="wrapper">
	{include file="$theme/tpls/box_header.tpl" login_inf=$login_info}
	
	<!--homepage slideshow-->
	{load_adverts advert_position='slideshow' random=false assign='slideshow'}
	{if $slideshow}
	<div class="slideshow_box">
		<div id="slider" class="loading">
			<div id="loading_ico"><img src="{base_url}public/themes/{$theme}/images/loading.gif" alt=" " /></div>
			<div class="owl-carousel homepage-slider">
				{foreach item=slide from=$slideshow}
				<div class="slide">
					<div class="container">
						<div class="caption_box">
							<div class="caption">
								<div class="info">
									{if $slide->title}<h3>{$slide->title}</h3>{/if}
									{if $slide->description}
									<span>
										{$slide->description} 
										<a href="{if $slide->direct_link==1}{$slide->link}{else}{site_url}advert/{$slide->advert_id}{/if}" {$slide->link_other}>{translate text="read_more"}</a>
									</span>
									{/if}
								</div>
							</div>
						</div>
					</div>
					<a href="{if $slide->direct_link==1}{$slide->link}{else}{site_url}advert/{$slide->advert_id}{/if}">
						<img src="{image return_file=true w=1920 h=1280 c=1 dir='adverts' file="`$slide->advert_file`"}" alt="{$slide->title}" class="owl-lazy" />
					</a>
				</div>
				{/foreach}
			</div>
		</div>
		<div class="fake_search_box visible-xs" id="fake_search">
			<div class="fake_search_field">
				<span class="form-control">{translate text='where_do_you_want_to_go'}</span>
				<i class="fa fa-search"></i>
			</div>
		</div>
	</div>
	{/if}
	<!--//homepage slideshow-->
	
	<!--quick search-->
	{load_bo bo='bo_search' action='init_form' assign='action_object'}
	{assign var="search_obj" value=$action_object}
	<div class="quick_search_box">
		<div class="container no_padding">
			<div class="col-md-3 col-md-offset-9 col-sm-4 col-sm-offset-8 no_padding">
				{include file="$theme/tpls/forms/form_quick_search.tpl"}
			</div>
		</div>
	</div>
	<!--//quick search box-->
	
	<!--page content-->
	<div id="page_content">
	
		<!--home_box-->
		<div class="home_box">
			<div class="container">
				<div class="row">
					<div class="col-md-9">
						{load_bo bo='bo_guides' action='top_destinations' assign='top_destinations' params='limit:4'}
						{if $top_destinations->m_top_destinations_list}
						<section id="top_destinations" class="top_destinations">
							<h3>{translate text='top_destinations'}</h3>
							{assign var='featured_top_destination' value=$top_destinations->m_top_destinations_list[0]}
							
							<div class="topd_box featured_topd">
								<div class="topd_img">
									<img src="{image return_file="true" file="`$featured_top_destination->photo`" w="850" h="400" c=1 dir="guide_photos" ctime="`$featured_top_destination->photo_ctime`"}" class="img-responsive" title="{$featured_top_destination->title}" alt="{$featured_top_destination->title}"  />
								</div>
								<div class="topd_content_box">
									<div class="topd_content">
										<h2>{$featured_top_destination->title} {if $featured_top_destination->total_listings}<span>({$featured_top_destination->total_listings} {translate text='listings'})</span>{/if}</h2>
									</div>
								</div>
								<a href="{$featured_top_destination->guide_url}"></a>
							</div>
							
							<div class="owl-carousel top_destinations_slideshow clearfix">
								{foreach name='top_destinations_list' item=top_destination from=$top_destinations->m_top_destinations_list}
								{if $smarty.foreach.top_destinations_list.iteration>1}
								<div class="slide_item">
									<div class="topd_box">
										<div class="topd_img">
											<img class="img-responsive" src="{image return_file="true" file="`$top_destination->photo`" w="800" h="500" c=1 dir="guide_photos" ctime="`$top_destination->photo_ctime`"}"  title="{$top_destination->title}" alt="{$top_destination->title}"  />
										</div>
										<div class="topd_content_box">
											<div class="topd_content">
												<h2>{$top_destination->title} {if $top_destination->total_listings}<span>({$top_destination->total_listings} {translate text='listings'})</span>{/if}</h2>
											</div>
										</div>
										<a href="{$top_destination->guide_url}"></a>
									</div>
								</div>
								{/if}
								{/foreach}
							</div>
						</section>
						{/if}
					</div>
					<div class="col-md-3 col-xs-12">
						<section id="latest_news" class="latest_news_box">
							<h3>{translate text='latest_news'} <a href="{site_url}rss/latest_news"><i class="fa fa-rss"></i></a></h3>
							{load_bo bo="bo_news" action="latest_news" params="4" assign="action_object"}
							{foreach item="news" from=$action_object->m_news_list}
							<div class="news">
								<h4><a href="{$news->news_url}">{$news->title}</a></h4>
								{if $news->thumb}
									<div class="thumb">
										<a href="{$news->news_url}"></a>
										<img src="{$news->thumb}" alt="{$news->title}" />
									</div>
								{/if}
								<div class="content">
									{$news->description|strip_tags|truncate:90:'...':true}
									<a href="{$news->news_url}" class="a_arrow">{translate text='more'}</a>
								</div>
								<div class="date"><i class="fa fa-calendar-o"></i> {$news->ctime|date_format}</div>
							</div>
							{/foreach}
						</section>
						<section id="newsletter_box" class="newsletter_box clearfix">
							{load_bo bo="bo_auth" action="subscribe_newsletter" assign="action_object"}
							<form id="subscribe_newsletter" method="post" action="{site_url uri="newsletter/subscribe}">
								<div class="title">{translate text="newsletter"}</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="email@example.com" name="email" value="{$action_object->m_form_fields.email.value}" />
								</div>
								<div class="text_center">
									<button class="btn_grey" type="submit" name="submitf" value="subscribe">{translate text='subscribe'}</button>
								</div>
							</form>
						</section>
					</div>
				</div>
			</div>
		</div>
		<!--//home_box-->
	
		<!--home_box-->
		{load_bo bo='bo_search' action='latest_listings' assign="latest_listings" params="random:false"}
		{config key='square_metric' assign='square_metric'}
		{if $latest_listings->m_list_objects}
		<div class="home_box">
			<div class="container">
				<!--latest listings-->
				<section id="latest_listings" class="listings_grid">
					<div class="grid_title">
						<h3>{translate text='latest_listings'}</h3>
						<a class="a_arrow" href="{site_url}{$latest_listings->m_search_word}">{translate text='all_listings'}</a>
					</div>
					<div class="row">
						{foreach item=list_object from=$latest_listings->m_list_objects}
						<div class="col-md-3">
							<div class="grid_cell">
								<div class="cell_thumb">
									<a href="{$list_object->listing_url}"></a>
									<div class="embed-responsive embed-responsive-4by3">
										<div class="cell_thumb embed-responsive-item">
											<img src="{base_url}public/themes/{$theme}/images/loading.gif" data-src="{image return_file="true" file="`$list_object->photo`" w="690" h="517" c=1 dir="listing_photos" ctime="`$list_object->photo_ctime`"}" class="img-responsive" title="{$list_object->title}" alt="{$list_object->title}" />
										</div>
									</div>
								</div>
								
								{if $list_object->featured==1}
								<div class="ribbon">{translate text='featured'}</div>
								{/if}
								<div class="cell_header">
									<a href="{$list_object->listing_url}"></a>
									<h4>{$list_object->title}</h4>
									<div class="location" data-toggle="tooltip" title="{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'}">
										{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'} 
									</div>
									<div class="price">
										{if $list_object->show_price}
											{translate text='from'}
											<span>{$latest_listings->m_currency->symbol_lft}{format_field col='number' value="`$list_object->converted_price_min`"}{$latest_listings->m_currency->symbol_rgt}</span>
											/{$list_object->price_suffix}
										{else}
											<span>&nbsp;</span>
										{/if} 
									</div>
								</div>
								<div class="cell_meta">
									<ul>
										{if $list_object->no_rooms && $list_object->no_bedrooms==0} 
										<li><span>{translate text='bedrooms'}</span><strong>{translate text='studio'}</strong></li>
										{else}
										<li><span>{translate text='bedrooms'}</span><strong>{$list_object->no_bedrooms}</strong></li>
										{/if}
										{if $list_object->max_guests}
										<li><span>{translate text='sleeps'}</span><strong>{$list_object->max_guests}</strong></li>
										{/if}
									</ul>
								</div>
							</div>
						</div>
						{/foreach}
					</div>
				</section>
				<!--//latest listings-->
			</div>
		</div>
		{/if}
		<!--//home_box-->
		
		<!--home_box-->
		{load_bo bo='bo_search' action='popular_listings' assign="popular_listings" params="random:false"}
		{if $popular_listings->m_list_objects}
		<div class="home_box">
			<div class="container">
				<!--latest listings-->
				<section id="popular_listings" class="listings_grid">
					<div class="grid_title">
						<h3>{translate text='popular_listings'}</h3>
						<a class="a_arrow" href="{site_url}{$popular_listings->m_search_word}">{translate text='all_listings'}</a>
					</div>
					<div class="row">
						{foreach item=list_object from=$popular_listings->m_list_objects}
						<div class="col-md-3">
							<div class="grid_cell">
								<div class="cell_thumb">
									<a href="{$list_object->listing_url}"></a>
									<div class="embed-responsive embed-responsive-4by3">
										<div class="cell_thumb embed-responsive-item">
											<img src="{base_url}public/themes/{$theme}/images/loading.gif" data-src="{image return_file="true" file="`$list_object->photo`" w="690" h="517" c=1 dir="listing_photos" ctime="`$list_object->photo_ctime`"}" class="img-responsive" title="{$list_object->title}" alt="{$list_object->title}" />
										</div>
									</div>
								</div>
								
								{if $list_object->featured==1}
								<div class="ribbon">{translate text='featured'}</div>
								{/if}
								<div class="cell_header">
									<a href="{$list_object->listing_url}"></a>
									<h4>{$list_object->title}</h4>
									<div class="location" data-toggle="tooltip" title="{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'}">
										{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'} 
									</div>
									<div class="price">
										{if $list_object->show_price}
											{translate text='from'}
											<span>{$popular_listings->m_currency->symbol_lft}{format_field col='number' value="`$list_object->converted_price_min`"}{$popular_listings->m_currency->symbol_rgt}</span>
											/{$list_object->price_suffix}
										{else}
											<span>&nbsp;</span>
										{/if} 
									</div>
								</div>
								<div class="cell_meta">
									<ul>
										{if $list_object->no_rooms && $list_object->no_bedrooms==0} 
										<li><span>{translate text='bedrooms'}</span><strong>{translate text='studio'}</strong></li>
										{else}
										<li><span>{translate text='bedrooms'}</span><strong>{$list_object->no_bedrooms}</strong></li>
										{/if}
										{if $list_object->max_guests}
										<li><span>{translate text='sleeps'}</span><strong>{$list_object->max_guests}</strong></li>
										{/if}
									</ul>
								</div>
							</div>
						</div>
						{/foreach}
					</div>
				</section>
				<!--//latest listings-->
			</div>
		</div>
		{/if}
		<!--//home_box-->
		
	</div>
	<!--//page_content-->
	
</div>
<!--//wrapper-->
{include file="$theme/tpls/box_footer.tpl" latest_listings=$latest_listings}
{include file="$theme/tpls/js.tpl"}
{include file="$theme/tpls/modals.tpl" page="homepage" action_object=$search_obj}
{include file="$theme/tpls/footer.tpl"}