{load_bo bo="bo_auth" action="login" assign="action_object" params='auth/quick_login_redirect'}
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>{translate text='restricted_area'}</title>
<!--google fonts-->
<link href='http://fonts.googleapis.com/css?family=Open+Sans:700,400,300,300italic' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Lato:400,100,100italic,300,300italic,400italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
<!--//google fonts-->

<!--css-->
<link rel="stylesheet" href="{base_url cdn=1}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}{if $dir}&amp;dir={$dir}{/if}" type="text/css" />
<!--//css-->

<!--ie-->
<!--[if lt IE 9]>
<script type="text/javascript" src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]--> 
<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<!--//ie-->

<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body class="body_0">
<div class="wrapper">
	<div class="quicklogin_box">
		{if $action_object->m_errors}
		<div class="alert alert-danger alert-dismissible fade in" role="alert">
			<button class="close" aria-label="{translate text='close'}" data-dismiss="alert" type="button"><span aria-hidden="true">&times;</span></button>
			{foreach item=error from=`$action_object->m_errors`}{$error}{/foreach}
		</div>
		{/if}
		<form id="quick_login_form" class="form-horizontal" method="post" action="{site_url}auth/quick_login" />
			<div class="form-group">
				<label for="username" class="col-sm-2 control-label">{translate text='username'}</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="username" name="username" value="{$action_object->m_form_fields.username.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="password" class="col-sm-2 control-label">{translate text='password'}</label>
				<div class="col-sm-10">
					<input type="password" class="form-control" id="password" name="password" value="{$action_object->m_form_fields.password.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="captcha" class="col-sm-2 control-label">{translate text='captcha'}</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" autocomplete="off" name="captcha" value="" />
					<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
				</div>
			</div>
			<div class="form-group">
				<div class="text_center">
					<button type="submit" class="btn_dark_grey"  name="submitf" value="submit">{translate text='login'}</button>
				</div>
			</div>
			<div class="form-group footer_links">
				<div class="text_center">
					<a href="{site_url uri='auth/quick_forgot'}">{translate text='forgot_password'}</a> | <a target="_parent" href="{site_url uri='register'}">{translate text='member_signup'}</a>
				</div>
			</div>
		</form>
	</div>
</div>
{include file="$theme/tpls/js.tpl"}
</body>
</html>