<div class="gmap_info">
	<div class="gmap_info_title">
		{$listing_info->title} 
		
		<!--stars-->
		{config key='use_stars' assign='use_stars'}
		{if $listing_info->stars && $use_stars}
			<span class="stars">
				{section name="stars" loop=`$listing_info->stars` start=0 step=1}<i class="fa fa-star"></i>{/section}
			</span>
		{/if}
		<!--end stars-->
		
		<br />
		{if $listing_info->show_address}
			<em>{$listing_info->address}</em>
		{/if}
	</div>
	<div class="gmap_info_content clearfix">
		<table>
			<tr>
				<td valign="top">
					<a href="{site_url}{url_title  text="`$listing_info->title`"}/{route_suffix for="listings"}.{$listing_info->listing_id}">
						<img src="{image return_file=true file="`$listing_info->photo`" w="160" h="120" c=1 dir="listing_photos" ctime="`$listing_info->photo_ctime`"}" class="gmap_info_thumb" />
					</a>
				</td>
				<td valign="top">
					<span class="gmap_info_price">
						{translate text='from'}
						<span>{$listing_info->m_currency->symbol_lft}{format_field col='number' value="`$listing_info->converted_price_min`"}{$listing_info->m_currency->symbol_rgt}</span>
						/{$listing_info->price_suffix}
					</span>
					<ul>
						{if $listing_info->listing_type_title}
						<li><strong>{$listing_info->listing_type_title}</strong></li>
						{/if}
						{if $listing_info->no_bedrooms}
						<li><strong>{translate text='bedrooms'}:</strong> {$listing_info->no_bedrooms}</li>
						{/if}
						{config key='square_metric' assign='square_metric'}
						{if $listing_info->total_square}
						<li><strong>{translate text='total_square'}:</strong> {format_field col="number" decimals=2 value=$listing_info->converted_total_square} {translate text=$square_metric}</li>
						{/if}
					</ul>
					<br />
					<a class="a_arrow" href="{site_url}{url_title  text="`$listing_info->title`"}/{route_suffix for="listings"}.{$listing_info->listing_id}">{translate text="full_listing_details"}</a>
				</td>
			</tr>
		</table>
	</div>
</div>