{load_bo bo="bo_search" action="comparelist" assign="action_object"}
{if $action_object->m_list_objects}
<div class="owl-carousel comparelist_slideshow comparelist_grid clearfix">
	{foreach item=list_object from=$action_object->m_list_objects}
		<div class="grid_cell slide_item">
			<a href="{$list_object->listing_url}"></a>
			<div class="embed-responsive embed-responsive-4by3">
				<div class="cell_thumb embed-responsive-item">
					<img src="{image return_file="true" file="`$list_object->photo`" w="690" h="517" c=1 dir="listing_photos" ctime="`$list_object->photo_ctime`"}" class="img-responsive" title="{$list_object->title}" alt="{$list_object->title}" />
				</div>
			</div>
			{if $list_object->featured==1}
				<div class="ribbon">{translate text='featured'}</div>
			{/if}
			<div class="cell_header">
				<a href="{$list_object->listing_url}"></a>
				<h4>{$list_object->title}</h4>
				<div class="location" data-toggle="tooltip" title="{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'}">
					{$list_object->location_breadcrumbs|breadcrumbs_truncate:2:' &gt;'|default:'&nbsp;'} 
				</div>
				<div class="price">
					{if $list_object->show_price}
						{translate text='from'}
						<span>{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$list_object->converted_price_min`"}{$action_object->m_currency->symbol_rgt}</span>/{$list_object->price_suffix}
						{else}
						<span>&nbsp;</span>
					{/if} 
				</div>
			</div>
			<div class="cell_meta">
				<ul>
					{if $list_object->no_rooms && $list_object->no_bedrooms==0} 
						<li><span>{translate text='bedrooms'}</span><strong>{translate text='studio'}</strong></li>
					{else}
						<li><span>{translate text='bedrooms'}</span><strong>{$list_object->no_bedrooms}</strong></li>
					{/if}
					{if $list_object->max_guests}
						<li><span>{translate text='sleeps'}</span><strong>{$list_object->max_guests}</strong></li>
					{/if}
					<li>
						<div class="text-center">
							<a class="compare_remove" href="#" onclick="comparelist.remove({$list_object->listing_id},this,true);return false;"><i class="fa fa-times-circle"></i></a>
						</div>
					</li>
				</ul>
			</div>
		</div>
	{/foreach}
</div>
{else}
<div class="alert alert-warning" role="alert">
	<strong>{translate text='no_results_found'}</strong>
</div> 
{/if}	