{load_bo bo='bo_listing' action='details' assign='action_object'}
{config key='search_price' assign='search_price_conf'}
{assign var="search_price" value="min_`$search_price_conf`"}
{config key='square_metric' assign='square_metric'}
	
		<!--breadcrumbs_box-->
		{if $action_object->m_breadcrumbs}
		<div class="breadcrumbs_box">
			<div class="container">
				<ul class="breadcrumbs">
					<li class="first_breadcrumb"><a href="{base_url}"></a></li>
					<li class="breadcrumb_search"><a href="{$action_object->m_back_to_search_url}" data-toggle="tooltip" title="{translate text='back_to_search_results'}" data-container="body" data-placement="bottom"></a></li>
					{foreach name=breadcrumbs_list item=breadcrumb from=$action_object->m_breadcrumbs}
					<li {if $smarty.foreach.breadcrumbs_list.last}class="last_breadcrumb"{/if}>
						{if $breadcrumb.link}
							<a href="{$breadcrumb.link}">{$breadcrumb.crumb}</a>
						{else}
							{$breadcrumb.crumb}
						{/if}
					</li>
					{/foreach}
				</ul>
			</div>
		</div>
		{/if}
		<!--//breadcrumbs_box-->
		
		<div class="container mobile_no_padding">
			<div class="row">
				<!--listing details main-->
				<div class="col-md-8">
					<div class="white_content_box clearfix">
						<div class="listing_details">
							<div class="ld_header">
								<h1>
									<span class="ld_wishlist">
										<a {if !$action_object->m_listing_info->in_wishlist}class="action_save" onclick="wishlist.add({$action_object->m_listing_info->listing_id},this);return false;"{else}class="action_remove" onclick="wishlist.remove({$action_object->m_listing_info->listing_id},this);return false;"{/if} href="#"><span class="{if !$action_object->m_listing_info->in_wishlist}ico_heart_o{else}ico_heart{/if}"></span></a>
									</span>
									{$action_object->m_listing_info->h1} 
									{config key='use_stars' assign='use_stars'}
									{if $action_object->m_listing_info->stars && $use_stars} 
									<span class="ld_stars">
										{section name="stars" loop=`$action_object->m_listing_info->stars` start=0 step=1}<i class="fa fa-star"></i>{/section}
									</span>
									{/if}
								</h1>
								<div class="row">
									<div class="col-md-7">
										<div class="ld_location"><i class="fa fa-map-marker"></i> 
										<strong>{$action_object->m_listing_info->listing_type_title}</strong> {translate text='in_location'} {$action_object->m_listing_info->location_text}
									</div>
									</div>
									<div class="col-md-5">
										<div class="ld_avg_rating">
											<span class="rating">{$action_object->m_listing_info->reviews_rating}/5</span> 
											<span class="rating_circles">
												{section name="rating" loop=5 start=0 step=1}
												<i class="fa fa-circle{if $smarty.section.rating.iteration>$action_object->m_listing_info->reviews_rating}-o{/if}"></i>
												{/section}
											</span>
											(<a href="{$action_object->m_listing_info->listing_url}#reviews"><i class="fa fa-comments"></i> {$action_object->m_listing_info->reviews_total} {translate text='reviews'}</a>)
										</div>
									</div>
								</div>
							</div>
							
							<!--top tabs-->
							<ul class="nav nav-tabs" role="tablist" id="ld_tabs">
								<li role="presentation">
									<a href="#overview" aria-controls="overview" role="tab" data-toggle="tab">
										<i class="fa fa-home"></i> <span>{translate text='overview'}</span>
									</a>
								</li>
								<li role="presentation" class="hidden-xs">
									<a href="#location"><i class="fa fa-map-marker"></i> <span>{translate text='location'}</span></a>
								</li>
								{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
								<li role="presentation">
									<a href="#rates"><i class="fa fa-dollar"></i> <span>{translate text='rates'}</span></a>
								</li>
								{/if}
								{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_availability_calendar}
								<li role="presentation">
									<a href="#availability"><i class="fa fa-calendar"></i> <span>{translate text='availability'}</span></a>
								</li>
								{/if}
								<li role="presentation">
									<a href="#reviews" aria-controls="reviews">
										<i class="fa fa-comments-o"></i> <span>{translate text='reviews'}</span>
									</a>
								</li>
								<li role="presentation">
									<a href="#contact" aria-controls="contact" role="tab" data-toggle="tab">
										<i class="fa fa-envelope-o"></i> <span>{translate text='contact'}</span>
									</a>
								</li>
							</ul>
							<!--//top tabs-->
							
							<!--listing details menu-->
							<div id="ld_menu_box">
								<div class="container ld_menu">
									<ul>
										<li><a href="#top"><i class="fa fa-arrow-up"></i> {translate text='top'}</a></li>
										<li><a href="#location">{translate text='location'}</a></li>
										<li><a href="#amenities">{translate text='amenities'}</a></li>
										
										{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_availability_calendar}
										<li><a href="#availability">{translate text='availability'}</a></li>
										{/if}
										{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
										<li><a href="#rates">{translate text='rates'}</a></li>
										{/if}
										<li><a href="#reviews">{translate text='reviews'}</a></li>
										<li><a href="#contact" role="tab">{translate text='contact'}</a></li>
										<li style="display:none"><a href="#"><i class="fa fa-heart-o"></i></a></li>
										<li style="display:none"><a href="#"><i class="fa fa-share-alt"></i></a></li>
									</ul>
								</div>
							</div>
							<!--//listing details menu-->
							
							<!--tabs content-->
							<div class="tab-content">
								<!--overview-->
								<div role="tabpanel" class="tab-pane ld_section" id="overview">
								
									<!--listing summary-->
									<div class="ld_summary">
										<ul>
											<li class="no_border">
												<div class="title" data-toggle="tooltip" title="{translate text='max_guests'}"><i class="fa fa-user"></i><span>{translate text='max_guests'}</span></div>
												<div class="content">{$action_object->m_listing_info->max_guests}</div>
											</li>
											<li>
												<div class="title" data-toggle="tooltip" title="{translate text='bedrooms'}"><i class="fa fa-bed"></i><span>{translate text='bedrooms'}</span></div>
												<div class="content">{$action_object->m_listing_info->no_bedrooms}</div>
											</li>
											<li>
												<div class="title" data-toggle="tooltip" title="{translate text='bathrooms'}"><i class="fa fa-tty"></i><span>{translate text='bathrooms'}</span></div>
												<div class="content">{$action_object->m_listing_info->no_bathrooms}</div>
											</li>
											<li class="price">
												<div class="title">
													{translate text='from'}
													<em>{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$action_object->m_listing_info->converted_min_nightly_rate`"}{$action_object->m_currency->symbol_rgt}</em>
												</div>
												<div class="content">/{translate text='night'} 
													{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
													<a href="{$action_object->m_listing_info->listing_url}#rates">( {translate text='all_rates'} <i class="fa fa-angle-down"></i>)</a>
													{/if}
												</div>
											</li>
										</ul>
									</div>
									<!--//listing summary-->
								
									<!--photos + videos gallery-->
									<div class="ld_photo_gallery">
										<div class="photo_gallery" data-nav="thumbs"  data-allowfullscreen="true" data-width="100%">
											{if $action_object->m_listing_info->photos}
											{foreach name=list_photos item=photo from=$action_object->m_listing_info->photos}
											<a href="{image return_file=true file="`$photo->listing_photo_file`" w="1280" h="853" c=1 mr=1 dir="listing_photos" ctime="`$photo->ctime`"}" data-thumb="{image return_file=true file="`$photo->listing_photo_file`" w="84" h="56" c=1 mr=1 dir="listing_photos" ctime="`$photo->ctime`"}" data-caption="{$photo->title}"></a>
											{/foreach}
											{/if}
											
											{foreach name=list_videos item=video from=$action_object->m_listing_info->videos}
												<a href="{site_url}listing_video/index/{$video->listing_video_id}" data-video="true" {if $video->poster_file}data-thumb="{image return_file=true file="`$video->poster_file`" w="84" h="56" c=1 dir="posters" ctime="`$video->ctime`"}" data-img="{image return_file=true file="`$video->poster_file`" w="1280" h="853" c=1 dir="posters" ctime="`$video->ctime`"}"{/if}></a>
											{/foreach}
										</div>
									</div>
									<!--//photos + videos gallery-->
									
									<div class="ld_listing_tools padding_10px">
										<div class="row">
											<div class="col-md-6 col-xs-6">
												<ul class="social_networks">
													<li class="sn_facebook" id="sn_facebook" data-url="{$action_object->m_listing_info->listing_url}" data-title="{$action_object->m_listing_info->title}"></li>
													<li class="sn_twitter" id="sn_twitter" data-url="{$action_object->m_listing_info->listing_url}" data-title="{$action_object->m_listing_info->title}"></li>
													<li class="sn_google_plus" id="sn_googleplus" data-url="{$action_object->m_listing_info->listing_url}" data-title="{$action_object->m_listing_info->title}"></li>
													<li class="sn_pinterest" id="sn_pinterest" data-url="{$action_object->m_listing_info->listing_url}" data-title="{$action_object->m_listing_info->title}"></li>
												</ul>	
											</div>
											<div class="col-md-6 col-xs-6">
												<ul class="tools">
													<li class="print" id="print_pagex"><a target="_blank" rel="nofollow" href="{site_url uri='listing/html/'}{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}"><i class="fa fa-print"></i> <span>{translate text='print'}</span></a></li>
													<li class="pdf">
														<a href="{site_url uri='listing/spdf/'}{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}">
															<i class="fa fa-file-pdf-o"></i> <span>{translate text='pdf_brochure'}</span>
														</a>
													</li>
													<li>
														<a href="#" id="show_send_to_friend" data-listing_id="{$action_object->m_listing_info->listing_id}">
															<i class="fa fa-envelope-o"></i> <span>{translate text='send_to_friend'}</span>
														</a>
													</li>
												</ul>
											</div>
										</div>

									</div>
									
									<!--description-->
									<div class="padding_10px">
										<h2>{translate text='description'}</h2>
										<p>{$action_object->m_listing_info->description|nl2br}</p>
									</div>
									<!--//description-->
									
									<!--map-->
									<div class="ld_map padding_10px ld_section" id="location">
										<h2>{translate text='location'}</h2>
										<div class="google_map_box">
											<div class="embed-responsive embed-responsive-4by3">
												<div id="map_canvas" class="embed-responsive-item"></div>
												{if $action_object->m_listing_info->show_address}
													<a href="#" id="toggle_street_view" class="toggle_street_view"><span><i class="fa fa-street-view"></i>  {translate text='toggle_street_view'}</span></a>
												{/if}
											</div>	
										</div>
										{if $action_object->m_listing_info->show_address or $action_object->m_listing_info->distances_arr}
										<div class="ld_distances table-responsive">
											<table>
												<tbody>
													{if $action_object->m_listing_info->show_address}
														{if $action_object->m_listing_info->address}
														<tr>
															<td colspan="3"><strong>{translate text='address'}:</strong> {$action_object->m_listing_info->address|nl2br}</td>
														</tr>
														{/if}
														{if $action_object->m_listing_info->zip_code}
														<tr>
															<td colspan="3"><strong>{translate text='zip_code'}:</strong> {$action_object->m_listing_info->zip_code}</td>
														</tr>
														{/if}
														<tr>
															<td colspan="3">
																<strong>{translate text='latitude'}/{translate text='longitude'}:</strong> {$action_object->m_listing_info->lat} / {$action_object->m_listing_info->lng}
															</td>
														</tr>
													{/if}
													{if $action_object->m_listing_info->distances_arr}
													{foreach item=distance key=label from=$action_object->m_listing_info->distances_arr}
													<tr>
														<td><strong>{$label}</strong></td>
														<th>{$distance.distance_name} </th>
														<td>{$distance.distance} {$distance.metrics}</td>
													</tr>
													{/foreach}
													{/if}
												</tbody>
											</table>
										</div>
										{/if}
										
										{if $action_object->m_listing_info->directions}
										<h3>{translate text='directions'}</h3>
										<p>	{$action_object->m_listing_info->directions|nl2br}</p>
										{/if}
										
										{if $action_object->m_listing_info->neighborhood}
										<h3>{translate text='neighborhood_description'}</h3>
										<p>{$action_object->m_listing_info->neighborhood|nl2br}</p>
										{/if}
										
										{config key='use_walkscore' assign='use_walkscore'}
										{if $action_object->m_listing_info->show_walkscore && $use_walkscore}
											<div class="embed-responsive embed-responsive-4by3">
												<input type="hidden" name="ws_lat" id="ws_lat" value="{$action_object->m_listing_info->lat}" />
												<input type="hidden" name="ws_lon" id="ws_lon" value="{$action_object->m_listing_info->lng}" />
												<div id="walk_score" class="embed-responsive-item"></div>
											</div>
										{/if}
										
									</div>
									<!--//map-->
									
									<!--amenities-->
									<div class="padding_10px ld_section" id="amenities">
										<h2>{translate text='accommodation_facilities_utilities'}</h2>
										
										<!--listing type-->
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='listing_type'}</div>
												<div class="col-md-9 content">
													<div class="col-md-12 fb_row">
														{if $action_object->m_listing_info->stars && $use_stars}{$action_object->m_listing_info->stars} {translate text='stars'} {/if}
														{$action_object->m_listing_info->listing_type_title}
														{if $action_object->m_listing_info->total_square}, 
															{format_field col="number" decimals=2 value=$action_object->m_listing_info->converted_total_square default='-'} {translate text=$square_metric}
														{/if} 
													</div>
												</div>
											</div>
										</div>
										<!--//listing type-->
										
										<!--bedrooms-->
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='bedrooms'}</div>
												<div class="col-md-9 content">
														<div class="col-md-12 fb_row">
															{if $action_object->m_listing_info->no_bedrooms==0}{translate text='studio'}
															{elseif $action_object->m_listing_info->no_bedrooms}{$action_object->m_listing_info->no_bedrooms} {translate text='bedrooms'}{/if}, 
															{$action_object->m_listing_info->max_guests} {translate text='max_guests'} 
														</div>
														{if $action_object->m_listing_info->bedroom_options_arr}
															{foreach item=option from=$action_object->m_listing_info->bedroom_options_arr}
																<div class="col-md-6 col-xs-6 fb_cell">{$option.label}: {$option.value}</div>
															{/foreach}
														{/if}
												</div>
											</div>
										</div>
										<!--//bedrooms-->
										
										<!--bathrooms-->
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='bathrooms'}</div>
												<div class="col-md-9 content">
														<div class="col-md-12 fb_row">
															{if $action_object->m_listing_info->no_bathrooms}
																{$action_object->m_listing_info->no_bathrooms} {translate text='bathrooms'}
															{/if}
															{if $action_object->m_listing_info->no_half_bathrooms} ({$action_object->m_listing_info->no_half_bathrooms} {translate text='half_bathrooms'}){/if} 
														</div>
														{if $action_object->m_listing_info->bathroom_options_arr}
															{foreach item=option from=$action_object->m_listing_info->bathroom_options_arr}
																<div class="col-md-6 col-xs-6 fb_cell">{$option.label}: {$option.value}</div>
															{/foreach}
														{/if}
												</div>
											</div>
										</div>
										<!--//bathrooms-->
										
										<!--view type-->
										{if $action_object->m_listing_info->view_type_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='view'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->view_type_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//view type-->
										
										<!--holiday type-->
										{if $action_object->m_listing_info->holiday_type_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='holiday_type'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->holiday_type_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//holiday type-->
										
										<!--board-->
										{if $action_object->m_listing_info->board_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='board'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->board_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//board-->
										
										<!--access options-->
										{if $action_object->m_listing_info->access_options_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='access'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->access_options_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//access options-->
										
										<!--parking-->
										{if $action_object->m_listing_info->parking}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='parking'}</div>
												<div class="col-md-9 content">
														<div class="col-md-12 fb_row">
															{format_field col="number_format" value="`$action_object->m_listing_info->parking`" default="-"} {translate text='cars'}
														</div>
														{if $action_object->m_listing_info->parking_type_arr}
															{foreach item=label from=$action_object->m_listing_info->parking_type_arr}
																<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
															{/foreach}
														{/if}
												</div>
											</div>
										</div>
										{/if}
										<!--//parking-->
										
										<!--energy-->
										{if $action_object->m_listing_info->energy}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='energy'}</div>
												<div class="col-md-9 content">
													<div class="col-md-12 fb_row">
														{config key='energy' assign='energy_options'}
														{foreach item=label key=value from=$energy_options}
															<span class="energy energy_{$value} {if $value==$action_object->m_listing_info->energy}selected{/if}"> {$value|upper} </span>
														{/foreach} 
													</div>
													{if $action_object->m_listing_info->energy_description}
													<div class="col-md-12 fb_row"><p>{$action_object->m_listing_info->energy_description|nl2br}</p></div>
													{/if}
												</div>
											</div>
										</div>
										{/if}
										<!--//energy-->
										
										<!--utilities-->
										{if  $action_object->m_listing_info->utilities_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='utilities'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->utilities_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//utilities-->
										
										<!--facilities general-->
										{if  $action_object->m_listing_info->facilities_general_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='facilities_general'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->facilities_general_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//facilities general-->
										
										<!--facilities indoor-->
										{if  $action_object->m_listing_info->facilities_indoor_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='facilities_indoor'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->facilities_indoor_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//facilities indoor-->
										
										<!--facilities outdoor-->
										{if  $action_object->m_listing_info->facilities_outdoor_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='facilities_outdoor'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->facilities_outdoor_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//facilities outdoor-->
										
										<!--services-->
										{if  $action_object->m_listing_info->services_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='services'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->services_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//services-->
										
										<!--activities local-->
										{if  $action_object->m_listing_info->activities_local_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='activities_local'}</div>
												<div class="col-md-9 content">
													{foreach item=label from=$action_object->m_listing_info->activities_local_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$label}</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//activities local-->
										
										<!--activities other-->
										{if  $action_object->m_listing_info->activities_other_arr}
										<div class="features_box clearfix">
											<div class="row">
												<div class="col-md-3 title">{translate text='activities_other'}</div>
												<div class="col-md-9 content">
													{foreach item=option from=$action_object->m_listing_info->activities_other_arr}
													<div class="col-md-6 col-xs-6 fb_cell"><i class="fa fa-check"></i> {$option.label} ({$option.value})</div>
													{/foreach}
												</div>
											</div>
										</div>
										{/if}
										<!--//activities other-->
										
									</div>
									
									<!--availability-->
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_availability_calendar}
									{if $action_object->m_listing_info->calendar}
									<div class="padding_10px ld_section" id="availability">
										<h2>{translate text='availability'}</h2>
										<div class="availability_calendar">
											<div id="availability_scroller">
												<div class="scrollbar"><div class="track"><div class="thumb"><div class="end"></div></div></div></div>
												<div class="viewport">
													<div class="overview" id="scroll_calendar">
														<div class="row">
															{$action_object->m_listing_info->calendar}
														</div>
													</div>
												</div>
											</div>
											<div class="clear"></div>
											<ul class="legend">
												<li class="booked"><i class="fa fa-stop"></i> {translate text='booked'}</li>
												<li class="pending"><i class="fa fa-square"></i> {translate text='pending'}</li>
												<li class="available"><i class="fa fa-square"></i> {translate text='available'}</li>
												<li class="unknown"><i class="fa fa-square"></i> {translate text='unknown'}</li>
											</ul>
											<div class="clear"></div>
										</div>
									</div>
									{/if}
									{/if}
									<!--//availability-->
									
									<!--units-->
							    	{if $action_object->m_listing_info->multiple_units && $action_object->m_listing_info->units}
							    	<div class="padding_10px">
							    		<h2>{translate text='units'}</h2>
							    		<div class="listing_rates table-responsive">
									    	<table>
									    		<thead>
									    			<tr>
									    				<th scope="col">&nbsp;</th>
									    				<th scope="col" rowspan="2">{translate text='unit_type'}</th>
									    				<th scope="col" rowspan="2">{translate text='max_guests'}</th>
									    			</tr>
									    		</thead>
									    		<tbody>
									    			{foreach item=unit from=$action_object->m_listing_info->units}
									    			<tr>
									    				<th scope="row">{$unit->title}</th>
									    				<td>{$unit->unit_type_title}</td>
									    				<td>{format_field col='number' value="`$unit->max_guests`"}</td>
									    			</tr>
									    			{if $unit->summary}
									    			<tr>
									    				<td colspan="3" class="text_left">{$unit->summary}</td>
									    			</tr>
									    			{/if}
									    			{/foreach}
									    		</tbody>
									    	</table>
								    	</div>
								    </div>
								    {/if}
							    	<!--//units-->

									
									<!--rates-->
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->show_rates}
									<div class="padding_10px ld_section" id="rates">
										<h2>{translate text='rates'}</h2>
										<div class="listing_rates table-responsive">
											<table>
									    		<thead>
									    			<tr>
									    				<th scope="col" rowspan="2"><span class="offset">-</span></th>
									    				<th scope="col" colspan="2">{translate text='nightly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='weekly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='monthly_rate'}</th>
									    				<th scope="col" rowspan="2">{translate text='min_stay'}</th>
									    				<th scope="col" rowspan="2">{translate text='changeover'}</th>
									    			</tr>
									    			<tr>
									    				<th scope="col">{translate text='week'}</th>
									    				<th scope="col">{translate text='weekend'}</th>
									    			</tr>
									    		</thead>
									    		<tbody>
									    			<tr class="summary">
									    				<th scope="row">{translate text='rate_summary'}</th>
									    				<td colspan="2">
									    					{show_rate min="`$action_object->m_listing_info->converted_min_nightly_rate`" max="`$action_object->m_listing_info->converted_max_nightly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}
									    				</td>
									    				<td>
									    					{show_rate min="`$action_object->m_listing_info->converted_min_weekly_rate`" max="`$action_object->m_listing_info->converted_max_weekly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}

									    				</td>
									    				<td class="convertiblex">
									    					{show_rate min="`$action_object->m_listing_info->converted_min_monthly_rate`" max="`$action_object->m_listing_info->converted_max_monthly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}

									    				</td>
									    				<td>
									    					{if $action_object->m_listing_info->min_min_stay}{format_field col='number' value="`$action_object->m_listing_info->min_min_stay`"} {translate text='nights'}{else}-{/if}
									    				</td>
									    				<td> - </td>
									    			</tr>
									    			{foreach item=rate from=$action_object->m_listing_info->rates}
									    			<tr>
									    				<th scope="row">
									    					<span>{if $rate->unit_type_id}{format_field col=unit_type_id value=$rate->unit_type_id}{/if}</span>
									    					{format_field col=date_format value="`$rate->start_date`"} - {format_field col=date_format value="`$rate->end_date`"} 
									    					<span>{$rate->title|default:'&nbsp;'}</span>
									    				</th>
									    				<td>{show_rate value="`$rate->converted_nightly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_nightly_rate_weekend_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_weekly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{show_rate value="`$rate->converted_monthly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
									    				<td>{format_field col='number' value=$rate->min_stay} {translate text='nights'}</td>
									    				<td>{format_field col='changeover_day' value=$rate->changeover_day}</td>
									    			</tr>
													{if $rate->extra_person_price_night||$rate->extra_person_price_week||$rate->extra_person_price_month}
									    			<tr class="info">
									    				<td colspan="7">
									    				<i class="fa fa-info-circle"></i> 
									    					<strong>{translate text='price_for'}:</strong> {$rate->persons} {translate text='persons'}, 
									    					<strong>{translate text='extra_person_price'}:</strong> 
									    					{if $rate->extra_person_price_night}{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_night_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='night'}{/if}{if $rate->extra_person_price_week}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_week_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='week'}{/if}{if $rate->extra_person_price_month}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_month_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='month'}{/if}
		    											</td>
													</tr>
													{/if}
									    			{/foreach}
									    		</tbody>
									    	</table>
								    	</div>
									</div>
									{/if}
									<!--//rates-->
									
									<!--addons-->
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->addons}
									<div class="padding_10px" id="addons">
										<h2>{translate text='addons'}</h2>
										<div class="listing_rates table-responsive">
											<table>
									    		<thead>
									    			<tr>
									    				<th scope="col">&nbsp;</th>
									    				<th scope="col" >{translate text='addon_type'}</th>
									    				<th scope="col">{translate text='price'}</th>
									    				<th scope="col">{translate text='charge_type'}</th>
									    			</tr>
									    		</thead>
									    		<tbody>
									    			{foreach item=addon from=$action_object->m_listing_info->addons}
									    			<tr>
									    				<th scope="row">{$addon->title}</th>
									    				<td>{translate text="addon_type_`$addon->addon_type`"}</td>
									    				<td class="convertible">
									    					{if $addon->converted_price}
									    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$addon->converted_price_plus_taxes`" decimals=2}{$action_object->m_currency->symbol_rgt}
									    					{else}
									    						{format_field col='price' value="`$addon->price`" listing_id="`$action_object->m_listing_info->listing_id`"}
									    					{/if}
									    				</td>
									    				<td>{translate text="charge_type_`$addon->charge_type`"}</td>
									    			</tr>
									    			{foreachelse}
									    				<tr><td colspan="4"><strong>{translate text='no_addons_available'}</strong></td></tr>
									    			{/foreach}
									    		</tbody>
									    	</table>
										</div>
									</div>
									{/if}
									<!--//addons-->
									
									<!--discounts-->
									{if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->discounts}
									<div class="padding_10px" id="discounts">
										<h2>{translate text='discounts'}</h2>
										<div class="listing_rates table-responsive">
											<table>
									    		<thead>
									    			<tr>
									    				<th scope="col">&nbsp;</th>
									    				<th scope="col">{translate text='persons'}</th>
									    				<th scope="col">{translate text='night'}</th>
									    				<th scope="col">{translate text='week'}</th>
									    				<th scope="col">{translate text='month'}</th>
									    			</tr>
									    		</thead>
									    		<tbody>
									    			{foreach item=discount from=$action_object->m_listing_info->discounts}
									    			<tr>
									    				<th scope="row">{$discount->title}</th>
									    				<td>{$discount->persons}+</td>
									    				<td class="convertible">
									    					{if $discount->converted_discount_night}
									    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_night`" decimals=2}{$action_object->m_currency->symbol_rgt}
									    					{else}
									    						{format_field col='price' value="`$discount->discount_night`" listing_id="`$action_object->m_listing_info->listing_id`"}
									    					{/if}
									    				</td>
									    				<td class="convertible">
									    					{if $discount->converted_discount_week}
									    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_week`" decimals=2}{$action_object->m_currency->symbol_rgt}
									    					{else}
									    						{format_field col='price' value="`$discount->discount_week`" listing_id="`$action_object->m_listing_info->listing_id`"}
									    					{/if}
									    				</td>
									    				<td class="convertible">
									    					{if $discount->converted_discount_month}
									    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_month`" decimals=2}{$action_object->m_currency->symbol_rgt}
									    					{else}
									    						{format_field col='price' value="`$discount->discount_month`" listing_id="`$action_object->m_listing_info->listing_id`"}
									    					{/if}
									    				</td>
									    			</tr>
									    			{foreachelse}
									    				<tr><td colspan="5"><strong>{translate text='no_discounts_available'}</strong></td></tr>
									    			{/foreach}
									    		</tbody>
									    	</table>
										</div>
									</div>
									{/if}
									<!--//discounts-->
									
									<!--policies-->
									{if $action_object->m_listing_info->listing_main_type=='rent'}
									<div class="padding_10px" id="policies">
										<h2>{translate text='policies'}</h2>
										<div class="policies">
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-12 content"><i class="fa fa-sign-in"></i> <strong>{translate text='check_in'}: </strong>{$action_object->m_listing_info->check_in} / <i class="fa fa-sign-out"></i> <strong>{translate text='check_out'}: </strong>{$action_object->m_listing_info->check_out}</div>
												</div>
											</div>
											{if $action_object->m_listing_info->payment_options_str}
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-3 title"><i class="fa fa-money"></i>  {translate text='payment_options'}</div>
													<div class="col-md-9 content">{$action_object->m_listing_info->payment_options_str}</div>
												</div>
											</div>
											{/if}
											
											{if $action_object->m_listing_info->policies}
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-12 content">{$action_object->m_listing_info->policies|nl2br}</div>
												</div>
											</div>
											{/if}
											
											{if $action_object->m_listing_info->terms_and_conditions}
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-12 content">{$action_object->m_listing_info->terms_and_conditions|nl2br}</div>
												</div>
											</div>
											{/if}
											
											{if $action_object->m_listing_info->security_deposit}
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-3 title">{translate text='security_deposit_description'}</div>
													<div class="col-md-9 content">{$action_object->m_listing_info->security_deposit|nl2br}</div>
												</div>
											</div>
											{/if}
											
											<div class="policies_box clearfix">
												<div class="row">
													<div class="col-md-3 title">{translate text='suitability'}</div>
													<div class="col-md-9 content">
														{foreach item=val key=section from=$action_object->m_listing_info->suitability_arr}
														<div class="col-md-6 pb_cell">
															<i class="fa {if $val>0}fa-check{else}fa-times{/if}"></i> 
															<strong>{translate text="suitability_`$section`"}:</strong> {translate text="suitability_`$section`_`$val`"'}
														</div>
														{/foreach}
													</div>
												</div>
											</div>
										</div>
									</div>
									{/if}
									<!--//policies-->
									
									<!--reviews-->
									<div id="ajax_reviews">
										{include file="$theme/tpls/properties/reviews_list.tpl"}
									</div>
									<!--//reviews-->
										
									<!--keywords-->
									{if $action_object->m_listing_info->keywords_arr}
									<div class="padding_10px" id="keywords">
										<strong><i class="fa fa-tags"></i> {translate text='keywords'}: </strong> 
										{foreach item=keyword from=$action_object->m_listing_info->keywords_arr}
										<a href="{$keyword.link}" class="label label-primary">{$keyword.label}</a>
										{/foreach}
									</div>
									{/if}
									<!--//keywords-->
									
									<!--last update-->
									<div class="padding_10px">
										<i class="fa fa-eye"></i> {$action_object->m_listing_info->views} {translate text='views'} <i class="fa fa-clock-o"></i> {translate text='last_update'}: {format_field col='date_format' value="`$action_object->m_listing_info->mtime`"}
									</div>
									<!--//last update-->
									
								</div>
								<!--//overview-->
								
								<!--contact-->
								<div role="tabpanel" class="tab-pane" id="contact">
									<div class="padding_10px contact_owner_form_tab">
										{include file="$theme/tpls/forms/form_contact_member.tpl"}
									</div>
								</div>
								<!--//contact-->
								
							</div>
							<!--//tabs content-->
						</div>
					</div>		
					{load_adverts advert_position='listing_details_bottom' random=true}			
				</div>
				<!--//listing details main-->
				
				{include file="$theme/tpls/properties/property_details_sidebar.tpl"}
			</div>
		</div>