				<!--listing details sidebar-->
				<div class="col-md-4">
				
					{include file="$theme/tpls/properties/property_sidebar_quick_info_box.tpl"}
				
					<!--quick booking calculator-->
					{if $action_object->m_listing_info->allow_bookings}
					<div class="white_content_box clearfix">
						<form id="qb_calculation" method="post" action="#">
						<input type="hidden" id="b_listing_id" value="{$action_object->m_listing_info->listing_id}" />
						<div class="qb_box qb_ok" id="qb_box">
							<div class="qb_header clearfix padding_10px">
								<div class="row">
									<div class="col-md-7 price_box">
										<a href="{$action_object->m_listing_info->listing_url}#rates" data-toggle="tooltip" title="{translate text='all_rates'}"><i class="fa fa-info-circle"></i></a> <span class="from_label">{translate text='from'}</span>
										<span class="qb_price qb_price_night">
											{$action_object->m_currency->symbol_lft}
											{if $action_object->m_listing_info->min_nightly_rate}
											{format_field col='number' decimals=2 value="`$action_object->m_listing_info->converted_min_nightly_rate`"}{/if}
											{$action_object->m_currency->symbol_rgt}
										</span>
										{if $action_object->m_listing_info->min_weekly_rate}
										<span class="qb_price qb_price_week">
											{$action_object->m_currency->symbol_lft}
											{if $action_object->m_listing_info->min_weekly_rate}
											{format_field col='number' decimals=2 value="`$action_object->m_listing_info->converted_min_weekly_rate`"}{/if}
											{$action_object->m_currency->symbol_rgt}
										</span>
										{/if}
										{if $action_object->m_listing_info->min_monthly_rate}
										<span class="qb_price qb_price_month">
											{$action_object->m_currency->symbol_lft}
											{if $action_object->m_listing_info->min_monthly_rate}
											{format_field col='number' decimals=2 value="`$action_object->m_listing_info->converted_min_monthly_rate`"}{/if}
											{$action_object->m_currency->symbol_rgt}
										</span>
										{/if}
									</div>
									<div class="col-md-5 price_type_box">
										<select id="price_type">
											<option value="night">{translate text='per_night'}</option>
											{if $action_object->m_listing_info->min_weekly_rate}
											<option value="week">{translate text='per_week'}</option>
											{/if}
											{if $action_object->m_listing_info->min_monthly_rate}
											<option value="month">{translate text='per_month'}</option>
											{/if}
										</select>
									</div>
								</div>
								<div class="qb_form">
										<div class="qbf_cell">
											<div class="form-group">
												<label>{translate text='arrival'}</label>
												<div class="w100p">
													<input type="hidden" name="b_start_date" id="b_start_date" value="{$action_object->m_qb_form_fields.b_start_date.value}" />
													<input type="text" class="form-control" id="b_start_date_picker" placeholder="{translate text='check_in'}"  />
												</div>
											</div>
										</div>
										<div class="qbf_cell">
											<div class="form-group">
												<label>{translate text='departure'}</label>
												<div class="w100p">
													<input type="hidden" name="b_end_date" id="b_end_date" value="{$action_object->m_qb_form_fields.b_end_date.value}" />
													<input type="text" class="form-control" id="b_end_date_picker" placeholder="{translate text='check_out'}"  />
												</div>
											</div>
										</div>
										<div class="qbf_cell">
											<div class="form-group no_margin">
												<label>{translate text='guests'}</label>
												<select name="b_guests" id="b_guests">
													{foreach item=val from=$action_object->m_qb_form_fields.qb_guests.options}
														<option value="{$val}">{$val}</option>
													{/foreach}
												</select>
											</div>
										</div>
								</div>
							</div>
							<div class="qb_footer">
								<div id="booking_calculator_response_box"></div>
								<div class="text_center">
									<button type="button" class="btn_orange_100p" data-url="{site_url}listing/book/{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}" id="btn_quick_book">
										<span id="book_label" class="qb_label">{translate text='book'}</span>
										<span id="calculate_label" class="qb_label">{translate text='calculate'}</span>
										<i class="fa fa-circle-o-notch fa-spin"></i>
									</button>
								</div>
							</div>
						</div>
						</form>
					</div>
					{/if}
					<!--//quick booking calculator-->
					
					<!--owner info sidebar-->
					<div class="white_content_box clearfix">
						<div class="owner_details padding_10px">
							<div class="od_header">
								<figure class="od_logo">
									{if $action_object->m_listing_info->user_info->logo_file!=''}
									<img src="{image return_file=true w='80' h='80' c=1 mr=1 file="`$action_object->m_listing_info->user_info->logo_file`" dir='logos'}" alt="{$action_object->m_listing_info->user_info->name}"  class="img-responsive" />
									{else}
									<img src="{gravatar email="`$action_object->m_listing_info->user_info->email`" opts="w=80"}" alt="{$action_object->m_listing_info->user_info->name}" class="img-responsive" />
									{/if}
									
								</figure>
								<ul>
									{if $action_object->m_listing_info->user_info->name}
									<li class="name">{$action_object->m_listing_info->user_info->name}</li>
									{/if}
									{if $action_object->m_listing_info->user_info->company_name && $action_object->m_listing_info->allow_contact}
									<li class="name">{$action_object->m_listing_info->user_info->company_name}</li>
									{/if}
									{if $action_object->m_listing_info->user_info->verified_user}
									<li class="verified_user"><i class="fa fa-check-circle"></i> {translate text='verified_user'}</li>
									{/if}
									{if $action_object->m_user_id && $action_object->m_listing_info->allow_contact && ($action_object->m_listing_info->user_info->chat_status=='online') && ($action_object->m_listing_info->user_info->user_id!=$action_object->m_user_id)}
									<li>
										<a href="#" alt="{$action_object->m_listing_info->user_id}|{$action_object->m_listing_info->user_info->username}" class="chat_user">
											<i class="fa fa-comment"></i> {translate text='chat'}
										</a>
									</li>
									{/if}

									{if $action_object->m_listing_info->user_info->phone && $action_object->m_listing_info->allow_contact}
									<li><i class="fa fa-phone"></i> {$action_object->m_listing_info->user_info->phone}</li>
									{/if}
									{if $action_object->m_listing_info->user_info->phone2 && $action_object->m_listing_info->allow_contact}
									<li><i class="fa fa-phone"></i> {$action_object->m_listing_info->user_info->phone2}</li>
									{/if}
									<li><a href="{site_url}{$action_object->m_search_word}/member.{$action_object->m_listing_info->user_id}"><i class="fa fa-link"></i> {translate text='view_owner_listings'}</a></li>
									{if $action_object->m_listing_info->user_info->website && $action_object->m_listing_info->allow_contact}
									<li><a href="{$action_object->m_listing_info->user_info->website}" target="_blank" rel="nofollow"><i class="fa fa-external-link"></i> {translate text='view_site'}</a></li>
									{/if}
									{if $action_object->m_listing_info->user_info->languages}
									<li class="languages"><i class="fa fa-globel"></i><strong>{translate text='speaks'}:</strong> {$action_object->m_listing_info->user_info->languages}</li>
									{/if}
								</ul>
							</div>
							<div class="od_footer">
								<button class="btn_blue_100p" type="button" id="btn_contact_owner" data-hash="#contact" data-href="{$action_object->m_listing_info->listing_url}">{translate text='contact_owner'}</button>
							</div>
						</div>
					</div>
					<!--//owner info sidebar-->
					
					<!--nearby listings-->
					{load_bo bo='bo_search' action='nearby_listings' params="`$action_object->m_listing_info->listing_id`" assign="nearby_listings"}
					{if $nearby_listings->m_list_objects}
					<div class="white_content_box clearfix">
						<div class="nearby_listings padding_10px">
							<h4><i class="fa fa-map-marker"></i> {translate text='nearby_listings'}</h4>
							{foreach item=listing from=$nearby_listings->m_list_objects}
							<div class="property_box">
								<div class="thumb">
									<a href="{$listing->listing_url}"></a>
									<img data-src="{image return_file=true file="`$listing->photo`" w="270" h="200" c="1" dir="listing_photos" ctime="`$listing->photo_ctime`"}" src="{base_url}public/images/loading.gif" title="{$listing->photo_title}" alt="{$listing->photo_title}" />
								</div>
								<div class="content">
									<h3><a href="{$listing->listing_url}">{$listing->title}</a></h3>
									<div class="avg_rating">
										{section name="rating" loop=5 start=0 step=1}
										<i class="fa fa-circle{if $smarty.section.rating.iteration>$listing->reviews_rating}-o{/if}"></i>
										{/section}
									</div>
									<div class="price">
										{if $listing->show_price}
										{translate text='from'}
										<span>{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$listing->converted_price_min`"}{$action_object->m_currency->symbol_rgt}</span> 
										/{$listing->price_suffix}
										{/if}
									</div>
								</div>
							</div>
							{/foreach}
						</div>
					</div>
					{/if}
					<!--//nearby listings-->
					
					<!--guides-->
					{load_bo bo='bo_gsearch' action='similar_guides_from' params="`$action_object->m_listing_info->location_slug`" assign="guides_same_location"}
					{if $guides_same_location->m_list_objects}
					<div class="white_content_box clearfix">
						<div class="guides padding_10px">
							<h4>{translate text='guides'}</h4>
							{foreach item=guide from=$guides_same_location->m_list_objects}
							<div class="guide_box">
								<div class="img">
									<a href="{$guide->guide_url}"></a>
									<img data-src="{image return_file=true file="`$guide->photo`" w="800" h="600" c="1" dir="guide_photos" ctime="`$guide->photo_ctime`"}" src="{base_url}public/images/loading.gif" title="{$guide->photo_title}" alt="{$guide->photo_title}" class="img-responsive" />
								</div>
								<div class="footer">
									<div class="title">{$guide->title}</div>
									<div class="location"><i class="fa fa-map-marker"></i> {$guide->location_breadcrumbs}</div>
								</div>
							</div>
							{/foreach}
						</div>
					</div>
					{/if}
					<!--//guides-->
					
					{load_adverts advert_position='listing_details_sidebar' random=true}
					
				</div>
				<!--//listing details sidebar-->