{load_bo bo="bo_admin_auth" action="forgot" assign="action_object" params="member"}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>{translate text='password_reset'}</title>
	<meta name="robots" content="noindex, nofollow" />
	<meta name="viewport" content="width=device-width" />
	<link rel="stylesheet" href="{base_url}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}" type="text/css" />
	<script type="text/javascript" src="{/literal}{base_url}combine.php?theme={$theme}&amp;type={$javascript_type}&amp;assets={$assets}{literal}"></script>
	<!--[if lt IE 9]>
    <script type="text/javascript" src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->  
	<script type="text/javascript">var base_url = '{/literal}{base_url}{literal}';var site_url = '{/literal}{site_url}{literal}';</script>
</head>
<body class="body_0">
<!--start container-->
<div id="container">
	<!--start login box-->
	<div class="login_box">
	
		<!--logo-->
		<div class="login_logo">
			<img class="img_center" src="{base_url}public/themes/admin/images/logo.png" alt=" " />
		</div>
	
		<!--start round box-->
		<div class="roundbox rb__grey rb_4px rb_shaddow">
		<span class="rb"><span class="rb2 ie__grey_rb2">&nbsp;</span><span class="rb1 ie__grey_rb1">&nbsp;</span></span>
		<div class="rbc ie__grey_rbc">
			
			<!--start box content-->
			<form method="post" action="{site_url uri='member/auth/forgot'}">
			<div class="box_content rb_4px">
				
				<!--errors-->
				{if $action_object->m_errors}
				<div class="errors">
					<a href="#" class="close errors_close">&times;</a>
					<div class="roundbox rb_3px rb__error">
						{foreach item=error from=`$action_object->m_errors`}
							{$error}
						{/foreach}
					</div>
				</div>
				{/if}
				<!--end errors-->
			
				<!--form-->
				<div class="login_box_form">
					<ul>
						{if $action_object->m_form_status == 1}
							<li class="submit"><strong>{translate text='auth_message_new_password_sent'}</strong></li>
						{else}
						<li>
							<div class="label_box"><label>{translate text='email'}:</label></div>
							<div class="input_box">
								<input class="text" type="text" name="email" id="email" value="{$action_object->m_form_fields.email.value}" />
							</div>
						</li>
						<li>
							<div class="label_box"><label>{translate text='captcha'}:</label></div>
							<div class="input_box">
								<input class="text autocompleteOff" type="text" name="captcha" id="captcha" />
								<br />
								<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
							</div>
						</li>
						{/if}
					</ul>
				</div>
				<!--end form-->
				
			</div>
			<!--end box content-->
			<div class="box_footer clearfix rb_4px_bottom">
				<div class="right">
					<span class="btn_grey">
						<span>
							<span>{translate text='submit'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</div>
			</div>
			</form>
			
		</div>
		<span class="rb"><span class="rb1 ie__grey_rb1">&nbsp;</span><span class="rb2 ie__grey_rb2">&nbsp;</span></span>
		</div>
		<!--end round box-->
		
		<div class="forget_password text_center">
			<a href="{site_url uri='member/auth/login}">{translate text='login'}</a> &bull; <a href="{base_url}">{translate text='view_site'}</a>
		</div>
	</div>
	<!--end login box-->
</div>
<!--end container-->
</body>
</html>