<?php

//search vrs6 - deprecated
//---------------------------------------------------------------------

//default with location
$lang['seo_listings_in_location'] = 'Listings in %location% %other%';
$lang['h1_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_description_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_keywords_listings_in_location'] = '%location%,keyword 2, keyword 3';

//default without location
$lang['seo_listings'] = 'Listings %other%';
$lang['h1_listings'] = 'Listings %other%';
$lang['seo_keywords_listings'] = 'listings,default keyword 1, default keyword 2';
$lang['seo_description_listings'] = 'Listings';

//type without location
$lang['seo_listings_type'] = '%type% listings %other%';
$lang['h1_listings_type'] = '%type% listings %other%';
$lang['seo_description_listings_type'] = '%type% listings %other%';
$lang['seo_keywords_listings_type'] = '%type%';

//type with location
$lang['seo_listings_type_in_location'] = '%location%, %type% listings  %other%';
$lang['h1_listings_type_in_location'] = '%location%, %type% listings  %other%';
$lang['seo_description_listings_type_in_location'] = '%location%, %type% listings %other%';
$lang['seo_keywords_listings_type_in_location'] = '%location%, %type%, keyword 2, keyword 3';


//search vrs7 - possible combinations

#main type
$lang['seo_title/for'] = 'Title - Listing %for%';
$lang['seo_h1/for'] = 'H1 - Listing %for%';
$lang['seo_description/for'] = 'Description - %for%';
$lang['seo_keywords/for'] = 'Keywords - %for%';

#main type + location
$lang['seo_title/for/location_path'] = 'Title - Listing %for% in %location_path%';
$lang['seo_h1/for/location_path'] = 'H1 - Listing %for% in %location_path%';
$lang['seo_description/for/location_path'] = 'Description - Listing %for% in %location_path%';
$lang['seo_keywords/for/location_path'] = 'Keywords - Listing %for% in %location_path%';

#main type + type
$lang['seo_title/for/type'] = 'Title - %type% %for%';
$lang['seo_h1/for/type'] = 'H1 - %type% %for%';
$lang['seo_description/for/type'] = 'Description - %type% %for%';
$lang['seo_keywords/for/type'] = 'Seo keywords - %type% %for%';

#main type + type + location
$lang['seo_title/for/location_path/type'] = 'Title - %type% %for% in %location_path%';
$lang['seo_h1/for/location_path/type'] = 'H1 - %type% %for% in %location_path%';
$lang['seo_description/for/location_path/type'] = 'Description - %type% %for% in %location_path%';
$lang['seo_keywords/for/location_path/type'] = 'Keywords - %type% %for% in %location_path%';

#main type + location + suitability
$lang['seo_title/for/location_path/suitability'] = 'Tile - listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_h1/for/location_path/suitability'] = 'H1 - listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_description/for/location_path/suitability'] = 'Description - listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_keywords/for/location_path/suitability'] = 'Keywords - listings %for% in %location_path%, suitable for %suitability%';

#main type + type + location + suitability
$lang['seo_title/for/location_path/suitability/type'] = 'Title - %type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_h1/for/location_path/suitability/type'] = 'H1 - %type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_description/for/location_path/suitability/type'] = 'Description - %type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_keywords/for/location_path/suitability/type'] = 'Keywords - %type% %for% listings in %location_path%, suitable for %suitability%';

#type
$lang['seo_title/type'] = 'Title - %type% Listings';
$lang['seo_h1/type'] = 'H1 - %type% listings';
$lang['seo_description/type'] = 'Description - %type%';
$lang['seo_keywords/type'] = 'Keywords - %type%';

#type + location
$lang['seo_title/location_path/type'] = 'Title - %type% listings in %location_path%';
$lang['seo_h1/location_path/type'] = 'H1 - %type% listings in %location_path%';
$lang['seo_description/location_path/type'] = 'Description - %type% listings in %location_path%';
$lang['seo_keywords/location_path/type'] = 'Keywords - %type% listings in %location_path%';

#location
$lang['seo_title/location_path'] = 'Title - listings in %location_path%';
$lang['seo_h1/location_path'] = 'H1 - listings in %location_path%';
$lang['seo_description/location_path'] = 'Description - listings in %location_path%';
$lang['seo_keywords/location_path'] = 'Keywords - listings in %location_path%';

#location + special offer
$lang['seo_title/location_path/special_offer'] = 'Title - Special offers in %location_path%';
$lang['seo_h1/location_path/special_offer'] = 'H1 - Special offers listings in %location_path%';
$lang['seo_description/location_path/special_offer'] = 'Description - special offers in %location_path%';
$lang['seo_keywords/location_path/special_offer'] = 'Keywords - special offers in %location_path%';

#location + special offer + type
$lang['seo_title/location_path/special_offer/type'] = 'Title - %type% special offers in %location_path%';
$lang['seo_h1/location_path/special_offer/type'] = 'H1 - %type% Special offers listings in %location_path%';
$lang['seo_description/location_path/special_offer/type'] = 'Description - %type% special offers in %location_path%';
$lang['seo_keywords/location_path/special_offer/type'] = 'Keywords - %type% special offers in %location_path%';

#location+suitability
$lang['seo_title/location_path/suitability'] = 'Title - %suitability% listings in %location_path%';
$lang['seo_h1/location_path/suitability'] = 'Hx - %suitability% listings in %location_path%';
$lang['seo_description/location_path/suitability'] = 'Description - %suitability% listings in %location_path%';
$lang['seo_keywords/location_path/suitability'] = 'Keywords - %suitability% listings in %location_path%';

#member
$lang['seo_title/member'] = "Title - %member%'s Listings";
$lang['seo_h1/member'] = 'H1 - %member% listings';
$lang['seo_description/member'] = 'Description - %member%';
$lang['seo_keywords/member'] = 'Keywords - %member%';

#wishlist
$lang['seo_title/wishlist'] = "Title - Wishlist";
$lang['seo_h1/wishlist'] = 'H1 - wishlist';
$lang['seo_description/wishlist'] = 'Description - wishlist';
$lang['seo_keywords/wishlist'] = 'Keywords - wishlist';


//listing details vrs7 
//---------------------------------------------------------------------

//details with location
$lang['seo_title_listing_type_in_location'] = '%location% %type% %other% rental: %listing_title%';
$lang['seo_h1_listing_type_in_location'] = '%listing_title%';
$lang['seo_description_listing_type_in_location'] = '%location%, %type% %other% %listing_summary%';
$lang['seo_keywords_listing_type_in_location'] = '%location%, %type%, %keywords%';


//guides list
//---------------------------------------------------------------------
$lang['seo_keywords_guides'] = '';
$lang['seo_description_guides'] = '';
$lang['seo_title_guides'] = 'Guides';