<?php

//search vrs6 - deprecated
//---------------------------------------------------------------------

//default with location
$lang['seo_listings_in_location'] = 'Listings in %location% %other%';
$lang['h1_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_description_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_keywords_listings_in_location'] = '%location%,keyword 2, keyword 3';

//default without location
$lang['seo_listings'] = 'Listings %other%';
$lang['h1_listings'] = 'Listings %other%';
$lang['seo_keywords_listings'] = 'listings,default keyword 1, default keyword 2';
$lang['seo_description_listings'] = 'Listings';

//type without location
$lang['seo_listings_type'] = '%type% listings %other%';
$lang['h1_listings_type'] = '%type% listings %other%';
$lang['seo_description_listings_type'] = '%type% listings %other%';
$lang['seo_keywords_listings_type'] = '%type%';

//type with location
$lang['seo_listings_type_in_location'] = '%location%, %type% listings  %other%';
$lang['h1_listings_type_in_location'] = '%location%, %type% listings  %other%';
$lang['seo_description_listings_type_in_location'] = '%location%, %type% listings %other%';
$lang['seo_keywords_listings_type_in_location'] = '%location%, %type%, keyword 2, keyword 3';


//search vrs7 - possible combinations

#main type
$lang['seo_title/for'] = 'Listing %for%';
$lang['seo_h1/for'] = 'Listing %for%';
$lang['seo_description/for'] = '%for%';
$lang['seo_keywords/for'] = '%for%';

#main type + location
$lang['seo_title/for/location_path'] = 'Listing %for% in %location_path%';
$lang['seo_h1/for/location_path'] = 'Listing %for% in %location_path%';
$lang['seo_description/for/location_path'] = 'Listing %for% in %location_path%';
$lang['seo_keywords/for/location_path'] = 'Listing %for% in %location_path%';

#main type + type
$lang['seo_title/for/type'] = '%type% %for%';
$lang['seo_h1/for/type'] = '%type% %for%';
$lang['seo_description/for/type'] = '%type% %for%';
$lang['seo_keywords/for/type'] = '%type% %for%';

#main type + type + location
$lang['seo_title/for/location_path/type'] = '%type% %for% in %location_path%';
$lang['seo_h1/for/location_path/type'] = '%type% %for% in %location_path%';
$lang['seo_description/for/location_path/type'] = '%type% %for% in %location_path%';
$lang['seo_keywords/for/location_path/type'] = '%type% %for% in %location_path%';

#main type + location + suitability
$lang['seo_title/for/location_path/suitability'] = 'Tile - listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_h1/for/location_path/suitability'] = 'Listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_description/for/location_path/suitability'] = 'Listings %for% in %location_path%, suitable for %suitability%';
$lang['seo_keywords/for/location_path/suitability'] = 'listings %for% in %location_path%, suitable for %suitability%';

#main type + type + location + suitability
$lang['seo_title/for/location_path/suitability/type'] = '%type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_h1/for/location_path/suitability/type'] = '%type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_description/for/location_path/suitability/type'] = '%type% %for% listings in %location_path%, suitable for %suitability%';
$lang['seo_keywords/for/location_path/suitability/type'] = '%type% %for% listings in %location_path%, suitable for %suitability%';

#type
$lang['seo_title/type'] = '%type% Listings';
$lang['seo_h1/type'] = '%type% listings';
$lang['seo_description/type'] = '%type%';
$lang['seo_keywords/type'] = '%type%';

#type + location
$lang['seo_title/location_path/type'] = '%type% listings in %location_path%';
$lang['seo_h1/location_path/type'] = '%type% listings in %location_path%';
$lang['seo_description/location_path/type'] = '%type% listings in %location_path%';
$lang['seo_keywords/location_path/type'] = '%type% listings in %location_path%';

#location
$lang['seo_title/location_path'] = 'Listings in %location_path%';
$lang['seo_h1/location_path'] = 'Listings in %location_path%';
$lang['seo_description/location_path'] = 'Listings in %location_path%';
$lang['seo_keywords/location_path'] = 'listings in %location_path%';

#location + special offer
$lang['seo_title/location_path/special_offer'] = 'Special offers in %location_path%';
$lang['seo_h1/location_path/special_offer'] = 'Special offers listings in %location_path%';
$lang['seo_description/location_path/special_offer'] = 'Special offers in %location_path%';
$lang['seo_keywords/location_path/special_offer'] = 'special offers in %location_path%';

#location + special offer + type
$lang['seo_title/location_path/special_offer/type'] = '%type% special offers in %location_path%';
$lang['seo_h1/location_path/special_offer/type'] = '%type% Special offers listings in %location_path%';
$lang['seo_description/location_path/special_offer/type'] = '%type% special offers in %location_path%';
$lang['seo_keywords/location_path/special_offer/type'] = '%type% special offers in %location_path%';

#location+suitability
$lang['seo_title/location_path/suitability'] = '%suitability% listings in %location_path%';
$lang['seo_h1/location_path/suitability'] = 'Hx - %suitability% listings in %location_path%';
$lang['seo_description/location_path/suitability'] = '%suitability% listings in %location_path%';
$lang['seo_keywords/location_path/suitability'] = '%suitability% listings in %location_path%';

#member
$lang['seo_title/member'] = "%member%'s Listings";
$lang['seo_h1/member'] = '%member% listings';
$lang['seo_description/member'] = '%member%';
$lang['seo_keywords/member'] = '%member%';

#wishlist
$lang['seo_title/wishlist'] = "Wishlist";
$lang['seo_h1/wishlist'] = 'Wishlist';
$lang['seo_description/wishlist'] = 'Wishlist';
$lang['seo_keywords/wishlist'] = 'wishlist';


//listing details vrs7 
//---------------------------------------------------------------------

//details with location
$lang['seo_title_listing_type_in_location'] = '%location% %type% %other% rental: %listing_title%';
$lang['seo_h1_listing_type_in_location'] = '%listing_title%';
$lang['seo_description_listing_type_in_location'] = '%location%, %type% %other% %listing_summary%';
$lang['seo_keywords_listing_type_in_location'] = '%location%, %type%, %keywords%';


//guides list
//---------------------------------------------------------------------
$lang['seo_keywords_guides'] = '';
$lang['seo_description_guides'] = '';
$lang['seo_title_guides'] = 'Guides';