<?php

//search vrs6 - deprecated
//---------------------------------------------------------------------

//default with location
$lang['seo_listings_in_location'] = 'Listings in %location% %other%';
$lang['h1_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_description_listings_in_location'] = 'Listings in %location% %other%';
$lang['seo_keywords_listings_in_location'] = '%location%,keyword 2, keyword 3';

//default without location
$lang['seo_listings'] = 'Listings %other%';
$lang['h1_listings'] = 'Listings %other%';
$lang['seo_keywords_listings'] = 'Listings,Standard Keyword 1, Standard Keyword 2';
$lang['seo_description_listings'] = 'Listings';

//type without location
$lang['seo_listings_type'] = '%type% Listings %other%';
$lang['h1_listings_type'] = '%type% Listings %other%';
$lang['seo_description_listings_type'] = '%type% Listings %other%';
$lang['seo_keywords_listings_type'] = '%type%';

//type with location
$lang['seo_listings_type_in_location'] = '%location%, %type% Listings  %other%';
$lang['h1_listings_type_in_location'] = '%location%, %type% Listings  %other%';
$lang['seo_description_listings_type_in_location'] = '%location%, %type% Listings %other%';
$lang['seo_keywords_listings_type_in_location'] = '%location%, %type%, Keyword 2, Keyword 3';


//search vrs7 - possible combinations

#main type
$lang['seo_title/for'] = 'Title - Listing %for%';
$lang['seo_h1/for'] = 'H1 - Listing %for%';
$lang['seo_description/for'] = 'Description/Beschreibung - %for%';
$lang['seo_keywords/for'] = 'Keywords - %for%';

#main type + location
$lang['seo_title/for/location_path'] = 'Title - Listing %for% in %location_path%';
$lang['seo_h1/for/location_path'] = 'H1 - Listing %for% in %location_path%';
$lang['seo_description/for/location_path'] = 'Description/Beschreibung - Listing %for% in %location_path%';
$lang['seo_keywords/for/location_path'] = 'Keywords - Listing %for% in %location_path%';

#main type + type
$lang['seo_title/for/type'] = 'Title - %type% %for%';
$lang['seo_h1/for/type'] = 'H1 - %type% %for%';
$lang['seo_description/for/type'] = 'Description/Beschreibung - %type% %for%';
$lang['seo_keywords/for/type'] = 'SEO-Keywords - %type% %for%';

#main type + type + location
$lang['seo_title/for/location_path/type'] = 'Title - %type% %for% in %location_path%';
$lang['seo_h1/for/location_path/type'] = 'H1 - %type% %for% in %location_path%';
$lang['seo_description/for/location_path/type'] = 'Description/Beschreibung - %type% %for% in %location_path%';
$lang['seo_keywords/for/location_path/type'] = 'Keywords - %type% %for% in %location_path%';

#main type + location + suitability
$lang['seo_title/for/location_path/suitability'] = 'Title - Listings %for% in %location_path%, geeignet für %suitability%';
$lang['seo_h1/for/location_path/suitability'] = 'H1 - Listings %for% in %location_path%, geeignet für %suitability%';
$lang['seo_description/for/location_path/suitability'] = 'Description/Beschreibung - Listings %for% in %location_path%, geeignet für %suitability%';
$lang['seo_keywords/for/location_path/suitability'] = 'Keywords - Listings %for% in %location_path%, geeignet für %suitability%';

#main type + type + location + suitability
$lang['seo_title/for/location_path/suitability/type'] = 'Title - %type% %for% Listings in %location_path%, geeignet für %suitability%';
$lang['seo_h1/for/location_path/suitability/type'] = 'H1 - %type% %for% Listings in %location_path%, geeignet für %suitability%';
$lang['seo_description/for/location_path/suitability/type'] = 'Description/Beschreibung - %type% %for% Listings in %location_path%, geeignet für %suitability%';
$lang['seo_keywords/for/location_path/suitability/type'] = 'Keywords - %type% %for% Listings in %location_path%, geeignet für %suitability%';

#type
$lang['seo_title/type'] = 'Title - %type% Listings';
$lang['seo_h1/type'] = 'H1 - %type% Listings';
$lang['seo_description/type'] = 'Description/Beschreibung - %type%';
$lang['seo_keywords/type'] = 'Keywords - %type%';

#type + location
$lang['seo_title/location_path/type'] = 'Title - %type% Listings in %location_path%';
$lang['seo_h1/location_path/type'] = 'H1 - %type% Listings in %location_path%';
$lang['seo_description/location_path/type'] = 'Description/Beschreibung - %type% Listings in %location_path%';
$lang['seo_keywords/location_path/type'] = 'Keywords - %type% Listings in %location_path%';

#location
$lang['seo_title/location_path'] = 'Title - Listings in %location_path%';
$lang['seo_h1/location_path'] = 'H1 - Listings in %location_path%';
$lang['seo_description/location_path'] = 'Description/Beschreibung - Listings in %location_path%';
$lang['seo_keywords/location_path'] = 'Keywords - Listings in %location_path%';

#location + special offer
$lang['seo_title/location_path/special_offer'] = 'Title - Sonderangebote in %location_path%';
$lang['seo_h1/location_path/special_offer'] = 'H1 - Sonderangebote Listings in %location_path%';
$lang['seo_description/location_path/special_offer'] = 'Description/Beschreibung - Sonderangebote in %location_path%';
$lang['seo_keywords/location_path/special_offer'] = 'Keywords - Sonderangebote in %location_path%';

#location + special offer + type
$lang['seo_title/location_path/special_offer/type'] = 'Title - %type% Sonderangebote in %location_path%';
$lang['seo_h1/location_path/special_offer/type'] = 'H1 - %type% Sonderangebote - Listings in %location_path%';
$lang['seo_description/location_path/special_offer/type'] = 'Description/Beschreibung - %type% Sonderangebote in %location_path%';
$lang['seo_keywords/location_path/special_offer/type'] = 'Keywords - %type% Sonderangebote in %location_path%';

#location+suitability
$lang['seo_title/location_path/suitability'] = 'Title - %suitability% Listings in %location_path%';
$lang['seo_h1/location_path/suitability'] = 'Hx - %suitability% Listings in %location_path%';
$lang['seo_description/location_path/suitability'] = 'Description/Beschreibung - %suitability% Listings in %location_path%';
$lang['seo_keywords/location_path/suitability'] = 'Keywords - %suitability% Listings in %location_path%';

#member
$lang['seo_title/member'] = "Title - %member%'s Listings";
$lang['seo_h1/member'] = 'H1 - %member% Listings';
$lang['seo_description/member'] = 'Description/Beschreibung - %member%';
$lang['seo_keywords/member'] = 'Keywords - %member%';

#wishlist
$lang['seo_title/wishlist'] = "Title - Wunschzettel";
$lang['seo_h1/wishlist'] = 'H1 - Wunschzettel';
$lang['seo_description/wishlist'] = 'Description/Beschreibung - Wunschzettel';
$lang['seo_keywords/wishlist'] = 'Keywords - Wunschzettel';


//listing details vrs7 
//---------------------------------------------------------------------

//details with location
$lang['seo_title_listing_type_in_location'] = '%location% %type% %other% rental: %listing_title%';
$lang['seo_h1_listing_type_in_location'] = '%listing_title%';
$lang['seo_description_listing_type_in_location'] = '%location%, %type% %other% %listing_summary%';
$lang['seo_keywords_listing_type_in_location'] = '%location%, %type%, %keywords%';


//guides list
//---------------------------------------------------------------------
$lang['seo_keywords_guides'] = '';
$lang['seo_description_guides'] = '';
$lang['seo_title_guides'] = 'Anleitungen';