<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'currencies';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
/* end options bar */

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'currency_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'is_default'=>array('label'=>$lang->translate('is_default'),'width'=>6),
	'currency_code'=>array('label'=>$lang->translate('currency_code'),'width'=>8),
	'title'=>array('label'=>$lang->translate('title'),'width'=>''),
	'currency_rate'=>array('label'=>$lang->translate('currency_rate'),'width'=>7,'editable'=>true,'editable_section'=>$obj),
	'symbol_lft'=>array('label'=>$lang->translate('symbol_lft'),'width'=>6),
	'symbol_rgt'=>array('label'=>$lang->translate('symbol_rgt'),'width'=>6)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'currency_id',
	),
	'title'=>array(
		'operator'=>'like'
	),
	'currency_code'=>array(
		'operator'=>'=',
		'is_default'=>true
	)
);


$config['orderby'] = 'currency_id desc';
$config['form_fields'] = array(
	'title'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'currency_code'=>array('label'=>$lang->translate('currency_code'),'value'=>'','rules'=>'trim|required|exact_length[3]|strtoupper'),
	'currency_rate'=>array('label'=>$lang->translate('currency_rate'),'value'=>1,'rules'=>'trim|required|numeric'),
	'symbol_lft'=>array('label'=>$lang->translate('symbol_lft'),'value'=>'','rules'=>''),
	'symbol_rgt'=>array('label'=>$lang->translate('symbol_rgt'),'value'=>'','rules'=>''),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'is_default'=>array('label'=>$lang->translate('is_default'),'value'=>0,'rules'=>''),
);

$config['form_data_fields'] = array(
	'active','is_default','title','currency_code','symbol_lft','symbol_rgt','currency_rate'
);