<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'links';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_tree'),'uri'=>'#','ico'=>'btn_tree','id'=>'show_links_tree','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false),
	array('label'=>$lang->translate('rebuild_tree'),'uri'=>'rebuild_tree','ico'=>'btn_redo', 'id'=>'btn_rebuild_tree','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true,'class'=>'current current_f4')
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'link_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'is_homepage'=>array('label'=>$lang->translate('homepage'),'width'=>7),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>10),
	'slug_'.$lang_key=>array('label'=>$lang->translate('slug'),'width'=>10),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
	'link_parent_id'=>array('label'=>$lang->translate('link_parent'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'link_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default' => true
	)
);

$config['orderby'] = 'link_parent_id asc,hierarchy asc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_1'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_2'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_3'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_4'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_5'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_1'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_2'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_3'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_4'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_5'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_1'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_2'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_3'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_4'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_5'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'is_homepage'=>array('label'=>$lang->translate('is_homepage'),'value'=>0,'rules'=>''),
	'add_to_menu'=>array('label'=>$lang->translate('add_to_menu'),'value'=>1,'rules'=>''),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'value'=>'','rules'=>''),
	'slug_1'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug'),
	'slug_2'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug'),
	'slug_3'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug'),
	'slug_4'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug'),
	'slug_5'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug'),
	'external_link'=>array('label'=>$lang->translate('external_link'),'value'=>'','rules'=>'prep_url'),
	'internal_link'=>array('label'=>$lang->translate('internal_link'),'value'=>'','rules'=>''),
	'extra_options'=>array('label'=>$lang->translate('extra_options'),'value'=>'','rules'=>''),
	'link_parent_id'=>array('label'=>$lang->translate('link_parent'),'value'=>'','rules'=>'required'),
	'template'=>array('label'=>$lang->translate('template'),'value'=>'','rules'=>''),
	'content_id'=>array('label'=>$lang->translate('content'),'value'=>'','rules'=>''),
	'controller'=>array('label'=>$lang->translate('controller'),'value'=>'','rules'=>''),
	'no_follow'=>array('label'=>$lang->translate('no_follow'),'value'=>0,'rules'=>''),
	'no_index'=>array('label'=>$lang->translate('no_index'),'value'=>0,'rules'=>''),
	'in_sitemap'=>array('label'=>$lang->translate('in_sitemap'),'value'=>1,'rules'=>''),
	'breadcrumbs_1'=>array('label'=>$lang->translate('breadcrumbs'),'value'=>'','values'=>array(),'options'=>array()),
	'breadcrumb_1_title'=>array(),'breadcrumb_1_link'=>array(),
	
	'breadcrumbs_2'=>array('label'=>$lang->translate('breadcrumbs'),'value'=>'','values'=>array(),'options'=>array()),
	'breadcrumb_2_title'=>array(),'breadcrumb_2_link'=>array(),
	
	'breadcrumbs_3'=>array('label'=>$lang->translate('breadcrumbs'),'value'=>'','values'=>array(),'options'=>array()),
	'breadcrumb_3_title'=>array(),'breadcrumb_3_link'=>array(),
	
	'breadcrumbs_4'=>array('label'=>$lang->translate('breadcrumbs'),'value'=>'','values'=>array(),'options'=>array()),
	'breadcrumb_4_title'=>array(),'breadcrumb_4_link'=>array(),
	
	'breadcrumbs_5'=>array('label'=>$lang->translate('breadcrumbs'),'value'=>'','values'=>array(),'options'=>array()),
	'breadcrumb_5_title'=>array(),'breadcrumb_5_link'=>array(),
);

$config['form_data_fields'] = array(
	'active','is_homepage','add_to_menu','hierarchy',
	'title_1','title_2','title_3','title_4','title_5',
	'seo_title_1','seo_title_2','seo_title_3','seo_title_4','seo_title_5',
	'seo_description_1','seo_description_2','seo_description_3','seo_description_4','seo_description_5',
	'seo_keywords_1','seo_keywords_2','seo_keywords_3','seo_keywords_4','seo_keywords_5',
	'external_link','internal_link','link_parent_id','template','content_id','extra_options','controller',
	'slug_1','slug_2','slug_3','slug_4','slug_5',
	'no_follow','no_index','in_sitemap',
	'breadcrumbs_1','breadcrumbs_2','breadcrumbs_3','breadcrumbs_4','breadcrumbs_5'
	
);