<?php
require_once(PRIVATE_PATH.'config/combine.php');
$combine['global_admin'] = array(
	'global'=>array_merge($combine['global'],array(
		'excanvas.js',
		'charts.colorhelpers.js',
		'charts.flot.js',
		'charts.flot.resize.js',
		'charts.flot.selection.js',
		'charts.flot.pie.js',
		'charts.flot.categories.js',
		'plugin.highlightFade.js',
		'plugin.jeditable.js',
		'plugin.rtranslate.js',
		'chat.js',
		'chat.css',
		'html5.js'
	)),
	'theme' =>array( 
		'resets.css', 
		'style.css',
		'left_nav.js',
		'top_nav.js',
		'options_bar.css',
		'all_admin.js'
	)
);


// Login
//----------------------------------------------------

$combine['admin/auth/index'] = 
$combine['member/auth/index'] = 

$combine['admin/auth/login'] = 
$combine['member/auth/login'] = 

$combine['admin/auth/forgot'] = 
$combine['member/auth/forgot'] =  

$combine['admin/auth/reset_password'] = 
$combine['member/auth/reset_password'] =  array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(),
	'theme'=>array('forms.css')
));

// Dashboard
//----------------------------------------------------
$combine['admin/home/index'] = 
$combine['member/home/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.tabs.js',
		'plugin.history.js',
		'jquery-jvectormap-1.2.2.css',
		'jquery-jvectormap-1.2.2.min.js',
		'jquery-jvectormap-world-mill-en.js'
	),
	'theme'=>array(
		'lists.css',
		'dashboard_tabs.css',
		'dashboard.css',
		
		'lists.js',
		'dashboard.js'
	)
));

//------------------------------------------------------------------------------------------------------ LISTINGS

// Listings
//----------------------------------------------------
$combine['admin/listings/view'] =
$combine['admin/listings/index'] = 
$combine['member/listings/view'] =
$combine['member/listings/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/listings/add'] =
$combine['admin/listings/edit'] = 
$combine['member/listings/add'] =
$combine['member/listings/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.NobleCount.js',
		'plugin.tagsinput.js',
		'plugin.tagsinput.css',
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'jquery.ui.timepicker.js',
		'plugin.autosave.js',
		'plugin.ajaxQueue.js',
		'plugin.autocomplete.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'listings_edit.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'jquery.ui.timepicker.css',
		'plugin.autocomplete.css'
	)	
));

$combine['admin/listings/photos'] = 
$combine['member/listings/photos'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css',
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.mouse.min.js',
		'jquery.ui.sortable.min.js',
		'plugin.Jcrop.css',
		'plugin.Jcrop.js',
		'html5_upload.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'listing_photos.js'
	)	
));

$combine['admin/listings/videos'] = 
$combine['member/listings/videos'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css',
		'plugin.tabs.js',
		'html5_upload.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'listing_videos.js',
		'tabs.css'
	)	
));

$combine['admin/listings/units'] = 
$combine['member/listings/units'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js'
	)	
));

$combine['admin/listings/availability'] = 
$combine['member/listings/availability'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js',
		'plugin.tinyscrollbar.js',
		'plugin.tabs.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'availability_calendar.css',
		'availability.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'tabs.css'
	)	
));

$combine['admin/listings/rates'] = 
$combine['member/listings/rates'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'rates.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'availability_calendar.css'
	)	
));

$combine['admin/listings/addons'] = 
$combine['member/listings/addons'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js'
	)	
));

$combine['admin/listings/discounts'] = 
$combine['member/listings/discounts'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'discounts.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css'
	)	
));

$combine['admin/listings/paid_services'] = 
$combine['member/listings/paid_services'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'paid_services.js'
	)	
));

$combine['admin/listings/settings'] = 
$combine['member/listings/settings'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Listing imports
//----------------------------------------------------
$combine['admin/imports/view'] =
$combine['admin/imports/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/imports/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));
$combine['admin/imports/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'imports.css',
		'imports.js'
	)
));
$combine['admin/imports/template'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.mouse.min.js',
		'jquery.ui.draggable.min.js',
		'jquery.ui.droppable.min.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'imports.css',
		'imports.js'
	)
));
$combine['admin/imports/process'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));



// Facilities
//----------------------------------------------------

$combine['admin/facilities/view'] = 
$combine['admin/facilities/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/facilities/edit'] = 
$combine['admin/facilities/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Inquiries
//----------------------------------------------------

$combine['admin/inquiries/view'] = 
$combine['admin/inquiries/index'] = 
$combine['member/inquiries/view'] = 
$combine['member/inquiries/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/inquiries/edit'] = 
$combine['admin/inquiries/add'] = 
$combine['member/inquiries/edit'] = 
$combine['member/inquiries/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.button.min.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'inquiries.js',
		'jquery.ui.css',
		'jquery.ui.button.css',
		'inquiries.css'
	)
));

// Bookings
//----------------------------------------------------

$combine['admin/bookings/view'] = 
$combine['admin/bookings/view_wysiwyg'] = 
$combine['admin/bookings/index'] = 
$combine['member/bookings/view'] = 
$combine['member/bookings/view_wysiwyg'] = 
$combine['member/bookings/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/bookings/edit'] = 
$combine['admin/bookings/add'] = 
$combine['member/bookings/edit'] = 
$combine['member/bookings/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'bookings.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'availability_calendar.css'
	)
));

// Utilities
//----------------------------------------------------

$combine['admin/utilities/view'] = 
$combine['admin/utilities/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/utilities/edit'] = 
$combine['admin/utilities/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Listing types
//----------------------------------------------------

$combine['admin/listing_types/view'] = 
$combine['admin/listing_types/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js',
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.mouse.min.js',
		'jquery.ui.sortable.min.js'
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'listing_types_list.js'
	)
));

$combine['admin/listing_types/edit'] = 
$combine['admin/listing_types/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Distances
//----------------------------------------------------

$combine['admin/distances/view'] = 
$combine['admin/distances/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/distances/edit'] = 
$combine['admin/distances/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Reviews
//----------------------------------------------------
$combine['admin/reviews/view'] =
$combine['admin/reviews/index'] = 
$combine['member/reviews/index'] = 
$combine['member/reviews/view'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/reviews/add'] =
$combine['admin/reviews/edit'] = 
$combine['member/reviews/add'] =
$combine['member/reviews/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.rating.js',
		'plugin.rating.css',
		'plugin.ajaxQueue.js',
		'plugin.autocomplete.js',
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'reviews.js',
		'plugin.autocomplete.css',
		'jquery.ui.css',
		'jquery.ui.datepicker.css'
	)	
));

// Bedroom options
//----------------------------------------------------

$combine['admin/bedroom_options/view'] = 
$combine['admin/bedroom_options/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/bedroom_options/edit'] = 
$combine['admin/bedroom_options/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Bathroom options
//----------------------------------------------------

$combine['admin/bathroom_options/view'] = 
$combine['admin/bathroom_options/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/bathroom_options/edit'] = 
$combine['admin/bathroom_options/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Access options
//----------------------------------------------------

$combine['admin/access_options/view'] = 
$combine['admin/access_options/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/access_options/edit'] = 
$combine['admin/access_options/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Holiday types
//----------------------------------------------------

$combine['admin/holiday_types/view'] = 
$combine['admin/holiday_types/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/holiday_types/edit'] = 
$combine['admin/holiday_types/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Unit types
//----------------------------------------------------

$combine['admin/unit_types/view'] = 
$combine['admin/unit_types/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/unit_types/edit'] = 
$combine['admin/unit_types/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// View types
//----------------------------------------------------

$combine['admin/view_types/view'] = 
$combine['admin/view_types/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/view_types/edit'] = 
$combine['admin/view_types/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Services
//----------------------------------------------------

$combine['admin/services/view'] = 
$combine['admin/services/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/services/edit'] = 
$combine['admin/services/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Activities
//----------------------------------------------------

$combine['admin/activities/view'] = 
$combine['admin/activities/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/activities/edit'] = 
$combine['admin/activities/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));


//------------------------------------------------------------------------------------------------------ CMS

// CMS / Links
//----------------------------------------------------

$combine['admin/links/view'] = 
$combine['admin/links/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js',
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.mouse.min.js',
		'jquery.ui.sortable.min.js'
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'links_list.js'
	)
));

$combine['admin/links/edit'] = 
$combine['admin/links/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.NobleCount.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'tabs.css',
		'links.js'
	)
));

// CMS / Guides
//----------------------------------------------------
$combine['admin/guides/view'] =
$combine['admin/guides/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/guides/add'] =
$combine['admin/guides/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.autosave.js',
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'guides_edit.js'
	)	
));

$combine['admin/guides/photos'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css',
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.mouse.min.js',
		'jquery.ui.sortable.min.js',
		'plugin.Jcrop.css',
		'plugin.Jcrop.js',
		'html5_upload.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'lists.css',
		'lists.js',
		'guide_photos.js'
	)	
));

// CMS / News
//----------------------------------------------------

$combine['admin/news/view'] = 
$combine['admin/news/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/news/edit'] = 
$combine['admin/news/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.autosave.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'news.js'
	)
));

// CMS / Adverts
//----------------------------------------------------
$combine['admin/adverts/view'] = 
$combine['admin/adverts/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		//'adverts_list.js',
		//date picker
		'jquery.ui.css',
		'jquery.ui.datepicker.css'
	)
));

$combine['admin/adverts/add'] = 
$combine['admin/adverts/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.widget.min.js',
		'jquery.ui.button.min.js',
		'jquery.ui.datepicker.min.js',
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'tabs.css',
		'jquery.ui.css',
		'jquery.ui.button.css',
		'jquery.ui.datepicker.css',
		'adverts.js'
	)	
));


// CMS / Content
//----------------------------------------------------

$combine['admin/content/view'] = 
$combine['admin/content/index'] = 
$combine['admin/content/view_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/content/edit'] = 
$combine['admin/content/add'] = 
$combine['admin/content/edit_wysiwyg'] =
$combine['admin/content/add_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.autosave.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'content.js'
	)
));

// CMS / Gimages
//----------------------------------------------------

$combine['admin/gimages/view'] = 
$combine['admin/gimages/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/gimages/view_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'gimages.js'
	)
));

$combine['admin/gimages/edit'] =
$combine['admin/gimages/edit_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.Jcrop.css',
		'plugin.Jcrop.js',
		'html5_upload.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'gimages.js'
	)
));
$combine['admin/gimages/add'] = 
$combine['admin/gimages/add_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.uploadify.js',
		'plugin.uploadify.css',
		'html5_upload.css'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'gimages.js'
	)
));

// CMS / Gflash
//----------------------------------------------------

$combine['admin/gflash/view'] = 
$combine['admin/gflash/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/gflash/view_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'gflash.js'
	)
));

$combine['admin/gflash/edit'] = 
$combine['admin/gflash/edit_wysiwyg'] = 
$combine['admin/gflash/add'] = 
$combine['admin/gflash/add_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// CMS / Css
//----------------------------------------------------

$combine['admin/css/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'css.js'
	)	
));

// CMS / Templates
//----------------------------------------------------

$combine['admin/templates/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'templates.js'
	)	
));

// Seo filters
//----------------------------------------------------
$combine['admin/seo/view'] =
$combine['admin/seo/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/seo/add'] = 
$combine['admin/seo/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));


//------------------------------------------------------------------------------------------------------ REGIONAL
// Regional / Locations
//----------------------------------------------------
$combine['admin/locations/view'] = 
$combine['admin/locations/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js'
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'locations_list.js'
	)
));
$combine['admin/locations/add'] =
$combine['admin/locations/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.fileTree.css',
		'plugin.fileTree.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'locations.js'
	)	
));

$combine['admin/locations/import'] = array_merge_recursive($combine['global_admin'],array(
	'global'=>array(),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)
));

// Regional / Languages
//----------------------------------------------------
$combine['admin/languages/view'] = 
$combine['admin/languages/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/languages/add'] =
$combine['admin/languages/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'languages.js'
	)	
));

// Regional / Currencies
//----------------------------------------------------
$combine['admin/currencies/view'] = 
$combine['admin/currencies/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/currencies/add'] =
$combine['admin/currencies/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'currencies.js'
	)	
));

//------------------------------------------------------------------------------------------------------ MESSAGES


// Mail templates
//----------------------------------------------------

$combine['admin/mail_templates/view'] = 
$combine['admin/mail_templates/view_wysiwyg'] = 
$combine['admin/mail_templates/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/mail_templates/add'] =
$combine['admin/mail_templates/add_wysiwyg'] =
$combine['admin/mail_templates/edit'] = 
$combine['admin/mail_templates/edit_wysiwyg'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'mail_templates.js'
	)	
));


// Bulk mails
//----------------------------------------------------

$combine['admin/bulk_mails/view'] = 
$combine['admin/bulk_mails/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/bulk_mails/add'] =
$combine['admin/bulk_mails/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js',
		'jquery.ui.timepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'bulk_mails.js',
		//date picker
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'jquery.ui.timepicker.css'
	)	
));

// Sms packages
//----------------------------------------------------

$combine['admin/sms_packages/view'] =
$combine['admin/sms_packages/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/sms_packages/add'] =
$combine['admin/sms_packages/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Sms logs
//----------------------------------------------------

$combine['admin/sms_requests/view'] =
$combine['admin/sms_requests/index'] = 
$combine['member/sms_requests/view'] =
$combine['member/sms_requests/index'] =array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/sms_requests/add'] =
$combine['admin/sms_requests/edit'] = 
$combine['member/sms_requests/add'] =
$combine['member/sms_requests/edit'] =array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Sms templates
//----------------------------------------------------

$combine['admin/sms_templates/view'] =
$combine['admin/sms_templates/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/sms_templates/add'] =
$combine['admin/sms_templates/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.NobleCount.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));


//------------------------------------------------------------------------------------------------------ PAYMENT

// Coupons
//----------------------------------------------------
$combine['admin/coupons/view'] =
$combine['admin/coupons/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'lists.css',
		'lists.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css'
	)
));
$combine['admin/coupons/add'] =
$combine['admin/coupons/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'jquery.ui.core.min.js',
		'jquery.ui.datepicker.min.js',
		'plugin.jeditable.datepicker.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'jquery.ui.css',
		'jquery.ui.datepicker.css',
		'coupons.js'
	)	
));

// Ipn logs
//----------------------------------------------------
$combine['admin/ipn_logs/view'] =
$combine['admin/ipn_logs/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

// Packages
//----------------------------------------------------
$combine['admin/packages/view'] =
$combine['admin/packages/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/packages/add'] =
$combine['admin/packages/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Payment logs
//----------------------------------------------------
$combine['admin/payment_requests/view'] =
$combine['admin/payment_requests/index'] = 
$combine['member/payment_requests/view'] =
$combine['member/payment_requests/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));
$combine['admin/payment_requests/add'] =
$combine['admin/payment_requests/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Booking requests
//----------------------------------------------------
$combine['admin/booking_requests/view'] =
$combine['admin/booking_requests/index'] = 
$combine['member/booking_requests/view'] =
$combine['member/booking_requests/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/booking_requests/edit'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js'
	)	
));

// Add funds
//----------------------------------------------------

$combine['admin/buy_credits/index'] = 
$combine['admin/buy_credits/buy'] = 
$combine['admin/buy_credits/cancel'] = 
$combine['member/buy_credits/index'] = 
$combine['admin/buy_credits/success'] = 
$combine['member/buy_credits/success'] = 
$combine['member/buy_credits/buy'] = 
$combine['member/buy_credits/cancel'] = 
array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.ajaxQueue.js',
		'plugin.autocomplete.js'
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'plugin.autocomplete.css',
		'buy_credits.js'
	)
));

//------------------------------------------------------------------------------------------------------ USERS
// Users
//----------------------------------------------------

$combine['admin/users/index'] = 
$combine['admin/users/view'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'lists.css',
		'lists.js'
	)
));

$combine['admin/users/add'] =
$combine['admin/users/edit'] = $combine['admin/users/edit_wysiwyg'] = $combine['member/users/edit'] =
$combine['admin/users/profile'] = $combine['admin/users/profile_wysiwyg'] = $combine['member/users/profile'] =
$combine['admin/users/credits'] = $combine['member/users/credits'] = 
$combine['admin/users/packages'] = $combine['member/users/packages'] = 
$combine['admin/users/sms_packages'] = $combine['member/users/sms_packages'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
	),
	'theme'=>array(
		'forms.css',
		'edit.js',
		'tabs.css',
		'users.js'
	)	
));


//------------------------------------------------------------------------------------------------------ SETTINGS

// Settings
//----------------------------------------------------

$combine['admin/settings/index'] = $combine['admin/settings/edit'] = $combine['admin/settings/add'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		'plugin.tabs.js',
		'plugin.history.js',
		'plugin.NobleCount.js'
	),
	'theme'=>array(
		'tabs_settings.css',
		'forms.css',
		'edit.js',
		'settings.js'
	)
));

// Tools
//----------------------------------------------------

$combine['admin/tools/index'] = array_merge_recursive( $combine['global_admin'],array(
	'global'=>array(
		
	),
	'theme'=>array(
		'forms.css','tools.js'
	)
));

