<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();

$config['what_to_import'] = array(
		'settings',
		//a
		'access_options',
		'activities',
		'addons',
		'adverts',
		//b
		'bathroom_options',
		'bedroom_options',
		'bookings',
		'booking_requests',
		//c
		'content',
		'coupons',
		'currencies',
		//d
		'distances',
		//e
		'facilities',
		//f
		//g
		'gflash',
		'gimages',
		'guide_photos',
		'guides',
		//h
		'holiday_types',
		//i
		'inquiries',
		//l
		'languages',
		'links',
		'listing_types',
		'listing_videos',
		'listing_photos',
		'listings',
		'locations',
		//m
		'mail_q',
		//n
		'news',
		//p
		'packages',
		'payment_requests',
		//r
		'rates',
		'reviews',
		//seo
		'seo','services',
		//u
		'user_credits','user_packages','user_sms_packages',
		'users',
		//'utilities',
		//v
		'view_types',
		//misc
		'move_upload'
);

$config['form_fields'] = array(
		'mysql_host'=>array(
			'label'=>$g_O->lang->translate('mysql_host'),
			'value'=>'localhost',
			'rules'=>'trim|required'
		),
		'mysql_username'=>array(
			'label'=>$g_O->lang->translate('mysql_username'),
			'value'=>'',
			'rules'=>'trim|required'
		),
		'mysql_password'=>array(
			'label'=>$g_O->lang->translate('mysql_password'),
			'value'=>'',
			'rules'=>'trim'
		),
		'mysql_database'=>array(
			'label'=>$g_O->lang->translate('mysql_database'),
			'value'=>'',
			'rules'=>'trim|required'
		),
		'dest_path'=>array(
			'label'=>'Destination public path',
			'value'=>PUBLIC_PATH,
			'rules'=>'trim'
		),
		'source_path'=>array(
			'label'=>'Source public path',
			'value'=>'d:\\www\\vacation_7\\__vrs6_import_data\\public\\',
			'rules'=>'trim'
		),
		'what_to_import'=>array(
			'label'=>'',
			'rules'=>'',
			'options'=>$config['what_to_import'],
			'value'=>array()
		),
		'settings'=>array(
			'label'=>'',
			'value'=>array(),
			'rules'=>'',
			'options'=>array(
				'copy_listing_photos','old_listing_photos_in_subdir',
				'copy_gimages_photos','old_gimages_photos_in_subdir',
				'copy_guide_photos','old_guide_photos_in_subdir',
				'rebuild_links_tree',
				'rebuild_listing_types_tree'
			)
		),
		'move_upload_dirs'=>array(
			'label'=>'',
			'value'=>array('upload/adverts','upload/flags','upload/gflash','upload/gimages','upload/listing_videos','upload/logos'),
			'options'=>array(
				'upload/adverts',
				'upload/flags',
				'upload/gflash',
				'upload/gimages',
				'upload/listing_videos',
				'upload/logos'
			)
		)
);

$config['import_locations'] = false; //not used
$config['move_listing_photos'] = false;//not used
$config['move_gimages_photos'] = false;//not used
$config['move_guide_photos'] = false;//not used

$config['rebuild_links_tree'] = true;//not used
$config['rebuild_listing_types_tree'] = false;//not used
$config['per_page'] = 500;

$config['sleep_for'] = array(
	/*
	'gimages'=>5,
	'links'=>5,
	'listing_photos'=>5,
	'listings'=>5,
	'listing_photos'=>5,
	'locations'=>5,
	'reviews'=>5,
	'user_packages'=>5,
	'user_sms_packages'=>5,
	'user_credits'=>5*/
);

$config['res2_db_info'] = array(
	'mysql_host'=>'localhost',
	'mysql_username'=>'root',
	'mysql_password'=>'',
	'mysql_database'=>'vrs6_imlix'
);

$config['db_alterations'] = array(
	'currencies'=>array(
		//hierarchy
		//'ALTER TABLE vrs7_currencies ADD hierarchy INT(11)' 
		//ALTER TABLE `vrs7_locations` ADD `description_1` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL 
	)
);

$config['copy_photo_dirs'] = array(
	'upload/adverts',
	'upload/flags',
	'upload/gflash',
	//'upload/gimages',
	//'upload/gimages_resize',
	//'upload/listing_photos',
	'upload/listing_videos',
	'upload/logos'
);