<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');
/*
$platforms = array (
					'windows 7' 		=> 'Windows 7',
					'windows nt 6.1' 	=> 'Windows 7',
					'windows nt 6.0'	=> 'Windows Longhorn',
					'windows nt 5.2'	=> 'Windows 2003',
					'windows nt 5.0'	=> 'Windows 2000',
					'windows nt 5.1'	=> 'Windows XP',
					'windows nt 4.0'	=> 'Windows NT 4.0',
					'winnt4.0'			=> 'Windows NT 4.0',
					'winnt 4.0'			=> 'Windows NT',
					'winnt'				=> 'Windows NT',
					'windows 98'		=> 'Windows 98',
					'win98'				=> 'Windows 98',
					'windows 95'		=> 'Windows 95',
					'win95'				=> 'Windows 95',
					'windows'			=> 'Unknown Windows OS',
					'os x'				=> 'Mac OS X',
					'ppc mac'			=> 'Power PC Mac',
					'freebsd'			=> 'FreeBSD',
					'ppc'				=> 'Macintosh',
					'linux'				=> 'Linux',
					'debian'			=> 'Debian',
					'sunos'				=> 'Sun Solaris',
					'beos'				=> 'BeOS',
					'apachebench'		=> 'ApacheBench',
					'aix'				=> 'AIX',
					'irix'				=> 'Irix',
					'osf'				=> 'DEC OSF',
					'hp-ux'				=> 'HP-UX',
					'netbsd'			=> 'NetBSD',
					'bsdi'				=> 'BSDi',
					'openbsd'			=> 'OpenBSD',
					'gnu'				=> 'GNU/Linux',
					'unix'				=> 'Unknown Unix OS'
				);*/
$platforms = array(
	'iphone'		=> 'Mac OS X(Apple)',
	'ipad'			=> 'Mac OS X(Apple)',
	'ipod/'			=> 'Mac OS X(Apple)',
	'max os x' 		=> 'Mac OS X(Apple)',
	'ios'			=> 'Apple mobile tablet',
	'blackberry'	=> 'BlackBerry',
	'android' 		=> 'Android',
	'j2me'			=> 'Java Mobile Phones',
	'javame' 		=> 'Java Mobile Phones',
	'javafx' 		=> 'JavaFX Mobile Phones',
	'windows ce'	=> 'Windows Mobile Phones',
	'wince' 		=> 'Windows Mobile Phones',
	'win16'			=> 'Windows 3.11',
	'windows 95'	=> 'Windows 95',
	'win95' 		=> 'Windows 95',
	'windows_95'	=> 'Windows 95',
	'windows 98'	=> 'Windows 98',
	'win98' 		=> 'Windows 98',
	'windows 2000'	=> 'Windows 2000',
	'windows nt 5.0'=> 'Windows 2000',
	'windows xp' 	=> 'Windows XP',
	'windows nt 5.1'=> 'Windows XP',
	'windows nt 5.2'=> 'Windows 2003',
	'windows vista' => 'Windows Vista',
	'windows nt 6.0'=> 'Windows Vista',
	'windows nt 6.1'=> 'Windows 7',
	'windows 7' 	=> 'Windows 7',
	'windows nt 4.0'=> 'Windows NT 4.0',
	'winnt4.0' 		=> 'Windows NT 4.0',
	'winnt'			=> 'Windows NT 4.0',
	'windows nt'	=> 'Windows NT 4.0',
	'windows me' 	=> 'Windows ME',
	'open bsd'		=> 'OpenBSD',
	'sun os'		=> 'SunOS',
	'x11'			=> 'Linux',
	'linux'			=> 'Linux',
	'macintosh'		=> 'Macintosh',
	'mac_powerpc'	=> 'Macintosh',
	'qnx'			=> 'QNX',
	'beos'			=> 'BeOS',
);

// The order of this array should NOT be changed. Many browsers return
// multiple browser types so we want to identify the sub-type first.
$browsers = array(
	'Opera'				=> 'Opera',
	'MSIE'				=> 'Internet Explorer',
	'Internet Explorer'	=> 'Internet Explorer',
	'Shiira'			=> 'Shiira',
	'Firefox'			=> 'Firefox',
	'Chrome'			=> 'Chrome',
	'Chimera'			=> 'Chimera',
	'Phoenix'			=> 'Phoenix',
	'Firebird'			=> 'Firebird',
	'Netscape'			=> 'Netscape',
	'OmniWeb'			=> 'OmniWeb',
	'Safari'			=> 'Safari',
	'Mozilla'			=> 'Mozilla',
	'Konqueror'			=> 'Konqueror',
	'icab'				=> 'iCab',
	'Lynx'				=> 'Lynx',
	'Links'				=> 'Links',
	'hotjava'			=> 'HotJava',
	'amaya'				=> 'Amaya',
	'IBrowse'			=> 'IBrowse',
	'Avant'				=> 'Avant',
	'Fluid'				=> 'Fluid',
	'AIR'				=> 'AIR',
	'AOL'				=> 'AOL',
	'Camino'			=> 'Camino',
);

$mobiles = array(
					// legacy array, old values commented out
					'mobileexplorer'	=> 'Mobile Explorer',
//					'openwave'			=> 'Open Wave',
//					'opera mini'		=> 'Opera Mini',
//					'operamini'			=> 'Opera Mini',
//					'elaine'			=> 'Palm',
					'palmsource'		=> 'Palm',
//					'digital paths'		=> 'Palm',
//					'avantgo'			=> 'Avantgo',
//					'xiino'				=> 'Xiino',
					'palmscape'			=> 'Palmscape',
//					'nokia'				=> 'Nokia',
//					'ericsson'			=> 'Ericsson',
//					'blackberry'		=> 'BlackBerry',
//					'motorola'			=> 'Motorola'

					// Phones and Manufacturers
					'motorola'			=> "Motorola",
					'nokia'				=> "Nokia",
					'palm'				=> "Palm",
					'iphone'			=> "Apple iPhone",
					'ipod'				=> "Apple iPod Touch",
					'sony'				=> "Sony Ericsson",
					'ericsson'			=> "Sony Ericsson",
					'blackberry'		=> "BlackBerry",
					'cocoon'			=> "O2 Cocoon",
					'blazer'			=> "Treo",
					'lg'				=> "LG",
					'amoi'				=> "Amoi",
					'xda'				=> "XDA",
					'mda'				=> "MDA",
					'vario'				=> "Vario",
					'htc'				=> "HTC",
					'samsung'			=> "Samsung",
					'sharp'				=> "Sharp",
					'sie-'				=> "Siemens",
					'alcatel'			=> "Alcatel",
					'benq'				=> "BenQ",
					'ipaq'				=> "HP iPaq",
					'mot-'				=> "Motorola",
					'playstation portable' 	=> "PlayStation Portable",
					'hiptop'			=> "Danger Hiptop",
					'nec-'				=> "NEC",
					'panasonic'			=> "Panasonic",
					'philips'			=> "Philips",
					'sagem'				=> "Sagem",
					'sanyo'				=> "Sanyo",
					'spv'				=> "SPV",
					'zte'				=> "ZTE",
					'sendo'				=> "Sendo",

					// Operating Systems
					'symbian'				=> "Symbian",
					'SymbianOS'				=> "SymbianOS", 
					'elaine'				=> "Palm",
					'palm'					=> "Palm",
					'series60'				=> "Symbian S60",
					'windows ce'			=> "Windows CE",

					// Browsers
					'obigo'					=> "Obigo",
					'netfront'				=> "Netfront Browser",
					'openwave'				=> "Openwave Browser",
					'mobilexplorer'			=> "Mobile Explorer",
					'operamini'				=> "Opera Mini",
					'opera mini'			=> "Opera Mini",

					// Other
					'digital paths'			=> "Digital Paths",
					'avantgo'				=> "AvantGo",
					'xiino'					=> "Xiino",
					'novarra'				=> "Novarra Transcoder",
					'vodafone'				=> "Vodafone",
					'docomo'				=> "NTT DoCoMo",
					'o2'					=> "O2",

					// Fallback
					'mobile'				=> "Generic Mobile",
					'wireless' 				=> "Generic Mobile",
					'j2me'					=> "Generic Mobile",
					'midp'					=> "Generic Mobile",
					'cldc'					=> "Generic Mobile",
					'up.link'				=> "Generic Mobile",
					'up.browser'			=> "Generic Mobile",
					'smartphone'			=> "Generic Mobile",
					'cellphone'				=> "Generic Mobile"
				);

// There are hundreds of bots but these are the most common.
$robots = array(
					'googlebot'			=> 'Googlebot',
					'msnbot'			=> 'MSNBot',
					'slurp'				=> 'Inktomi Slurp',
					'yahoo'				=> 'Yahoo',
					'askjeeves'			=> 'AskJeeves',
					'fastcrawler'		=> 'FastCrawler',
					'infoseek'			=> 'InfoSeek Robot 1.0',
					'lycos'				=> 'Lycos',
					'google'			=> 'google',
);
/*
$extend_robots = array(
	"google", "bot", "yahoo", "spider", "archiver", "curl",
	"python", "nambu", "twitt", "perl", "sphere", "PEAR",
	"java", "wordpress", "radian", "crawl", "yandex", "eventbox",
	"monitor", "mechanize", "facebookexternal", "bingbot"
);*/
$extend_robots = array(
	'bingbot','Exabot','SeznamBot','Googlebot','MSNBot','ia_archiver',
	'YandexBot','findlinks','MJ12bot','OpenindexSpider','Ezooms','NaverBot',
	'Woko','Sosospider','AddThis.com','Blekkobot','MetaJobBot','CareerBot',
	'spbot','Wotbox','JikeSpider','IntegromeDB','Esribot','R6 bot','YodaoBot',
	'WBSearchBot','GrapeshotCrawler','magpie-crawler','ChangeDetection',
	'TinEye','Genieo Web filter','AhrefsBot','Sogou','Yahoo!','ShopWiki','SEOENGBot',
	'aiHitBot','proximic','Steeler','Butterfly','Spinn3r','woriobot','ShowyouBot','bitlybot',
	'Nuhk','Mail.Ru bot','UASlinkChecker','ZumBot','80legs','linkdex.com','CompSpyBot',
	'coccoc','Jyxobot','sistrix','Najdi.si','search.KumKie.com','Infohelfer','Baiduspider',
	'Thumbshots.ru','TurnitinBot','oBot','UnisterBot','Daumoa','AcoonBot','YoudaoBot',
	'SEOkicks-Robot','trendictionbot ','FlipboardProxy','Strokebot','HubSpot Connect',
	'Plukkie','BlogPulse','archive.org_bot','Yahoo! JAPAN','wsAnalyzer','NextGenSearchBot',
	'bot.wsowner.com','wscheck.com','BacklinkCrawler','Updownerbot','discoverybot','Qseero',
	'yacybot','Qualidator.com Bot','drupact','Aboundexbot','HuaweiSymantecSpider','YioopBot',
	'PagePeeker','HomeTags','Crawler4j','facebookplatform','IstellaBot','Browsershots',
	'Pixray-Seeker','psbot','SearchmetricsBot','Panscient web crawler','Nigma.ru','BDFetch',
	'ichiro','MeMoNewsBot','ProCogBot','netEstate Crawler','WillyBot','peerindex',
	'Job Roboter Spider','SemrushBot','MLBot','WebNL','Peepowbot','Semager','rogerbot',
	'Netseer','MIA Bot','Eurobot','DripfeedBot','webinatorbot','Whoismindbot','Bad-Neighborhood',
	'Hailoobot','bot-pge.chlooe.com','akula','MetamojiCrawler','thumbshots-de-Bot','Page2RSS',
	'EasyBib AutoCite','suggybot','NerdByNature.Bot','EventGuruBot','quickobot','iCjobs','FyberSpider',
	'gonzo','bixo','CCBot','Zookabot','bnf.fr_bot','UptimeRobot','Speedy','PaperLiBot','Influencebot',
	'MSRBOT','KeywordDensityRobot','VoilaBot','SpiderLing','heritrix','Ronzoobot','MojeekBot','RyzeCrawler',
	'ScoutJet','Twikle','webmastercoffee','SWEBot','Googlebot-Mobile','RADaR-Bot','Gigabot','DCPbot',
	'Castabot','LinkAider','Mail.Ru','percbotspider','WeSEE:Search','CatchBot','imbot','EdisterBot',
	'WASALive-Bot','Accelobot','FlightDeckReportsBot','PostPost','factbot','Setoozbot','biwec','SBSearch',
	'GarlikCrawler','Search17Bot','Lijit','MetaGeneratorCrawler','Robots_Tester','JUST-CRAWLER','Apercite',
	'pmoz.info ODP link checker','LemurWebCrawler','Covario-IDS','Holmes','RankurBot','DotBot',
	'AdsBot-Google','envolk','ptd-crawler','Ask Jeeves/Teoma','LexxeBot','adressendeutschland.de',
	'StackRambler','Abrave Spider','EvriNid','arachnode.net','CamontSpider','wikiwix-bot','Nymesis',
	'trendictionbot','Sitedomain-Bot','SEODat','SygolBot','UnwindFetchor','Snapbot','OpenCalaisSemanticProxy',
	'ZookaBot','CligooRobot','cityreview','nworm','AboutUsBot','Falconsbot','ICC-Crawler','Qirina Hurdler',
	'SBIder','TwengaBot','Dot TK - spider','EuripBot','ParchBot','Peew','AntBot','YRSpider','Urlfilebot (Urlbot)',
	'Gaisbot','WatchMouse','FacebookExternalHit','Tagoobot','Motoricerca-Robots.txt-Checker','WebWatch/Robot_txtChecker',
	'bixolabs','urlfan-bot','Vagabondo','StatoolsBot','page_verifier','SSLBot','SAI Crawler','DomainDB','LinkWalker',
	'WMCAI_robot','voyager','copyright sheriff','Ocelli','Twiceler','amibot','abby','NetResearchServer','VideoSurf_bot',
	'XML Sitemaps Generator','BlinkaCrawler','nodestackbot','Pompos','taptubot','BabalooSpider','Yaanb','Girafabot',
	'livedoor ScreenShot','eCairn-Grabber','FauBot','Toread-Crawler','Setoozbot ','MetaURI','L.webis','Web-sniffer',
	'FairShare','Ruky-Roboter','ThumbShots-Bot','BotOnParade','Amagit.COM','HatenaScreenshot','HolmesBot','dotSemantic',
	'Karneval-Bot','HostTracker.com','AportWorm','XmarksFetch','FeedFinder/bloggz.se','CorpusCrawler','Willow Internet Crawler',
	'OrgbyBot','GingerCrawler','pingdom.com_bot','Nutch','baypup','Linguee Bot','Mp3Bot','192.comAgent','Surphace Scout',
	'WikioFeedBot','Szukacz','DBLBot','Thumbnail.CZ robot','LinguaBot','GurujiBot','Charlotte','50.nu','SanszBot',
	'moba-crawler','HeartRails_Capture','SurveyBot','MnoGoSearch','smart.apnoti.com Robot','Topicbot','JadynAveBot',
	'OsObot','WebImages','WinWebBot','Scooter','Scarlett','GOFORITBOT','DKIMRepBot','Yanga','DNS-Digger-Explorer','Robozilla',
	'adidxbot','YowedoBot','botmobi','Fooooo_Web_Video_Crawl','UptimeDog','^Nail','Metaspinner/0.01','Touche','RSSMicro.com RSS/Atom Feed Robot',
	'SniffRSS','Kalooga','FeedCatBot','WebRankSpider','Flatland Industries Web Spider','DealGates Bot','Link Valet Online','Shelob',
	'Technoratibot','Flocke bot','FollowSite Bot','Visbot','parsijoo'
);
foreach ($extend_robots as $bot) $robots[$bot] = $bot;