var reviews = function(){
	return {
		'reviewer_id_autocomplete':function()
		{
			if(!$("#reviewer_id_autocomplete")[0]) return;
			$("#reviewer_id_autocomplete").change(
				function()
				{
					if($(this).val()=='') $("#reviewer_id").val('');
				}
			);
			$("#reviewer_id_autocomplete").autocomplete(
				site_url+'admin/ajax_listings/user_id_autocomplete/', 
				{
					width:$("#reviewer_id_autocomplete").width()+3,
					autoFill: false,
					max:50,
					formatItem: function(row) 
					{
						return row[0];
					},
					formatResult: function(row) 
					{

					}
				});
				$("#reviewer_id_autocomplete").result(function(event, data, formatted) {
					$("#reviewer_id").val('');
					if (data)
					{
						$("#reviewer_id").val(data[1]);
					}
				}); 
		},
		'listing_id_autocomplete':function()
		{
			if(!$("#listing_id_autocomplete")[0]) return;
			$("#listin_id_autocomplete").change(
				function()
				{
					if($(this).val()=='') $("#listing_id").val('');
				}
			);
			$("#listing_id_autocomplete").autocomplete(
				site_url+'admin/ajax_listings/listing_id_autocomplete/', 
				{
					width:$("#listing_id_autocomplete").width()+3,
					autoFill: false,
					max:50,
					formatItem: function(row) 
					{
						return row[0];
					},
					formatResult: function(row) 
					{

					}
				});
				$("#listing_id_autocomplete").result(function(event, data, formatted) {
					$("#listing_id").val('');
					if (data)
					{
						$("#listing_id").val(data[1]);
					}
				}); 
		},
		'arrival_date':function()
		{
			var today = new Date();
			var $this = this;
			var check_send_date = function()
			{
				if($("#arrival_date").val() && ($("#arrival_date").val()!='0000-00-00 00:00:00')) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#arrival_date").val());

				}
				else 
				{
					return today;
				}
			}
			var selected = check_send_date();
			
			
			$("#arrival_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#arrival_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					
				}
			}).datepicker('setDate',selected);
		}
	}
}();

$(document).ready(
	function()
	{
		reviews.reviewer_id_autocomplete();
		reviews.listing_id_autocomplete();
		reviews.arrival_date();
		
		$(document).on('click',"#quick_edit_user",
		function(e)
		{
			
			e.preventDefault();
			var user_id = $("#reviewer_id").val();
			var $this = $(this);
			if(user_id!='')
			{
				$.colorbox(
				{
					width:"80%",
					height:"99%", 
					iframe:true,
					href:$this.attr('href')+user_id,
					onClosed:function(){},
					onComplete:function(){}
				}
				);
			}
		}
	);
	$("#edit_user").click(
		function(e)
		{
			
			e.preventDefault();
			var user_id = $("#reviewer_id").val();
			var $this = $(this);
			if(user_id!='')
			{
				
				var href = $this.attr('href')+user_id;
				window.open(href);
			}
		}
	);
	}
);
