<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
{literal}
<style>
body {
  background-color: #ffffff;
  color: #000000;
  margin: 0px;
  padding-top: 0px;
  font-size: 12px;
  padding:3em 2em 2em 2em;
}

h1 {
  font-size: 18px;
  color: #000000;
}

h2 {
  font-size: 14px;
  color: #000000;
}

h3 { 
  font-size: 13px;
  color: #999999;
}

h4 { 
  font-size: 12px;
  color: #999999;
}

.top_info { font-size:11px; }
.split { height:10px;width:100%; }


/* Tables
-----------------------------------------------------------------------*/
table {
  empty-cells: show;
}
.data th { padding:4px;background:#f0f0f0;font-weight:bold;text-align:left;border-bottom:1px solid #cccccc; }
.data td { padding:4px;border-bottom:1px solid #cccccc; }
.data td.no_border { padding:4px;border-bottom:none; }
.data td.total {border-bottom:none;border:2px solid #000000; }
.data td.pretotal { background:#f0f0f0;border-bottom:1px solid #cccccc; }

</style>
{/literal}
</head>
<body style="font-family:'dejavu sans';">
<img style="float:right;" src="{base_url}public/themes/{$theme}/images/logo.png" />
<div class="split">&nbsp;</div>

<h1>{translate text='transaction'}#: {$booking_request_id} / {translate text='booking'}#: {$booking_id}</h1>
<h2>{translate text='status'}: {translate text="payment_status_$payment_status"}</h2>
<h2>{translate text='ctime'}: {format_field col='ctime' value=$ctime}</h2>
<h2>{translate text='listing'}: {$booking_info.listing_link} </h2>
<h3>{translate text='owner_info'}: </h3>
<table width="100%">
	<tr>
		<td>
			<p>
				<strong>{translate text='name'}:</strong> {$booking_info.user_info->name}<br/>
				<strong>{translate text='email'}:</strong> {$booking_info.user_info->email}<br />
				<strong>{translate text='phone'}:</strong> {$booking_info.user_info->phone}<br />
				<strong>{translate text='address'}:</strong> {$booking_info.user_info->address} 
				<strong>{translate text='zip_code'}:</strong> {$booking_info.user_info->zip}<br />
				<strong>{translate text='country'}:</strong> {$booking_info.user_info->country} / <strong>{translate text='location'}:</strong> {$booking_info.user_info->location}
			</p>
		</td>
	</tr>
</table>
<h3>{translate text='booking'}:</h3>
<table width="100%">
	<tr>
		<td>
			<p>
				<strong>{translate text='name'}:</strong> {$booking_info.name}<br/>
				<strong>{translate text='email'}:</strong> {$booking_info.email}<br />
				<strong>{translate text='phone'}:</strong> {$booking_info.phone}<br />
				<strong>{translate text='address'}:</strong> {$booking_info.address}<br />
				<strong>{translate text='zip_code'}:</strong> {$booking_info.zip}<br />
				<strong>{translate text='country'}:</strong> {$booking_info.country} / <strong>{translate text='location'}:</strong> {$booking_info.location}
			</p>
		</td>
	</tr>
</table>

<table width="100%" class="data">
	<tr>
		<th scope="col" width="40%">
			<strong>{translate text='arrival'} / {translate text='departure'}</strong>
		</th>
		<td width="60%">
			{format_field col='date_format' value=$booking_info.start_date} / {format_field col='date_format' value=$booking_info.end_date} ( {$booking_info.number_nights} {translate text='nights'} )
		</td>
	</tr>
	<tr>
		<th scope="col">
			<strong>{translate text='guests'}</strong>
		</th>
		<td>
			{$booking_info.number_adults} {translate text='adults'}, {$booking_info.number_children} {translate text='children'}
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='rental_price'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{amount_plus_taxes amount=$booking_info.rental_price}{$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='extra_persons_price'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{amount_plus_taxes amount=$booking_info.extra_persons_price}{$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='addons_price'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{amount_plus_taxes amount=$booking_info.total_addons}{$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='discount'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{format_field col='number' decimals=2 value=$booking_info.total_discount} {$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='subtotal'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{amount_plus_taxes amount=$booking_info.subtotal}{$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='deposit'}</td>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{format_field col='number' decimals=2 value=$booking_info.deposit}{$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<th scope="col">{translate text='booking_fee'}</th>
		<td>
			<strong>{$booking_info.currency.symbol_lft}{format_field col='number' decimals=2 value=$booking_info.booking_fee} {$booking_info.currency.symbol_rgt}</strong>
		</td>
	</tr>
	<tr>
		<td class="no_border">&nbsp;</td>
		<td class="no_border">
			<h2>{translate text='total_price'}: <strong>{$booking_info.currency.symbol_lft} {format_field col='number' decimals=2 value=$booking_info.total} {$booking_info.currency.symbol_rgt}</strong></h2>
		</td>
	</tr>
	<tr>
		<td  class="no_border">&nbsp;</td>
		<td class="total">
			<h2>{translate text='total_price_due_at_check_in'}: <strong>{$booking_info.currency.symbol_lft}{format_field col='number' decimals=2 value=$booking_info.check_in_price}{$booking_info.currency.symbol_rgt}</strong></h2>
		</td>
	</tr>
</table>
</body>
</html>
