<!--start form-->
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="title"}</label>{$action_object->check_required('title')}
				</div>
				<div class="input_box">
					<input type="text" class="text" id="title" name="title" value="{$action_object->get_value('title')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="currency_code"}</label>{$action_object->check_required('currency_code')}
					<a href="#" title="{translate text='currency_code_info'}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="currency_code" name="currency_code" value="{$action_object->get_value('currency_code')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="symbol_lft"}</label>{$action_object->check_required('symbol_lft')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="symbol_lft" name="symbol_lft" value="{$action_object->get_value('symbol_lft')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="symbol_rgt"}</label>{$action_object->check_required('symbol_rgt')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="symbol_rgt" name="symbol_rgt" value="{$action_object->get_value('symbol_rgt')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="currency_rate"}</label>{$action_object->check_required('currency_rate')}
					<a href="#" class="tooltip tooltip_info" title="{translate text='currency_rate_info'}">?</a>
				</div>
				<div class="input_box">
					<input type="text" class="short_text" id="currency_rate" name="currency_rate" value="{$action_object->get_value('currency_rate')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="is_default"}</label>{$action_object->check_required('is_default')}
				</div>
				<div class="input_box">
					<input type="radio" name="is_default" value="1" {if $action_object->get_value('is_default')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="is_default" value="0" {if $action_object->get_value('is_default')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='currencies_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='currencies_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->