{load_bo bo='bo_admin_dashboard' action='overview' assign='action_object'}
{load_bo bo='bo_admin_dashboard' action='payment_chart_data'}
{load_bo bo='bo_admin_dashboard' action='listings_chart_data'}
{load_bo bo='bo_admin_dashboard' action='bookings_chart_data'}
<div style="position:relative;">
<table style="width:99%">
<tr>
	<td style="width:50%;vertical-align:top">
		<div class="dashboard_box_large">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='payments'}</h3>
			</div>
			<div id="payment_chart" class="dashboard_chart"></div>
			{literal}
			<script type="text/javascript">
				$(document).ready(
					function(){
						
						var chart_data = { 
								data_received:{/literal}{$action_object->m_chart_data.payment.received_str|default:'[]'}{literal},
								label_received: '{/literal}{translate text='added_credits'}{literal}',
								data_sent:{/literal}{$action_object->m_chart_data.payment.sent_str|default:'[]'}{literal},
								label_sent: '{/literal}{translate text='spent_credits'}{literal}'
						};
						dashboard.payment_chart(chart_data);
					}
				);
			</script>
			{/literal}
			<div class="clear"></div>
			<div class="padding_05em clearfix">
				<div class="dashboard_box">
					<a href="{site_url uri="`$action_object->m_dir`payment_requests"}">
						<span class="header">{translate text='added_credits'}</span>
						<span class="number">{convert_credits amount="`$action_object->m_overview->total_added_credits`"}</span>
					</a>
				</div>
				<div class="dashboard_box">
					<a href="{site_url uri="`$action_object->m_dir`payment_requests"}">
						<span class="header">{translate text='spent_credits'}</span>
						<span class="number">{convert_credits amount="`$action_object->m_overview->total_spent_credits`"}</span>
					</a>
				</div>
				<div class="dashboard_box">
					<a href="{site_url uri="`$action_object->m_dir`payment_requests/view/q:payment_status:send"}">
						<span class="header">{translate text='awaiting_moderation'}</span>
						<span class="number {if $action_object->m_overview->total_awaiting_moderation>0}alert{/if}">{format_field col='number' value="`$action_object->m_overview->total_awaiting_moderation`" default="0"}</span>
					</a>
				</div>
			</div>
		</div>
		<div class="dashboard_box_large">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='inquiries'}</h3>
			</div>
			<ul class="simple_stats_ul">
				<li>
					<a href="{site_url uri="`$action_object->m_dir`inquiries"}" class="clearfix">
						<span class="label">{translate text='inquiries_total'}</span>
						<span class="number">{format_field col='number' value="`$action_object->m_overview->total_inquiries`"}</span>
					</a>
				</li>
				<li>
					<a href="{site_url uri="`$action_object->m_dir`inquiries/view/q_field:inquiry_status/q:unread}" class="clearfix">
						<span class="label">{translate text='inquiries_awaiting_moderation'}</span>
						<span class="number {if $action_object->m_overview->total_pending_inquiries>0}alert{/if}">{format_field col='number' value="`$action_object->m_overview->total_pending_inquiries`"}</span>
					</a>
				</li>
			</ul>
		</div>
		<div class="dashboard_box_large">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='reviews'}</h3>
			</div>
			<ul class="simple_stats_ul">
				<li>
					<a href="{site_url uri="`$action_object->m_dir`reviews"}" class="clearfix">
						<span class="label">{translate text='reviews_total'}</span>
						<span class="number">{format_field col='number' value="`$action_object->m_overview->total_reviews`"}</span>
					</a>
				</li>
				<li>
					<a href="{site_url uri="`$action_object->m_dir`reviews/view/q:active:2"}" class="clearfix">
						<span class="label">{translate text='reviews_awaiting_moderation'}</span>
						<span class="number {if $action_object->m_overview->total_pending_reviews>0}alert{/if}">{format_field col='number' value="`$action_object->m_overview->total_pending_reviews`"}</span>
					</a>
				</li>
			</ul>
		</div>
	</td>
	<td style="width:50%;vertical-align:top">
		<!--start bookings-->
		<div class="dashboard_box_large">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='bookings'}</h3>
				<div class="right">
					<ul class="dashboard_box_tabs" id="booking_tabs">
						<li>
							<a href="#bookings_this_month">
								<span>{translate text='this_month'}</span>
							</a>
						</li>
						<li>
							<a href="#bookings_this_year">
								<span>{translate text='this_year'}</span>
							</a>
						</li>
					</ul>
				</div>
			</div>
			<div class="booking_box_panes dashboard_box_panes">
				<!--bookings this month pane-->
				<div class="pane">
					<div id="bookings_month_chart" class="dashboard_chart"></div>
					{literal}
					<script type="text/javascript">
						function draw_bookings_month_chart()
						{
							var bookings_month_chart_data = { 
								data_confirmed:{/literal}{$action_object->m_chart_data.bookings_month.confirmed_str|default:'[]'}{literal},
								label_confirmed: '{/literal}{translate text='confirmed'}{literal}',
								data_total:{/literal}{$action_object->m_chart_data.bookings_month.total_str|default:'[]'}{literal},
								label_total: '{/literal}{translate text='total'}{literal}',
							};
							dashboard.bookings_month_chart(bookings_month_chart_data);
						}
					</script>
					{/literal}
					<div class="clear" style="height:20px"></div>
				</div>
				<!--listings this year pane-->
				<div class="pane">
					<div id="bookings_year_chart" class="dashboard_chart"></div>
					{literal}
					<script type="text/javascript">
						function draw_bookings_year_chart()
						{
						
							var bookings_year_chart_data = { 
								data_confirmed:{/literal}{$action_object->m_chart_data.bookings_year.confirmed_str|default:'[]'}{literal},
								label_confirmed: '{/literal}{translate text='confirmed'}{literal}',
								data_total:{/literal}{$action_object->m_chart_data.bookings_year.total_str|default:'[]'}{literal},
								label_total: '{/literal}{translate text='total'}{literal}'
							};
							dashboard.bookings_year_chart(bookings_year_chart_data);
						}
					</script>
					{/literal}
					<div class="clear" style="height:20px"></div>
				</div>
			</div>
		</div>
		<!--end bookings-->
		
		<div class="dashboard_box_large">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='listings'}</h3>
				<div class="right">
					<ul class="dashboard_box_tabs" id="listing_tabs">
						<li>
							<a href="#listings_all_time">
								<span>{translate text='all_time'}</span>
							</a>
						</li>
						<li>
							<a href="#listings_this_month">
								<span>{translate text='this_month'}</span>
							</a>
						</li>
						<li>
							<a href="#listings_this_year">
								<span>{translate text='this_year'}</span>
							</a>
						</li>
					</ul>
				</div>
			</div>
			<div class="listing_box_panes dashboard_box_panes">
				<div class="pane">
					<ul class="simple_stats_ul">
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view"}" class="clearfix">
								<span class="label">{translate text="total_listings"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_listings`"}</span>
							</a>
						</li>
						<li style="display:none">
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:sale"}" class="clearfix">
								<span class="label">{translate text="for_sale"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_sale`"}</span>
							</a>
						</li>
						<li style="display:none">
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:rent"}" class="clearfix">
								<span class="label">{translate text="for_rent"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_rent`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:featured:1"}" class="clearfix">
								<span class="label">{translate text="featured"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_featured`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:highlight:1"}" class="clearfix">
								<span class="label">{translate text="highlight"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_highlight`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:status:active"}" class="clearfix">
								<span class="label">{translate text="active"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_active`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:status:inactive"}" class="clearfix">
								<span class="label">{translate text="inactive"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_inactive`"}</span>
							</a>
						</li>
						<li style="display:none">
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:status:sold"}" class="clearfix">
								<span class="label">{translate text="sold"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_sold`"}</span>
							</a>
						</li>
					</ul>
				</div>
				<!--listings this month pane-->
				<div class="pane">
					<ul class="simple_stats_ul">
						<li style="display:none">
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:sale"}" class="clearfix">
								<span class="label">{translate text="for_sale"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_sale_this_month`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:rent"}" class="clearfix">
								<span class="label">{translate text="total_listings"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_rent_this_month`"}</span>
							</a>
						</li>
					</ul>
					<div id="listings_month_chart" class="dashboard_chart"></div>
					{literal}
					<script type="text/javascript">
						function draw_listings_month_chart()
						{
							var listings_month_chart_data = { 
								data_for_sale:{/literal}{$action_object->m_chart_data.listings_month.for_sale_str|default:'[]'}{literal},
								label_for_sale: '{/literal}{translate text='for_sale'}{literal}',
								data_for_rent:{/literal}{$action_object->m_chart_data.listings_month.for_rent_str|default:'[]'}{literal},
								label_for_rent: '{/literal}{translate text='for_rent'}{literal}'
							};
							dashboard.listings_month_chart(listings_month_chart_data);
						}
					</script>
					{/literal}
					<div class="clear" style="height:20px"></div>
				</div>
				<!--listings this year pane-->
				<div class="pane">
					<ul class="simple_stats_ul">
						<li style="display:none">
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:sale"}" class="clearfix">
								<span class="label">{translate text="for_sale"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_sale_this_year`"}</span>
							</a>
						</li>
						<li>
							<a href="{site_url uri="`$action_object->m_dir`listings/view/q:type:rent"}" class="clearfix">
								<span class="label">{translate text="total_listings"}</span>
								<span class="number">{format_field col='number' value="`$action_object->m_overview->total_rent_this_year`"}</span>
							</a>
						</li>
					</ul>
					<div id="listings_year_chart" class="dashboard_chart"></div>
					{literal}
					<script type="text/javascript">
						function draw_listings_year_chart()
						{
						
							var listings_year_chart_data = { 
								data_for_sale:{/literal}{$action_object->m_chart_data.listings_year.for_sale_str|default:'[]'}{literal},
								label_for_sale: '{/literal}{translate text='for_sale'}{literal}',
								data_for_rent:{/literal}{$action_object->m_chart_data.listings_year.for_rent_str|default:'[]'}{literal},
								label_for_rent: '{/literal}{translate text='for_rent'}{literal}'
							};
							dashboard.listings_year_chart(listings_year_chart_data);
						}
					</script>
					{/literal}
					<div class="clear" style="height:20px"></div>
				</div>
			</div>
		</div>
		
		<div class="dashboard_box_large clearfix">
			<div class="clear"></div>
			<div class="head clearfix">
				<h3>{translate text='sms'}</h3>
			</div>
			{if $action_object->m_is_admin}
				<ul class="simple_stats_ul">
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_sms_sent'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_sms_sent`"}</span>
						</a>
					</li>
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_sms_remained'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_sms_remained`"}</span>
						</a>
					</li>
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='service_no_sms'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.service_no_sms`"}</span>
						</a>
					</li>
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_admin_sms_sent'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_user_sms_sent`"}</span>
						</a>
					</li>
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_admin_sms_remained'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_user_sms_remained`"}</span>
						</a>
					</li>
				</ul>
				<div class="clear"></div>
			{else}
				<ul class="simple_stats_ul">
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_user_sms_sent'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_user_sms_sent`"}</span>
						</a>
					</li>
					<li>
						<a href="#" class="clearfix">
							<span class="label">{translate text='now_user_sms_remained'}</span>
							<span class="number">{format_field col='number' value="`$action_object->m_sms_stats.now_user_sms_remained`"}</span>
						</a>
					</li>
				</ul>
			{/if}
		</div>
	</td>
</tr>
</table>
</div>
<div class="clear"></div>