<!--start form-->
<div class="basic_form">
	<div class="sub_subtabs_wrapper">
		<ul class="sub_subtabs">
			<li id="trigger_s_page"><a href="#">{translate text='page'}</a></li>
			<li id="trigger_s_link"><a href="#">{translate text='link'}</a></li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{include file="$theme/tpls/links/links_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="link_parent"}</label>{$action_object->check_required('link_parent_id')}
					<a href="#" title="{translate text='link_parent_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<select style="width:400px;" name="link_parent_id" id="link_parent_id" size="10">
						{foreach item=option from=$action_object->m_form_fields.link_parent_id.options}
							{$option}
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/links/links_slugs.tpl"}
			<li class="s_template_content">
				<div class="label_box">
					<label>{translate text="content"}&amp;{translate text="template"}</label>
					<a href="#" title="{translate text='content_template_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<div id="content_id_ajax" style="float:left;">
						<select name="content_id" id="content_id" style="width:300px">
							<option value="">{translate text="content_choose"}</option>
							{foreach item=label key=value from=$action_object->m_form_fields.content_id.options}
								<option value="{$value}" {if $action_object->m_form_fields.content_id.value==$value}selected="selected"{/if}>{$label}</option>
							{/foreach}
						</select>
					</div>
					<div style="float:left;line-height:18px;padding:0 0 0 .5em;">
						<strong><a id="edit_content" href="{site_url uri='admin/content/edit_wysiwyg/'}">{translate text='edit_content'}</a></strong> | <strong><a id="create_content" href="{site_url uri='admin/content/add_wysiwyg'}">{translate text='create_content'}</a></strong>
					</div>
					<div class="clear"></div>
					<strong style="font-size:14px;margin-left:30px;"> + </strong>
					<div class="clear"></div>
					<select name="template" id="template" size="10" style="width:300px;">
						<option value="">{translate text="template_choose}</option>
						{foreach item=templates key=dir from=$action_object->m_form_fields.template.options}
							<optgroup label="{$dir}">
								{foreach item=tpl from=$templates.tpls}
									<option value="{$dir}/tpls/{$tpl}" {if $action_object->m_form_fields.template.value=="$dir/tpls/$tpl"}selected="selected"{/if}>{$tpl}</option>
								{/foreach}
							</optgroup>
						{/foreach} 
					</select>
				</div>
			</li>
			<li class="s_external_link">
				<div class="label_box">
					<label>{translate text="external_link"}</label>{$action_object->check_required('external_link')}
				</div>
				<div class="input_box">
					<input class="text" type="text" name="external_link" id="external_link" value="{$action_object->get_value('external_link')}" />
				</div>
			</li>
			<li class="s_internal_link">
				<div class="label_box">
					<label>{translate text="internal_link"}</label>{$action_object->check_required('internal_link')}
					<a href="#" title="{translate text='internal_link_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input class="text" type="text" name="internal_link" id="internal_link" value="{$action_object->get_value('internal_link')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="extra_options"}</label>{$action_object->check_required('extra_options')}
					<a href="#" title="{translate text='extra_options_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<textarea name="extra_options" id="extra_options" rows="3">{$action_object->get_value('extra_options')}</textarea>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_follow"}</label>{$action_object->check_required('no_follow')}
				</div>
				<div class="input_box">
					<input type="radio" name="no_follow" value="1" {if $action_object->get_value('no_follow')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="no_follow" value="0" {if $action_object->get_value('no_follow')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="no_index"}</label>{$action_object->check_required('no_index')}
				</div>
				<div class="input_box">
					<input type="radio" name="no_index" value="1" {if $action_object->get_value('no_index')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="no_index" value="0" {if $action_object->get_value('no_index')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="in_sitemap"}</label>{$action_object->check_required('in_sitemap')}
				</div>
				<div class="input_box">
					<input type="radio" name="in_sitemap" value="1" {if $action_object->get_value('in_sitemap')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="in_sitemap" value="0" {if $action_object->get_value('in_sitemap')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li class="s_is_homepage">
				<div class="label_box">
					<label>{translate text="is_homepage"}</label>{$action_object->check_required('is_homepage')}
				</div>
				<div class="input_box">
					<input type="radio" name="is_homepage" value="1" {if $action_object->get_value('is_homepage')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="is_homepage" value="0" {if $action_object->get_value('is_homepage')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="hierarchy"}</label>{$action_object->check_required('hierarchy')}
				</div>
				<div class="input_box">
					<input class="short_text" type="text" name="hierarchy" id="hierarchy" value="{$action_object->get_value('hierarchy')}" />
				</div>
			</li>
			{include file="$theme/tpls/links/breadcrumbs.tpl"}
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box s_seo">
			<li class="form_box_section">
				<a href="#seo" class="minus">{translate text='seo'}</a>
				<ul id="seo">
					<li class="form_box_desp">&nbsp;</li>
					{include file="$theme/tpls/links/links_seo_title.tpl"}
					{include file="$theme/tpls/links/links_seo_description.tpl"}
					{include file="$theme/tpls/links/links_seo_keywords.tpl"}
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='links_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='links_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->