<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	{include file="$theme/tpls/listings/_options_bar_submenu_listings.tpl"}
	<form class="autosave" id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			
			{if $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text="user"}</label>{$action_object->check_required('user_id')}
				</div>
				<div class="input_box">
					<input type="hidden" name="user_id" id="user_id" value="{$action_object->m_form_fields.user_id.value}" />
					<input type="text" class="text" name="user_id_autocomplete" id="user_id_autocomplete" value="{$action_object->m_form_fields.user_id_autocomplete.value}" placeholder="{translate text="user_id_or_username_or_email_or_name"}" />
					<a href="{site_url uri='admin/users/edit_wysiwyg/'}" id="quick_edit_user">{translate text='quick_edit'}</a> | <a target="_blank" href="{site_url uri='admin/users/edit/'}" id="edit_user">{translate text='edit'}</a>
				</div>
			</li>
			{else}
				<input type="hidden" name="user_id" id="user_id" value="{$action_object->m_user_id}" />
			{/if}
			
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="listing_main_type"}</label>{$action_object->check_required('listing_main_type')}
				</div>
				<div class="input_box">
					{foreach key=val item=label from=$action_object->m_form_fields.listing_main_type.options}
						<input id="r_listing_main_type_{$val}" type="radio" name="listing_main_type" value="{$val}" {if $action_object->get_value('listing_main_type')==$val}checked="checked"{/if}> <strong><label for="r_listing_main_type_{$val}">{$label}</label></strong> 
					{/foreach}
				</div>
			</li>
			{config key='use_stars' assign='use_stars'}
			<li {if !$use_stars}style="display:none"{/if}>
				<div class="label_box">
					<label>{translate text="stars"}</label>{$action_object->check_required('stars')}
				</div>
				<div class="input_box">
					<select name="stars" id="stars">
						{foreach item=label key=val key=val from=$action_object->m_form_fields.stars.options}
						<option value="{$val}" {if $action_object->get_value('stars')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="listing_type"}</label>{$action_object->check_required('listing_type_id')}
				</div>
				<div class="input_box">
					<select name="listing_type_id" id="listing_type_id">
						<option value="">...</option>
						{foreach item=option from=$action_object->m_form_fields.listing_type_id.options}
							{$option}
						{/foreach}
					</select>
				</div>
			</li>
			{include file="$theme/tpls/listings/listings_title.tpl"}
			{include file="$theme/tpls/listings/listings_summary.tpl"}
			{include file="$theme/tpls/listings/listings_description.tpl"}
			{include file="$theme/tpls/listings/listings_keywords.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="multiple_units"}</label>{$action_object->check_required('multiple_units')}
				</div>
				<div class="input_box">
					<select name="multiple_units" id="multiple_units">
						{foreach item=label key=val from=$action_object->m_form_fields.multiple_units.options}
						<option value="{$val}" {if $val==$action_object->m_form_fields.multiple_units.value}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select> <strong style="color:#c00">{translate text='multiple_units_warning'}</strong>
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="number_rooms"}</label>{$action_object->check_required('no_rooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_rooms" id="no_rooms" value="{$action_object->get_value('no_rooms')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="number_bedrooms"}</label>{$action_object->check_required('no_bedrooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_bedrooms" id="no_bedrooms" value="{$action_object->get_value('no_bedrooms')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="max_guests"}</label>{$action_object->check_required('max_guests')}
				</div>
				<div class="input_box">
					 <input type="text" class="short_text" name="max_guests" id="max_guests" value="{$action_object->get_value('max_guests')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="max_adults"} /{translate text="max_children}</label>
				</div>
				<div class="input_box">
					 <input type="text" class="short_text" name="max_adults" id="max_adults" value="{$action_object->get_value('max_adults')}" placeholder="{translate text='max_adults'}" /><strong>{translate text='adults'}</strong>{$action_object->check_required('max_adults')}   <strong>/</strong>
					 <input type="text" class="short_text" name="max_children" id="max_children" value="{$action_object->get_value('max_children')}" placeholder="{translate text='max_children'}" />{$action_object->check_required('max_children')} <strong>{translate text='children'}</strong>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="number_bathrooms"}</label>{$action_object->check_required('no_bathrooms')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="no_bathrooms" id="no_bathrooms" value="{$action_object->get_value('no_bathrooms')}" /> / 
					<strong>{translate text='number_half_bathrooms'}: </strong><input type="text" class="short_text" name="no_half_bathrooms" id="no_half_bathrooms" value="{$action_object->get_value('no_half_bathrooms')}" />
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="price"}</label>{$action_object->check_required('price')}
				</div>
				<div class="input_box">
					<div class="left">
						<div class="left">
							<input type="text" class="short_text" name="price" id="price" value="{$action_object->get_value('price')}" />
							<select name="currency_id" id="currency_id">
								{foreach item=label key=val from=$action_object->m_form_fields.currency_id.options}
								<option value="{$val}" {if $action_object->get_value('currency_id')==$val}selected="selected"{/if}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</div>
					<div id="rental_price_term_box" class="left">
						<strong> / </strong>
						<select name="rental_price_term" id="rental_price_term">
							<option value="">...</option>
							{foreach item=label key=val from=$action_object->m_form_fields.rental_price_term.options}
							<option value="{$val}" {if $action_object->get_value('rental_price_term')==$val}selected="selected"{/if}>{$label}</option>
							{/foreach}
						</select>
					</div>
					<div class="clear"></div>
					<br />
					<input type="radio" name="price_status" value="1" {if $action_object->get_value('price_status')==1}checked="checked"{/if} /><strong>{translate text='price_negotiating_possible'}</strong>
					<input type="radio" name="price_status" value="0" {if $action_object->get_value('price_status')==0}checked="checked"{/if} /><strong>{translate text='price_negotiating_not_possible'}</strong>
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="price_per_square"}</label>{$action_object->check_required('price_per_square')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="price_per_square" id="price_per_square" value="{$action_object->get_value('price_per_square')}" /> <span class="currency"></span> <strong> / </strong>
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="upfront_payment"}</label>{$action_object->check_required('upfront_payment')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="upfront_payment" id="upfront_payment" value="{$action_object->get_value('upfront_payment')}" /> <span class="currency"></span>
				</div>
			</li>
			
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="available_from"}</label>{$action_object->check_required('available_from')}
				</div>
				<div class="input_box">
					<input type="hidden" class="short_text" name="available_from" id="available_from" value="{$action_object->get_value('available_from')}" />
					<input type="text" class="short_text" name="available_from_picker" id="available_from_picker" />
				</div>
			</li>
			<li style="display:none">
				<div class="label_box">
					<label>{translate text="open_house"}</label>
				</div>
				<div class="input_box">
					<input type="hidden" class="short_text" name="open_house_date" id="open_house_date" value="{$action_object->get_value('open_house_date')}" />
					<input type="text" class="short_text" name="open_house_date_picker" id="open_house_date_picker" /> 
					<strong> {translate text='from'}: </strong><input type="text" class="short_text" name="open_house_hour_from" id="open_house_hour_from" value="{$action_object->get_value('open_house_hour_from')|default:'08:00'}" />
					<strong> {translate text='till'}: </strong><input type="text" class="short_text" name="open_house_hour_to" id="open_house_hour_to" value="{$action_object->get_value('open_house_hour_to')|default:'09:00'}" /> <a href="#" id="clear_open_house"><strong>&times;</strong></a>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="total_square"}</label>{$action_object->check_required('total_square')}
				</div>
				<div class="input_box">
					<input type="text" class="short_text" name="total_square" id="total_square" value="{$action_object->get_value('total_square')}" />
					<select name="square_metrics" id="square_metrics">
						{foreach item=label key=val from=$action_object->m_form_fields.square_metrics.options}
							<option value="{$val}" {if $action_object->get_value('square_metrics')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="listing_status"}</label>{$action_object->check_required('listing_status')}
				</div>
				<div class="input_box">
					<select name="listing_status" id="listing_status">
						{foreach item=label key=val from=$action_object->m_form_fields.listing_status.options}
						<option value="{$val}" {if $action_object->get_value('listing_status')==$val}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		
		{if $action_object->m_form_name=='listings_edit'}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text='save'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
		
		<!--start listing location section-->
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#location" class="minus">{translate text='listing_location'}</a>
				<ul id="location">
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="label_box_map">
						
							<input type="hidden" name="location_id" id="location_id" value="{$action_object->get_value('location_id')}" />
							<label>{translate text='location_choose'} {$action_object->check_required('location_id')} <a href="#" title="{translate text='location_info}" class="tooltip tooltip_info">?</a></label> 
							<div id="location_box">
								<select style="width:200px;" class="location_picker" name="location_1" id="location_1">
									<option value="">{$action_object->m_form_fields.location_1.label}</option>
									{if isset($action_object->m_form_fields.location_1.options)}
									{foreach item=label key=val from=$action_object->m_form_fields.location_1.options}
										<option value="{$val}" {if $action_object->m_form_fields.location_1.value==$val}selected="selected"{/if}>{$label}</option>
									{/foreach}
									{/if}
								</select>
								<div class="clear" style="height:3px;"></div>
								{foreach item=label key=level from=$action_object->m_form_fields.location_id.params.levels}
									{if $level>=2 && $label}
										{assign var='temp' value="location_$level"}
										<div id="l_{$level}">
											<select style="width:200px;" class="location_picker" name="location_{$level}" id="location_{$level}" {if !$action_object->m_form_fields.$temp.value}disabled="disabled"{/if}>
												<option value="">{translate text="choose_$label"}</option>
												{if isset($action_object->m_form_fields.$temp.options)}
													{foreach item=label key=val from=$action_object->m_form_fields.$temp.options}
														<option value="{$val}" {if $action_object->m_form_fields.$temp.value==$val}selected="selected"{/if}>{$label}</option>
													{/foreach}
												{/if}
											</select>
										</div>
										<div class="clear" style="height:3px;"></div>
									{/if}
								{/foreach}
							</div>
							
							<label>{translate text='lat'} :</label>
							<div id="lat_box">
								<input type="text" style="width:200px" id="lat" name="lat" value="{$action_object->m_form_fields.lat.value}" />
							</div>
							<div class="clear" style="height:5px;"></div>
								
							<label>{translate text='lng'} :</label>
							<div id="lng_box">
								<input type="text" style="width:200px" id="lng" name="lng" value="{$action_object->m_form_fields.lng.value}" />
							</div>
							<div class="clear" style="height:5px;"></div>
								
							<label>{translate text='zoom'} :</label>
							<div id="zoom_box">
								<input type="text" class="short_text" id="zoom" name="zoom" value="{$action_object->m_form_fields.zoom.value}" />
							</div>
							<div class="clear" style="height:10px;"></div>
							
							<div class="clear" style="height:20px;border-top:1px solid #cdcdcd;"></div>
							
							<label>{translate text='location_search'} : <a href="#" title="{translate text='location_search_info}" class="tooltip tooltip_info">?</a></label>
							<input type="text" style="width:240px;" name="search_address" id="search_address" />
							
							<center>	
								<span class="btn_grey">
									<span>
										<span>{translate text="search"}</span>
										<input type="button" value="go" name="search_go" id="search_go" />
									</span>
								</span>
							</center>
							<label>{translate text='search_results'} :</label>
							<input type="hidden" name="no_results_text" id="no_results_text" value="{translate text='no_results'}" />
							<div class="clear" style="height:5px;"></div>
							<select style="width:240px;" name="search_results" id="search_results" size="5">
								<option value="">{translate text="no_results"}
							</select>
							<br />
							<em>{translate text='click_on_results_to_update_lat_lng'}</em>
							<div class="clear"></div>
							
						</div>
						<div class="input_box" style="margin-left:260px;">
							<div class="gmap_box">
								<div class="gmap" id="google_map" style="width:100%;height:520px;"></div>
							</div>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="address"}</label>{$action_object->check_required('address')}
						</div>
						<div class="input_box">
							<textarea name="address" id="address">{$action_object->get_value('address')}</textarea>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="zip_code"}</label>{$action_object->check_required('zip_code')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="zip_code" id="zip_code" value="{$action_object->get_value('zip_code')}" />
						</div>
					</li>
					{include file="$theme/tpls/listings/listings_neighborhood_description.tpl"}
					{include file="$theme/tpls/listings/listings_directions.tpl"}
					<li>
						<div class="label_box">
							<label>&nbsp;</label>
						</div>
						<div class="input_box">
							<strong>{translate text='car_essential'}</strong> 
							<input type="radio" name="car_essential" value="0" {if $action_object->get_value('car_essential')==0}checked="checked"{/if} /> {translate text='no'}
							<input type="radio" name="car_essential" value="1" {if $action_object->get_value('car_essential')==1}checked="checked"{/if} /> {translate text='yes'}
						</div>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<!--end listing location section-->
		
		{if $action_object->m_form_name=='listings_edit'}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text='save'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
		
		{include file="$theme/tpls/listings/listings_distances.tpl"}
		
		{if $action_object->m_form_name=='listings_edit'}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text='save'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
		
		<!-- start listing details -->
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#details" class="minus">{translate text='listing_details'}</a>
				<ul id="details">
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="label_box">
							<label>{translate text="view"}</label>{$action_object->check_required('view_type')}
						</div>
						<div class="input_box">
							<ul class="cb_options_list_short" id="cb_view_type">
								{foreach item=conf key=value from=$action_object->m_form_fields.view_type.options}
									<li><input type="checkbox" name="view_type_{$value}" id="view_type_{$value}" value="{$value}" {if $conf.value==$value}checked="checked"{/if} /> <strong>{$conf.label}</strong></li>
								{foreachelse}
									{if $action_object->m_is_admin}
									<li><a href="{site_url uri='admin/view_types'}">{translate text='view_types_view'}</a></li>
									{else}
									<li><strong>{translate text='n.a'}</strong></li>
									{/if}
								{/foreach}
							</ul>
							<div class="clear"></div>
							<a href="#" onclick="listings_edit.check_all('cb_view_type');return false;">{translate text='check_all'}</a> | <a href="#" onclick="listings_edit.uncheck_all('cb_view_type');return false;">{translate text='uncheck_all'}</a>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="holiday_type"}</label>{$action_object->check_required('holiday_type')}
						</div>
						<div class="input_box">
							<ul class="cb_options_list_short" id="cb_holiday_type">
								{foreach item=conf key=value from=$action_object->m_form_fields.holiday_type.options}
									<li><input type="checkbox" name="holiday_type_{$value}" id="holiday_type_{$value}" value="{$value}" {if $conf.value==$value}checked="checked"{/if} /> <strong>{$conf.label}</strong></li>
								{foreachelse}
									{if $action_object->m_is_admin}
									<li><a href="{site_url uri='admin/holiday_types'}">{translate text='holiday_types_view'}</a></li>
									{else}
									<li><strong>{translate text='n.a'}</strong></li>
									{/if}
								{/foreach}
							</ul>
							<div class="clear"></div>
							<a href="#" onclick="listings_edit.check_all('cb_holiday_type');return false;">{translate text='check_all'}</a> | <a href="#" onclick="listings_edit.uncheck_all('cb_holiday_type');return false;">{translate text='uncheck_all'}</a>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="board"}</label>{$action_object->check_required('board')}
						</div>
						<div class="input_box">
							<select name="board[]" id="board" multiple size="5">
								{foreach item=label key=val from=$action_object->m_form_fields.board.options}
									<option value="{$val}" {foreach item=post_val from=$action_object->m_form_fields.board.values}{if $post_val==$val}selected="selected"{/if}{/foreach}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text='bedroom_options'}</label>
						</div>
						<div class="input_box">
							<ul class="a_options_list_short">
								{foreach item=conf key=option from=$action_object->m_form_fields.bedroom_options.options}
								<li>
									<strong>{$conf.label}: </strong><br />
									<input type="text" class="short_text" value="{$conf.value}" id="bedroomoption_{$option}" name="bedroomoption_{$option}"  />
								</li>
								{foreachelse}
									{if $action_object->m_is_admin}
									<li><a href="{site_url uri='admin/bedroom_options'}">{translate text='bedroom_options_view'}</a></li>
									{else}
									<li><strong>{translate text='n.a'}</strong></li>
									{/if}
								{/foreach}
							</ul>
							<div class="clear"></div>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="bathroom_options"}</label>
						</div>
						<div class="input_box">
							<ul class="a_options_list_short">
								{foreach item=conf key=option from=$action_object->m_form_fields.bathroom_options.options}
								<li>
									<strong>{$conf.label}: </strong><br />
									{if $conf.options}
									<select name="bathroomoption_{$option}" name="bathroomoption_{$option}">
										<option value="">...</option>
										{foreach item=label key=val from=$conf.options}
											<option value="{$val}" {if $conf.value==$val}selected="selected"{/if}>{$label}</option>
										{/foreach}
									</select>
									{else}
										<input type="text" class="short_text" value="{$conf.value}" id="bathroomoption_{$option}" name="bathroomoption_{$option}"  />
									{/if}
								</li>
								{foreachelse}
									{if $action_object->m_is_admin}
									<li><a href="{site_url uri='admin/bathroom_options'}">{translate text='bathroom_options_view'}</a></li>
									{else}
									<li><strong>{translate text='n.a'}</strong></li>
								{/if}
								{/foreach}
							</ul>
							<div class="clear"></div>
						</div>
					</li> 
					<li>
						<div class="label_box">
							<label>{translate text="access"}</label>
						</div>
						<div class="input_box">
							<ul class="cb_options_list_short" id="cb_access_options">
								{foreach item=conf key=value from=$action_object->m_form_fields.access_options.options}
									<li><input type="checkbox" name="accessoption_{$value}" id="accessoption_{$value}" value="1" {if $conf.value==1}checked="checked"{/if} /> <strong>{$conf.label}</strong></li>
								{/foreach}
							</ul>
							<div class="clear"></div>
							<a href="#" onclick="listings_edit.check_all('cb_access_options');return false;">{translate text='check_all'}</a> | <a href="#" onclick="listings_edit.uncheck_all('cb_access_options');return false;">{translate text='uncheck_all'}</a>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="mls"}</label>{$action_object->check_required('mls')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="mls" id="mls" value="{$action_object->get_value('mls')}" /> 
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="orientation"}</label>{$action_object->check_required('orientation')}
						</div>
						<div class="input_box">
							<select name="orientation" id="orientation">
								<option value="">...</option>
								{foreach item=label key=val from=$action_object->m_form_fields.orientation.options}
								<option value="{$val}" {if $val==$action_object->m_form_fields.orientation.value}selected="selected"{/if}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="year_of_build"}</label>{$action_object->check_required('year_of_build')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="year_of_build" id="year_of_build" value="{$action_object->get_value('year_of_build')}" />
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="construction_type"}</label>{$action_object->check_required('construction_type')}
						</div>
						<div class="input_box">
							<select name="construction_type[]" id="construction_type" multiple size="5">
								{foreach item=label key=val from=$action_object->m_form_fields.construction_type.options}
									<option value="{$val}" {foreach item=post_val from=$action_object->m_form_fields.construction_type.values}{if $post_val==$val}selected="selected"{/if}{/foreach}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="floor_number"}</label>{$action_object->check_required('floor_number')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="floor_number" id="floor_number" value="{$action_object->get_value('floor_number')}" />
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="no_floors"}</label>{$action_object->check_required('no_floors')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="no_floors" id="no_floors" value="{$action_object->get_value('no_floors')}" /> {translate text='floors'}
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="live_square"}</label>{$action_object->check_required('live_square')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="live_square" id="live_square" value="{$action_object->get_value('live_square')}" />
							<span class="square_metrics"></span>
						</div>
					</li>
					
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="land_square"}</label>{$action_object->check_required('land_square')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" name="land_square" id="land_square" value="{$action_object->get_value('land_square')}" /> <span class="square_metrics"></span>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="lot_size"}</label>{$action_object->check_required('lot_size')}
						</div>
						<div class="input_box">
							<input type="text" class="medium_text" name="lot_size" id="lot_size" value="{$action_object->get_value('lot_size')}" />
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="parking"}</label>{$action_object->check_required('parking')}
						</div>
						<div class="input_box">
							<input type="text" class="short_text" id="parking" name="parking" value="{$action_object->get_value('parking')}" /> {translate text='cars'}
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="parking_type"}</label>{$action_object->check_required('parking_type')}
						</div>
						<div class="input_box">
							<select name="parking_type[]" id="parking_type" multiple size="5">
								{foreach item=label key=val from=$action_object->m_form_fields.parking_type.options}
									<option value="{$val}" {foreach item=post_val from=$action_object->m_form_fields.parking_type.values}{if $post_val==$val}selected="selected"{/if}{/foreach}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="fireplace"}</label>{$action_object->check_required('fireplace')}
						</div>
						<div class="input_box">
							<select name="fireplace" id="fireplace">
								<option value="">...</option>
								{foreach item=label key=val from=$action_object->m_form_fields.fireplace.options}
								<option value="{$val}" {if $action_object->get_value('fireplace')==$val}selected="selected"{/if}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="heating_system"}</label>{$action_object->check_required('heating_system')}
						</div>
						<div class="input_box">
							<select name="heating_system[]" id="heating_system" multiple size="5">
								{foreach item=label key=val from=$action_object->m_form_fields.heating_system.options}
								<option value="{$val}" {foreach item=post_val from=$action_object->m_form_fields.heating_system.values}{if $post_val==$val}selected="selected"{/if}{/foreach}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="energy"}</label>{$action_object->check_required('energy')}
						</div>
						<div class="input_box">
							<select name="energy" id="energy">
								<option value="">{translate text="n.a"}</option>
								<optgroup label="{translate text='more_efficient'}"></optgroup>
								{foreach item=label key=value from=$action_object->m_form_fields.energy.options}
									<option value="{$value}" {if $action_object->get_value('energy')==$value}selected="selected"{/if}>{$label|strip_tags}</option>
								{/foreach}
								<optgroup label="{translate text='less_efficient'}"></optgroup>
							</select>
						</div>
					</li>
					{include file="$theme/tpls/listings/listings_energy_description.tpl"}
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<!--end listing details-->
		
		{if $action_object->m_form_name=='listings_edit'}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text='save'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
		
		<!--start facilities section-->
		{include file="$theme/tpls/listings/listings_utilities.tpl"}
		{include file="$theme/tpls/listings/listings_facilities.tpl"}
		{include file="$theme/tpls/listings/listings_activities.tpl"}
		{include file="$theme/tpls/listings/listings_services.tpl"}
		<!--end facilities section-->
		
		{if $action_object->m_form_name=='listings_edit'}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{translate text='save'}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		{/if}
		
		<!-- start rental terms -->
		<ul class="form_box" id="rental_terms_box" style="display:none">
			<li class="form_box_section">
				<a href="#rental_terms" class="minus" id="rental_terms">{translate text='policies'}</a>
				<ul>
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="label_box">
							<label>{translate text="check_in"}</label>{$action_object->check_required('check_in')}
						</div>
						<div class="input_box">
							<select name="check_in" id="check_in">
								{foreach item=val from=$action_object->m_form_fields.check_in.options}
								<option value="{$val}" {if $action_object->m_form_fields.check_in.value==$val}selected="selected"{/if}>{$val}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li>
						<div class="label_box">
							<label>{translate text="check_out"}</label>{$action_object->check_required('check_out')}
						</div>
						<div class="input_box">
							<select name="check_out" id="check_out">
								{foreach item=val from=$action_object->m_form_fields.check_out.options}
								<option value="{$val}" {if $action_object->m_form_fields.check_out.value==$val}selected="selected"{/if}>{$val}</option>
								{/foreach}
							</select>
						</div>
					</li>
					{include file="$theme/tpls/listings/listings_policies.tpl"}
					{include file="$theme/tpls/listings/listings_terms_and_conditions.tpl"}
					<li>
						<div class="label_box">
							<label>{translate text="payment_options"}</label>{$action_object->check_required('payment_options')}
						</div>
						<div class="input_box">
							<select name="payment_options[]" id="payment_options" multiple size="5">
								{foreach item=label key=val from=$action_object->m_form_fields.payment_options.options}
									<option value="{$val}" {foreach item=post_val from=$action_object->m_form_fields.payment_options.values}{if $post_val==$val}selected="selected"{/if}{/foreach}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					<li style="display:none">
						<div class="label_box">
							<label>{translate text="lease_type"}</label>{$action_object->check_required('lease_type')}
						</div>
						<div class="input_box">
							<select name="lease_type" id="lease_type">
								<option value="">...</option>
								{foreach item=label key=val from=$action_object->m_form_fields.lease_type.options}
								<option value="{$val}" {if $action_object->get_value('lease_type')==$val}selected="selected"{/if}>{$label}</option>
								{/foreach}
							</select>
						</div>
					</li>
					{include file="$theme/tpls/listings/listings_lease_details.tpl"}
					{include file="$theme/tpls/listings/listings_security_deposit_description.tpl"}
					<li>
						<div class="label_box">
							<label>{translate text="suitability"}</label>{$action_object->check_required('suitability')}
						</div>
						<div class="input_box">
							{foreach item=conf key=section from=$action_object->m_form_fields.suitability.options}
								<ul class="rb_options_list">
									<li class="rb_title"><strong>{$conf.label}</strong></li>
									{foreach item=label key=val from=$conf.options}
										<li><input type="radio" name="{$section}"  value="{$val}" {if $conf.value==$val}checked="checked"{/if} /> <strong>{$label}</strong></li>
									{/foreach}
								</ul>
								<div class="clear"></div>
							{/foreach}
						</div>
					</li>
					{include file="$theme/tpls/listings/listings_suitability_description.tpl"}
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<!--end rental terms-->
		
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#seo" class="minus">{translate text='seo'}</a>
				<ul id="seo">
					<li class="form_box_desp">&nbsp;</li>
					{include file="$theme/tpls/listings/listings_seo_title.tpl"}
					{include file="$theme/tpls/listings/listings_seo_description.tpl"}
					{include file="$theme/tpls/listings/listings_seo_keywords.tpl"}
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#notes" class="minus">{translate text='notes'}</a>
				<ul id="notes">
					<li>
						<div class="label_box">
							<label></label>{$action_object->check_required('notes')}
						</div>
						<div class="input_box">
							<textarea name="notes" id="notes" rows="5">{$action_object->m_form_fields.notes.value}</textarea>
						</div>
					</li>
				</ul>
			</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
				
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='listings_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->