<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<div class="sub_subtabs_wrapper">
		<div class="sub_subtabs_title">&nbsp;</div>
		<ul class="sub_subtabs">
			<li id="trigger_s_availability"><a href="#">{translate text='blank_booking'}</a></li>
			<li id="trigger_s_export_ical"><a href="#">{translate text='export_ical'}</a></li>
			<li id="trigger_s_import_ical"><a href="#">{translate text='import_ical'}</a></li>
		</ul>
		<div class="clear"></div>
	</div>
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<input type="hidden" id="availability_section" name="availability_section" value="{$action_object->m_form_fields.availability_section.value|default:'availability'}" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			
			{if $action_object->m_form_fields.listing_id.options}
			<li>
				<div class="label_box">
					<label>{translate text="unit"}</label>
				</div>
				<div class="input_box">
					<select name="listing_id" id="listing_id">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.listing_id.options}
						<option value="{$val}" {if $val==$action_object->m_form_fields.listing_id.value}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
					<input type="hidden" name="listing_parent_id" id="listing_parent_id" value="{$action_object->get_value('listing_parent_id')}" />
				</div>
			</li>
			{else}
			<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->get_value('listing_id')}" />
			<input type="hidden" name="listing_parent_id" id="listing_parent_id" value="{$action_object->get_value('listing_parent_id')}" />
			{/if}
			<li class="s_start_date">
				<div class="label_box">
					<label>{translate text="arrival"}</label>{$action_object->check_required('start_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="start_date" id="start_date" value="{$action_object->get_value('start_date')}" />
					<input type="text" class="medium_text" name="start_date_picker" id="start_date_picker" />
				</div>
			</li>
			<li class="s_end_date">
				<div class="label_box">
					<label>{translate text="departure"}</label>{$action_object->check_required('end_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="end_date" id="end_date" value="{$action_object->get_value('end_date')}" />
					<input type="text" class="medium_text" name="end_date_picker" id="end_date_picker" />
				</div>
			</li>
			<li style="display:none"><input type="hidden" name="blank_booking" id="blank_booking" value="1" /></li>
			<li class="s_ical_file">
				<div class="label_box">
					<label>{translate text='ical_file'}</label>
				</div>
				<div class="input_box">
					<input type="hidden" name="ical_file" id="ical_file" />
					<input type="file" name="ical_file_upload" id="ical_file_upload" />
					<br /><br />
					<strong>{translate text='max_size'}: </strong>{$action_object->m_form_fields.ical_file.options.max_size} KB
					<br />
					<strong>{translate text='allowed_types'}: </strong>{$action_object->m_form_fields.ical_file.options.allowed_types}
				</div>
			</li>
			<li class="s_booking_status">
				<div class="label_box">
					<label>{translate text="booking_status"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" id="bs_booked" name="booking_status" value="1" {if $action_object->get_value('booking_status')==1}checked="checked"{/if}> 
					<label for="bs_booked"> <strong>{translate text='booked'}</strong></label>
					 
					<input type="radio" id="bs_pending" name="booking_status" value="2" {if $action_object->get_value('booking_status')==2}checked="checked"{/if}> 
					<label for="bs_pending"> <strong>{translate text='pending'}</strong></label>
					
					<input style="display:none" id="bs_inactive" type="radio" name="booking_status" value="0" {if $action_object->get_value('booking_status')==0}checked="checked"{/if}> 
					<label for="bs_inactive" style="display:none"><strong >{translate text='inactive'}</strong></label>
				</div>
			</li>
			<li class="s_export_ical_btn">
				<div class="label_box"><label>&nbsp;</label></div>
				<div class="input_box">
					<span class="btn_grey">
						<span>
							<span>{translate text='export_ical'}</span>
							<input type="submit" name="submitf" value="export_ical" class="no_loading" />
						</span>
					</span>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<div class="clear"></div>
		<ul class="form_box_submit">
			<li>
				<center>
					{if $action_object->m_form_name=='listings_availability_add'}
					<!--prev-->
					{if $bo_prev_next_cfg.prev}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.prev.href}">&laquo; {$bo_prev_next_cfg.prev.label}</a></span>
							</span>
						</span>
					{/if}
					<!--end prev-->
					{/if}
					
					{if $action_object->m_form_name=='listings_availability_edit'}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_listing_menu_cfg.availability.href}">&laquo; {translate text='listings_availability_add'}</a></span>
							</span>
						</span>
					{/if}
					<span class="btn_grey s_availability_btn">
						<span>
							<span>{if $action_object->m_form_name=='listings_availability_edit'}{translate text='save'}{else}{translate text="availability_update"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey s_import_ical_btn">
						<span>
							<span>{translate text='import_ical'}</span>
							<input type="submit" name="submitf" value="import_ical" />
						</span>
					</span>
					
					{if $action_object->m_form_name=='listings_availability_add'}
					<!--next-->
					{if $bo_prev_next_cfg.next}
						<span class="btn_grey">
							<span>
								<span><a href="{$bo_prev_next_cfg.next.href}">{$bo_prev_next_cfg.next.label} &raquo;</a></span>
							</span>
						</span>
					{/if}
					<!--end next-->
					{/if}
				</center>
			</li>
		</ul>
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#calendar" class="minus">{translate text='availability_calendar'}</a>
				<ul id="calendar" style="background:#fff;border:0 none;">
					<li>
						<div class="availability_calendar{if $action_object->m_calendar_units}_units{/if}">
							{if $action_object->m_calendar_units}
								{$action_object->m_calendar_units}
							{else}
								{$action_object->m_calendar}
							{/if}
						</div>
					</li>
					<li>
						<ul class="legend">
							<li class="booked">{translate text='booked'}</li>
							<li class="available">{translate text='available'}</li>
							<li class="unknown">{translate text='unknown'}</li>
							<li class="pending">{translate text='pending'}</li>
						</ul>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{if $action_object->m_form_name!='listings_availability_edit'}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#bookings" class="minus">{translate text='latest_blank_bookings'}</a>
				<ul id="bookings" style="background:#fff;border:0 none;">
					<li>
					{include file="$theme/tpls/_list.tpl"}
					</li>
					<li style="padding:.3em;">
						<a href="{site_url uri="`$co_bookings_uri`view_wysiwyg/"}" id="full_bookings_list">{translate text='booking_history'}</a>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{/if}
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->