<!--start form-->
<script type="text/javascript">
	var browse_title = '{translate text="browse_locations"}';
</script>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<input type="hidden" name="location_selected_id" id="location_selected_id" value="0" />
		<input type="hidden" name="temp_lat" id="temp_lat" value="0" />
		<input type="hidden" name="temp_lng" id="temp_lng" value="0" />
		
		<div style="display:none">
			<div id="locations_tree"></div>
			<div id="tree_actions_box">
				<div class="tree_actions">
					<div class="location_selected_box">
					{translate text='location_selected'}: <span class="location_selected">{translate text='n.a'}</span>
					</div>
					<span class="btn_grey">
						<span>
							<span><a href="#" id="btn_save_parent">{translate text='save'}</a></span>
						</span>
					</span>
				</div>
			</div>
		</div>
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			{include file="$theme/tpls/locations/locations_title.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="location_parent"}</label>{$action_object->check_required('location_parent_id')}
					<a href="#" title="{translate text='location_parent_info}" class="tooltip tooltip_info">?</a>
				</div>
				<div class="input_box">
					<input type="hidden" name="location_parent_id" id="location_parent_id" value="{$action_object->get_value('location_parent_id')}" />
					<div class="grey_box" style="width:380px;float:left;">
						{translate text='current_parent'}: 
						<strong id="location_info">...
						{if $action_object->m_form_fields.location_parent_id.value}
							{if $action_object->m_form_fields.location_parent_id.value=='-1'}
								{translate text='world'}
							{/if}
						{else}
						{translate text='no_parent'}
						{/if}
						</strong>
						<div class="clear" style="height:10px;"></div>
						<a href="#" id="show_locations_tree">{translate text='location_click_to_change_parent'}</a> {translate text='or'} <a href="#" id="reset_locations">{translate text='location_click_to_reset_parent'}</a>
					</div> 
				</div>
			</li>
			{include file="$theme/tpls/locations/locations_slugs.tpl"}
			<li>
				<div class="label_box">
					<label>{translate text="lat"}</label>{$action_object->check_required('lat')}
				</div>
				<div class="input_box">
					<input class="medium_text" type="text" name="lat" id="lat" value="{$action_object->get_value('lat')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="lng"}</label>{$action_object->check_required('lng')}
				</div>
				<div class="input_box">
					<input class="medium_text" type="text" name="lng" id="lng" value="{$action_object->get_value('lng')}" /> <a href="#" id="show_latlng_box">{translate text="google_map"}</a>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="zip_code"}</label>{$action_object->check_required('zip_code')}
				</div>
				<div class="input_box">
					<input class="medium_text" type="text" name="zip_code" id="zip_code" value="{$action_object->get_value('zip_code')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
					<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<div class="text_center">	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='locations_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='locations_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</div>
			</li>
		</ul>
	</form>
	<ul class="form_box_notes">
		<li>{translate text='fields_marked_are_mandatory}</li>
	</ul>
	<div style="display:none">
		<div id="latlng_done_box">
			<div class="tree_actions">
				<div class="location_selected_box">
					<strong>{translate text='lat'}</strong>: <span class="lat_span">-</span> / <strong>{translate text='lng'}</strong>: <span class="lng_span">-</span>
				</div>
				<span class="btn_grey">
					<span>
						<span><a href="#" class="btn_latlng_done">{translate text='done'}</a></span>
					</span>
				</span>
			</div>
		</div>
		<div id="latlng_box" class="basic_form">
		<ul class="form_box">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box" style="width:250px;text-align:left;padding:.3em;">
					<div style="clear:both;">
						<label>1.{translate text='location_search'}: <a href="#" title="{translate text='location_search_info}" class="tooltip tooltip_info">?</a></label>
						<div class="clear" style="height:5px;"></div>
						<input type="text" style="width:240px;" name="search_address" id="search_address" />
						<div class="clear" style="height:5px"></div>
						<div class="text_center">	
							<span class="btn_grey">
								<span>
									<span>{translate text="search"}</span>
									<input type="button" value="go" name="search_go" id="search_go" />
								</span>
							</span>
						</div>
						<div class="clear" style="height:5px;"></div>
						<label>2. {translate text='search_results'}: </label>
						<input type="hidden" name="no_results_text" id="no_results_text" value="{translate text='no_results'}" />
						<div class="clear" style="height:5px;"></div>
						<select style="width:240px;" name="search_results" id="search_results" size="10">
							<option value="">{translate text="no_results"}
						</select>
						<br />
						<em>{translate text='click_on_results_to_update_lat_lng'}</em>
					</div>
				</div>
				<div class="input_box" style="margin-left:255px;">
					<div class="gmap" id="google_map" style="width:472px;height:340px;"></div>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		</div>
	</div>
</div>
<!--end form-->
{if $action_object->m_form_name=='locations_edit'}
<div class="warning">{translate text="locations_edit_warning"}</div>
{/if}