{load_bo bo="bo_admin_auth" action="reset_password" assign="action_object" params="admin"}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>{translate text='password_reset'}</title>
	<meta name="robots" content="noindex, nofollow" />
	<meta name="viewport" content="width=device-width" />
	<link rel="stylesheet" href="{base_url}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}" type="text/css" />
	<script type="text/javascript">var base_url = '{/literal}{base_url}{literal}';var site_url = '{/literal}{site_url ajax=1}{literal}';</script>
	<script type="text/javascript" src="{/literal}{base_url}combine.php?theme={$theme}&amp;type={$javascript_type}&amp;assets={$assets}{literal}"></script>
	<!--[if lt IE 9]>
    <script type="text/javascript" src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->  
</head>

<body class="body_0">

<!--start container-->
<div id="container">

	<!--start login box-->
	<div class="login_box">
	
		<!--logo-->
		<div class="login_logo">
			<img class="img_center" src="{base_url}public/themes/admin/images/logo.png" alt=" " />
		</div>
	
		<!--start round box-->
		<div class="roundbox rb__grey rb_4px rb_shaddow">
		<span class="rb"><span class="rb2 ie__grey_rb2">&nbsp;</span><span class="rb1 ie__grey_rb1">&nbsp;</span></span>
		<div class="rbc ie__grey_rbc">
			
			<!--form-->
			<form method="post" action="{$action_object->m_form_action}">
			<!--start box content-->
			<div class="box_content rb_4px">
				
				<!--errors-->
				{if $action_object->m_errors}
				<div class="errors">
					<a href="#" class="close errors_close">&times;</a>
					<div class="roundbox rb_3px rb__error">
						{foreach item=error from=`$action_object->m_errors`}
							{$error}
						{/foreach}
					</div>
				</div>
				{/if}
				<!--end errors-->
				<ul>
					{if $action_object->m_form_status == 1}
						<li class="submit"><strong>{translate text='auth_message_password_reset'}</strong></li>
					{else}
					<li>
						<div class="label_box"><label>{translate text='new_password'}:</label></div>
						<div class="input_box">
							<input class="text" type="password" name="new_password" id="new_password" />
						</div>
					</li>
					<li>
						<div class="label_box"><label>{translate text='retype_new_password'}:</label></div>
						<div class="input_box">
							<input class="text" type="password" name="retype_new_password" id="retype_new_password" />
						</div>
					</li>
					<li>
						<div class="label_box"><label>{translate text='captcha'}:</label></div>
						<div class="input_box">
							<input class="text autocompleteOff" type="text" name="captcha" id="captcha" />
							<br />
							<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
						</div>
					</li>
					<li class="submit">
						<div class="submit_box clearfix text_center">
							<span class="btn_grey">
								<span>
									<span>{translate text='submit'}</span>
									<input type="submit" name="submitf" value="submit" />
								</span>
							</span>
						</div>
					</li>
					{/if}
					<li class="forget_password text_center">
						<center>
						&bull; <a href="{site_url uri='admin/auth/login}">{translate text='login'}</a> | &bull; <a href="{base_url}">{translate text='view_site'}</a>
						</center>
					</li>
				</ul>
			</div>
			<!--end box content-->
			</form>
			<!--end form-->
			
		</div>
		<span class="rb"><span class="rb1 ie__grey_rb1">&nbsp;</span><span class="rb2 ie__grey_rb2">&nbsp;</span></span>
		</div>
		<!--end round box-->
		
	</div>
	<!--end login box-->
</div>
<!--end container-->
</body>
</html>