<!--start form-->
{if !$action_object->m_is_admin}
	{assign var='disabled' value='disabled="disabled"'}
	{assign var='readonly' value='readonly="readonly"'}
{else}
	{assign var='disabled' value=''}
	{assign var='readonly' value=''}
{/if}

<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="listing"}</label>{$action_object->check_required('listing_id')}
				</div>
				<div class="input_box">
					<input type="hidden" id="listing_id" name="listing_id" value="{$action_object->m_form_fields.listing_id.value}" />
					<input type="text" class="text" {if $action_object->m_is_admin}name="listing_id_autocomplete"{/if} id="listing_id_autocomplete" value="{$action_object->m_form_fields.listing_id_autocomplete.value}" placeholder="{translate text="listing_id_or_title"}" />
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="rating_stars"}</label>{$action_object->check_required('rating_stars')}
				</div>
				<div class="input_box">
					{section loop=6 start=1 step=1 name=stars}
						<input name="rating_stars" type="radio" class="star{if $disabled}_read_only{/if}" value="{$smarty.section.stars.iteration}" {if $action_object->get_value('rating_stars')==$smarty.section.stars.iteration}checked="checked"{/if} />
					{/section}
					&nbsp;{if $action_object->m_is_admin}{translate text='rating_click_to_rate'}{/if}
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>{translate text="arrival"}</label> {$action_object->check_required('arrival_date')}
				</div>
				<div class="input_box">
					<input type="hidden" name="arrival_date" id="arrival_date" value="{$action_object->get_value('arrival_date')}" />
					<input type="text" class="medium_text" id="arrival_date_picker" name="arrival_date_picker" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="review_title"}</label>{$action_object->check_required('title')}
				</div>
				<div class="input_box">
					<input type="text" class="text" name="title" id="title" value="{$action_object->get_value('title')}" {$readonly} />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="review_body"}</label>{$action_object->check_required('body')}
				</div>
				<div class="input_box">
					<textarea name="body" id="body" rows="5" {$readonly}>{$action_object->get_value('body')}</textarea>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="reply"}</label>{$action_object->check_required('body_reply')}
				</div>
				<div class="input_box">
					<textarea name="body_reply" id="body_reply" rows="5">{$action_object->get_value('body_reply')}</textarea>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="active"}</label>{$action_object->check_required('active')}
				</div>
				<div class="input_box">
					{if $action_object->m_is_admin}
						<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
						<input type="radio" name="active" value="2" {if $action_object->get_value('active')==2}checked="checked"{/if}> <strong>{translate text='pending'}</strong> 
						<input type="radio" name="active" value="0" {if $action_object->get_value('active')==0}checked="checked"{/if}> <strong>{translate text='no'}</strong>
					{else}
						<input type="radio" name="active" value="1" {if $action_object->get_value('active')==1}checked="checked"{/if}> <strong>{translate text='yes'}</strong> 
						<input type="radio" name="active" value="2" {if $action_object->get_value('active')==2}checked="checked"{/if}> <strong>{translate text='pending'}</strong>
					{/if}
					
				</div>
			</li>
			
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<!--start reviewer info-->
		{if $action_object->m_is_admin}
		<ul class="form_box">
			<li class="form_box_section">
				<a href="#reviewer" class="minus">{translate text='reviewer_info'}</a>
				<ul id="reviewer">
					<li class="form_box_desp">&nbsp;</li>
					<li>
						<div class="label_box">
							<label>{translate text="user"}</label>{$action_object->check_required('reviewer_id')}
						</div>
						<div class="input_box">
							<input type="hidden" name="reviewer_id" id="reviewer_id" value="{$action_object->m_form_fields.reviewer_id.value}" />
							<input type="text" class="text" name="reviewer_id_autocomplete" id="reviewer_id_autocomplete" value="{$action_object->m_form_fields.reviewer_id_autocomplete.value}" placeholder="{translate text="user_id_or_username_or_email_or_name"}" />
							<a href="{site_url uri='admin/users/edit_wysiwyg/'}" id="quick_edit_user">{translate text='quick_edit'}</a> | <a target="_blank" href="{site_url uri='admin/users/edit/'}" id="edit_user">{translate text='edit'}</a>
						</div>
					</li>
					<li class="form_box_desp">&nbsp;</li>
				</ul>
			</li>
		</ul>
		{else}
			<input type="hidden" name="reviewer_id" id="reviewer_id" value="{$action_object->m_user_id}" />
		{/if}
		<!--end reviewer info-->
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='reviews_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='reviews_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->