<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">		
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li class="form_box_info">
				<ul>
					<li>
						<label>&bull; {translate text="current_package"}</label>: <span>{$action_object->m_package_info->title}</span>
						<label>&bull; {translate text="total_sms"}</label>: 
						<span>
							{if $action_object->m_package_info->no_sms==0 && $action_object->m_package_info->n_a==0}
								&#8734;
								{else}
								{format_field col='number' value = $action_object->m_package_info->no_sms}
							{/if}
						</span>
						<label>&bull; {translate text="now_user_sms_remained"}</label>: 
						<span>
							{format_field col='number' value = $action_object->m_package_info->sms_remained}
						</span>
						<label>&bull; {translate text="now_user_sms_sent"}</label>: 
						<span>
							{format_field col='number' value = $action_object->m_package_info->sms_sent}
						</span>
					</li>
				</ul>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text='renew_upgrade_package'}</label>
				</div>
				<div class="input_box">
					<table class="packages_table" width="50%" cellpadding="0" cellspacing="0">
						<tr>
							<th>&nbsp;</th>
							<th>{translate text='price'}</th>
							<th>{translate text='package_info'}</th>
						</tr>
						{foreach name=available_packages item=info key=val from=$action_object->m_form_fields.sms_package_id.options}
						<tr {if $smarty.foreach.available_packages.iteration is div by 2}class="alt"{/if}>
							<td>
								{config key='credit_currency' assign='currency'}
								{if $info->remaining_balance>=0}
									<input id="package_{$info->sms_package_id}" type="radio" name="sms_package_id" value="{$info->sms_package_id}" {if $action_object->get_value('sms_package_id')==$val}{/if}  />
								{else}
									{if $action_object->m_add_funds_url_admin}
										<a href="{$action_object->m_add_funds_url_admin}/amount:{$info->remaining_balance*-1}" title="{translate text='add_funds_info' balance="`$info->balance`" required_balance="`$info->required_balance`" currency="`$currency`"}" class="tooltip">{translate text='click_to_add_funds'}</a>
									{else}
										<a href="{$action_object->m_add_funds_url}/amount:{$info->remaining_balance*-1}" title="{translate text='add_funds_info' balance="`$info->balance`" required_balance="`$info->required_balance`" currency="`$currency`"}" class="tooltip">{translate text='click_to_add_funds'}</a>
									{/if}
								{/if}
							</td>
							<td>
								<label for="package_{$info->sms_package_id}"><strong>{convert_credits amount=$info->price}</strong></label>
							</td>
							<td>
								<label for="package_{$info->sms_package_id}">
									{$info->title}
									<br />
									<span style="font-weight:normal">
										{translate text='no_sms'}: {if $info->no_sms==0}&#8734;{else}{format_field col="number" value=$info->no_sms}{/if}
									</span>
								</label>
							</td>
						</tr>
						{/foreach}
					</table>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='users_sms_packages_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
				</center>
			</li>
		</ul>
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->