var JSCFG_lazy_load = true;
var all = function()
{
	return {
		 'resize_iframe':function(obj) 
		 {
		 	obj.style.height = obj.contentWindow.document.body.scrollHeight + 'px';
		 },
		 'calculate_modal':function(modal_el)
		 {
		 	var $out = {'width':0,'height':0};
		 	var $window_w = $(window).width();
		 	var $window_h = $(window).height();
	
		 	
		 	var $el_width = ""+modal_el.data('width');
		 	var $el_width_is_percent = false;
		 	if($el_width.indexOf("%")!=-1) $el_width_is_percent = true;
		 	
		 	var $el_height = ""+modal_el.data('height');
		 	var $el_height_is_percent = false;
		 	if($el_height.indexOf("%")!=-1) $el_height_is_percent = true;
		 	
		 	if($el_width_is_percent)
		 	{
		 		//console.log('width is percent = '+$el_width);
		 		$el_width = parseFloat($el_width);
		 		$el_width = ($el_width*$window_w)/100;
		 	}
		 	if($el_height_is_percent)
		 	{
		 		$el_height = parseFloat($el_height);
		 		$el_height = ($el_height*$window_h)/100;
		 		//console.log('height is percent');
		 	}
		 	
		 	$out.width = $el_width = parseFloat($el_width);
		 	$out.height = $el_height = parseFloat($el_height);
		 	
		 	
		 	if($window_w<=($el_width+1))
		 	{
		 		$out.height = $window_h;
		 		$out.width = $window_w;
		 	}
		 	else
		 	{
		 		$out.height = $el_height;
		 		$out.height +=40;
		 		if($out.height+1>=$window_h) $out.height = $window_h;
		 	}
		 	//console.log($out);
		 	return $out;
		 },
		 'show_iframe_modal':function(url)
		 {
		 	var $this = this;
		 	var $calculate_modal = all.calculate_modal($("#cms_modal"));
			$(window).resize(
				function(){ $calculate_modal = all.calculate_modal($("#cms_modal")); }
			);
			$("#cms_modal").on("show.bs.modal", function() 
			{
				var $modal_body = $(this).find(".modal-body");
				var $modal_dialog = $(this).find(".modal-dialog");
				$modal_dialog.css({'width':$calculate_modal.width});
				$modal_body.css({"max-height": $calculate_modal.height-90,"overflow":"auto"});
			});
			$("#cms_modal").modal('show');
			$("#cms_iframe").attr('src',url);
			$("#cms_iframe").on('load',function()
			{
				$this.resize_iframe(document.getElementById('cms_iframe'));
			});
			
		 },
		'quick_login_init': function()
		{
			
			var $calculate_modal = all.calculate_modal($("#quicklogin_modal"));
			$(window).resize(
				function(){ $calculate_modal = all.calculate_modal($("#quicklogin_modal")); }
			);
			$(document).on('click',"#show_quick_login",
				function(e)
				{
					e.preventDefault();
					var url = $(this).attr('href');
					
					$("#quicklogin_modal").on("show.bs.modal", function() 
					{

						var $modal_body = $(this).find(".modal-body");
						var $modal_dialog = $(this).find(".modal-dialog");
						$modal_dialog.css({'width':$calculate_modal.width});
						$modal_body.css({"max-height": $calculate_modal.height,"overflow":"auto"});
					});
					$("#quicklogin_modal").modal('show');
					$("#quicklogin_iframe").attr('src',url);
				}
			);
			$(document).on('click',".show_quick_login",
				function(e)
				{
					e.preventDefault();
					$("#show_quick_login").trigger('click');
				}
			);
		},
		'phone_prefix_init':function(){

			$("#country").change(
				function()
				{
					var name = $(this).val();
					if( (name!='') )
					{
						$.ajax(
						{
							url: site_url+'ajax/get_phone_prefix/country_name.'+name,
							type: 'GET',
							beforeSend: function(){},	
							success: function(data) 
							{	
								if(data!='')
								{
									if ($("#phone_prefix")[0]) $("#phone_prefix").val(data);
									else $("#phone").before('<input type="text" class="short_text" id="phone_prefix" name="phone_prefix"  value="'+data+'" /> ');
								}
							}
						});
					}
				}
			);
			
			if($("#country").find(':selected').val()!='') $("#country").trigger('change');
		}
	}
}();


var wishlist = function()
{
	return {
		add : function(listing_id,e)
		{
			if(!$("#logged_in")[0])
			{
				$("#show_quick_login").click();
				return;
			}
			if(!$("#wishlist_counter")[0]) return false;
			if(!listing_id) return false;
			if(!$(e)[0]) return false;
			var $this = this;
			$.ajax(
			{
				url: site_url+'ajax/wishlist/add/'+listing_id,
				type: 'GET',
				beforeSend: function()
				{
					//$('#wishlist_counter').html('<img src="'+base_url+'public/images/loading.gif" id="spinner" />');
				},	
				success: function(data) 
				{	
					$("#wishlist_counter").html(data);
					$(e).removeClass('action_save').addClass('action_remove');//.html($('#wishlist_remove_text').val());
					$(e).find('span').removeClass('ico_heart_o').addClass('ico_heart');
					$("#wishlist_heart").removeClass('wishlist_heart_o').addClass('wishlist_heart').fadeIn();
					$(e).removeAttr('onclick').unbind('click').bind(
						'click',
						function(ev)
						{
							ev.preventDefault();
							$this.remove(listing_id,e);
						}
					);
				}
			});
		},
		remove : function(listing_id,e)
		{
			if(!$("#wishlist_counter")[0]) return false;
			if(!listing_id) return false;
			if(!$(e)[0]) return false;
			var $this = this;
			var refresh = 0;
			$.ajax(
			{
				url: site_url+'ajax/wishlist/remove/'+listing_id,
				type: 'GET',
				beforeSend: function()
				{
					//$('#wishlist_counter').html('<img src="'+base_url+'public/images/loading.gif" id="spinner" />');
				},	
				success: function(data) 
				{	
					$("#wishlist_counter").html(data);
					var current_href = window.location.href;
					if(current_href.match('wishlist')=='wishlist') refresh = 1;
					if(refresh==1) 
					{
						window.location.href = current_href;
					}
					$(e).removeClass('action_remove').addClass('action_save');//.html($('#wishlist_add_text').val());
					$(e).find('span').removeClass('ico_heart').addClass('ico_heart_o');
					$("#wishlist_heart").removeClass('wishlist_heart').addClass('wishlist_heart_o');
					$(e).removeAttr('onclick').unbind('click').bind(
						'click',
						function(ev)
						{
							ev.preventDefault();
							$this.add(listing_id,e);
						}
					);
				}
			});
		},
		init : function()
		{
			if(!$("#wishlist_counter")[0]) return false;
			//get wishlist
			$.ajax(
			{
				url: site_url+'ajax/wishlist/get',
				type: 'GET',
				beforeSend: function()
				{
					$('#wishlist_counter').html('0');
				},	
				success: function(data) 
				{	
					var $counter = (data!=''?data:0);
					$counter = parseInt($counter,10);
					$("#wishlist_counter").html($counter);
					if($counter>0)
						$("#wishlist_heart").removeClass('wishlist_heart_o').addClass('wishlist_heart').fadeIn();
				}
			});
		}
	}
}(); 

var comparelist_slideshow = function(){
	return {
		init: function(opts)
    	{
    		var $this = this;
    		var opts = opts||{};
    		var rtl = opts.rtl?opts.rtl:false;
    		
    		if ($('.comparelist_slideshow')[0]) 
    		{
				$('.comparelist_slideshow').owlCarousel({
				    loop:true,		 
				    nav:true,
				    dots:false,
				    //autoplay:true,
				    //autoplayTimeout:5000,
				    //items:3,
				    margin:15,
		      		responsiveClass:true,
		      		navText: ["",""],
		      		responsiveBaseWidth: ".slide_item",
		            transitionStyle : 'fade',
		            lazyLoad:true,
		      		responsive:{
						0:{
							items:2
						},
						480:{
							items:4
						},
						780:{
		      				items:6
						}
		      		}
				});
    		}
    	}
	}
}(); 

var comparelist = function()
{
	return {
		add : function(listing_id,e)
		{
			if(!$("#comparelist_counter")[0]) return false;
			if(!listing_id) return false;
			if(!$(e)[0]) return false;
			var $this = this;
			$.ajax(
			{
				url: site_url+'ajax/comparelist/add/'+listing_id,
				type: 'GET',
				beforeSend: function()
				{
					$('#comparelist_counter').html('0');
				},	
				success: function(data) 
				{	
					$("#comparelist_counter").html(data);
					$(e).removeClass('compare_save').addClass('compare_remove');//html($('#compare_remove_text').val());
					$(e).find('span').removeClass('ico_compare_o').addClass('ico_compare');
					$(e).removeAttr('onclick').unbind('click').bind(
						'click',
						function(ev)
						{
							ev.preventDefault();
							$this.remove(listing_id,e);
						}
					);
				}
			});
		},
		remove : function(listing_id,e,is_comparelist)
		{
			//is_comparelist - we are in comparelist modal
			if(!$("#comparelist_counter")[0]) return false;
			if(!listing_id) return false;
			if(!$(e)[0]) return false;
			var $this = this;
			var refresh = 0;
			$.ajax(
			{
				url: site_url+'ajax/comparelist/remove/'+listing_id,
				type: 'GET',
				beforeSend: function()
				{
					$('#comparelist_counter').html('0');
				},	
				success: function(data) 
				{	
					$("#comparelist_counter").html(data);
					
					if(is_comparelist)
					{
						$(e).parents('.grid_cell').remove();
					}
					else
					{
						var current_href = window.location.href;
						if(current_href.match('comparelist')=='comparelist') refresh = 1;
						if(refresh==1) 
						{
							window.location.href = current_href;
						}
						$(e).removeClass('compare_remove').addClass('compare_save');//html($('#wishlist_add_text').val());
						$(e).find('span').removeClass('ico_compare').addClass('ico_compare_o');
						$(e).removeAttr('onclick').unbind('click').bind(
							'click',
							function(ev)
							{
								ev.preventDefault();
								$this.add(listing_id,e);
							}
						);
					}
				}
			});
		},
		init : function()
		{
			if(!$("#comparelist_counter")[0]) return false;
			//get wishlist
			$.ajax(
			{
				url: site_url+'ajax/comparelist/get',
				type: 'GET',
				beforeSend: function()
				{
					$('#comparelist_counter').html('0');
				},	
				success: function(data) 
				{	
					$("#comparelist_counter").html(data!=''?data:0);
				}
			});
			
			var $calculate_modal = all.calculate_modal($("#comparelist_modal"));
			$(window).resize(
				function(){ $calculate_modal = all.calculate_modal($("#comparelist_modal")); }
			);
			
			$(document).on('click',"#show_comparelist",
				function(e)
				{
					e.preventDefault();
					var url = $(this).attr('href');
					
					
					$("#comparelist_modal").on("shown.bs.modal", function() {
						var $modal_body = $(this).find(".modal-body");
						var $modal_dialog = $(this).find(".modal-dialog");
						$modal_dialog.css({'width':$calculate_modal.width});
						$modal_body.css({"max-height": $calculate_modal.height,"overflow":"auto"});
						
						$.ajax(
						{
							url: url,
							type: 'GET',
							beforeSend: function()
							{
							},	
							success: function(data) 
							{	
								$("#comparelist_response").html(data);
								comparelist_slideshow.init();
							}
						});
					});
					$("#comparelist_modal").on("hidden.bs.modal", function() {
						window.location.reload();
					});
					$("#comparelist_modal").modal('show');
				}
			)
		}
	}
}(); 

$(window).load(
	function(){
		//lazy load images
		if(JSCFG_lazy_load) $("img").unveil(200);	
	}
);
$(document).ready(
	function()
	{
		all.quick_login_init();
		wishlist.init();
		comparelist.init();
		
		
		//custom select
		var select = $('select');
		var $is_mobile = ($(window).width()<760)?true:false;
		if(select.length>0) select.selectpicker({mobile:$is_mobile});
		
		//collapse test
		//todo: save to cookie
		/*$(".collapse").on('shown.bs.collapse', function ()
		{
			console.log($(".in").attr('id'));
		});*/
          
		//start tooltips
  		$('[data-toggle="tooltip"]').tooltip();
  		$('[data-toggle="popover"]').popover();
  		
	}
);

$(window).scroll(function () 
{
	"use strict";
	if($("#top")[0])
	{
	    var scroll = $(window).scrollTop();
	    if (scroll >= 100) 
	    {
	    	if($(window).width()>=1024)
	    	{
	    		$('.contact-box').addClass('islive');
	    		$('.backtop').addClass('islive');
	    	}
	    	$(".navigation .top_header").fadeOut();
	    }
	    else 
	    {
	    	$('.contact-box').removeClass('islive');
	        $('.backtop').removeClass('islive');
	        $(".navigation .top_header").fadeIn();
	    }
	}
}); 