var inquiries = function()
{
	return {
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_start_date();
			
			$("#traveling_from_picker").datepicker({
				minDate:0,
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#traveling_from",
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#traveling_to_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day).datepicker('show');
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else if ($("#start_date").val())
				{
					var start_date = $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
					start_date.setDate(start_date.getDate()+1);
					return start_date;
				}
				else
					return tomorrow;
			}
			var selected = check_end_date();
			
			$( "#traveling_to_picker" ).datepicker({
				minDate: "+1d",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#traveling_to",
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					//$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
				}
			}).datepicker('setDate',selected);
			//if($("#start_date").val()) $("#end_date_picker").datepicker("show");
		}
	}
}(); 