										<h2>{translate text='contact_owner'}</h2>
										{translate text='contact_owner_ok_message' from_email="`$action_object->m_form_fields.from_email.value`" name="`$action_object->m_form_fields.name.value`" assign="form_ok_message"}
										{include file="$theme/tpls/forms/form_errors.tpl" form_ok_message=$form_ok_message}
										{if $action_object->m_form_status!=1}
										<form id="contact_member" method="post" action="{$action_object->m_listing_info->listing_url}#contact" class="padding_10px">
											<div class="row">
												<div class="col-md-12">
													<div class="form-group">
														<label for="name">{translate text='your_name'} {$action_object->check_required('name')}</label>
														<input type="text" class="form-control" name="name" id="name" value="{$action_object->get_value('name')}" /> 
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label for="from_email">{translate text='email'} {$action_object->check_required('from_email')}</label>
														<input type="email" class="form-control" name="from_email" id="from_email" value="{$action_object->get_value('from_email')}" /> 
													</div>
												</div>
												<div class="col-md-6">
													<div class="form-group">
														<label for="phone">{translate text='phone'} {$action_object->check_required('phone')}</label>
														<input type="text" class="form-control" name="phone" id="phone" value="{$action_object->get_value('phone')}" /> 
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-4">
													<div class="form-group">
														<label to="traveling_to_picker">{translate text='traveling_from'}</label>
														<div class="w100p">
															<input type="hidden" name="start_date" id="traveling_from" value="{$action_object->get_value('start_date')}" />
															<input type="text" class="form-control" id="traveling_from_picker" />
														</div>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label for="traveling_to_picker">{translate text='to'}</label>
														<div class="w100p">
															<input type="hidden" name="end_date" id="traveling_to" value="{$action_object->get_value('end_date')}" />
															<input type="text" class="form-control" id="traveling_to_picker" />
														</div>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
														<label for="no_guests">{translate text='guests'}</label>
														<select name="no_guests" id="no_guests">
															{foreach item=val key=k from=$action_object->m_form_fields.no_guests.options}
																<option value="{$val}" {if $action_object->get_value('no_guests')==$val}selected="selected"{/if}>{$val}+</option>
															{/foreach}
														</select>
													</div>
												</div>
											</div>
											
											<div class="form-group">
												<label for="subject">{translate text='subject'} {$action_object->check_required('subject')}</label>
												<div class="w50p">
													<input type="text" class="form-control" id="subject" name="subject" value="{$action_object->get_value('subject')}" /> 
												</div>
											</div>
											<div class="form-group">
												<label for="message">{translate text='message'} {$action_object->check_required('message')}</label>
												<textarea class="form-control" name="message" id="message" rows="9">{$action_object->get_value('message')}</textarea>
											</div>
											<div class="form-group">
												<label for="priority">{translate text='priority'} {$action_object->check_required('priority')}</label>
												<select name="priority" id="priority" data-width="100">
													{foreach item=label key=val from=$action_object->m_form_fields.priority.options}
														<option value="{$val}" {if $val==$action_object->m_form_fields.priority.value}selected="selected"{/if}>{$label}</option>
													{/foreach}
												</select>
											</div>
											<div class="form-group">
												<label>{translate text='captcha'} {$action_object->check_required('captcha')}</label>
												<div class="w50p">
													<input autocomplete="off" type="text" class="form-control" name="captcha" value="{$action_object->m_form_fields.captcha.value}" />
												</div>
												<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
											</div>
											<div class="form-group text_center">
												<button type="submit" class="btn_dark_grey" name="submitf" value="contact_owner">{translate text='submit'}</button>
											</div>
											<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
										</form>
										{/if}