				<div class="search_box">
					<form id="search_form" method="post" action="{site_url uri='search'}">
						<h2>{translate text='find_listings'}</h2>
						<div class="form-group" {show_search_field form='quick_search' field='location_autocomplete'}>
							<div class="location_box">
								<input type="hidden" id="no_location_message" value="{translate text='unable_to_find_any_location'}" />
								<input type="hidden" name="location" id="location" value="{$action_object->m_form_fields.location.value}" /> 
								<input type="text" class="form-control" id="location_autocomplete" name="location_autocomplete" placeholder="{translate text='where_do_you_want_to_go'}" />
								<i class="fa fa-globe" id="browser_location_trigger"></i>
							</div>
						</div>
						<div class="form-group clearfix" {show_search_field form='quick_search' field='availability'}>
							<div class="w50p left">
								<div class="w95p">
									<input type="hidden" name="start_date" id="search_start_date" value="{$action_object->get_value('start_date')}" />
									<input type="text" class="form-control" placeholder="{translate text='check_in'}" id="search_start_date_picker" />
								</div>
							</div>
							<div class="w50p right">
								<div class="w95p right">
									<input type="hidden" name="end_date" id="search_end_date" value="{$action_object->get_value('end_date')}" />
									<input type="text" class="form-control" placeholder="{translate text='check_out'}" id="search_end_date_picker" />
								</div>
							</div>
						</div>
						<div class="form-group clearfix">
							<div class="w50p left">
								<div class="w95p" {show_search_field form='quick_search' field='type'}>
									<select name="type" id="type" data-width="100%">
										<option value="">{translate text='listing_type'}</option>
										{foreach item=option from=$action_object->m_form_fields.type.options}
											{$option}
										{/foreach}
									</select>
								</div>
							</div>
							<div class="w50p right">
								<div class="w95p right" {show_search_field form='quick_search' field='sleeps'}>
									<select name="sleeps_min" id="sleeps_min" data-width="100%">
										<option value="">{translate text='sleeps'}</option>
										{foreach item=label key=val from=$action_object->m_form_fields.sleeps_min.options}
										<option value="{$val}" {if $val==$action_object->m_form_fields.sleeps_min.value}selected="selected"{/if}>{$label}</option>
										{/foreach}
									</select>
								</div>
							</div>
						</div>
						<div class="form-group clearfix" {show_search_field form='quick_search' field='price'}>
							<div class="slider_labels">
								{config key='currency' assign='current_currency'}
								{config key='search_price' assign='search_price'}
								<strong>
									{translate text='price'}
								</strong> 
									/{if $search_price=='nightly_rate'}{translate text='night' transform='lowercase'}{elseif $search_price=='weekly_rate'}{translate text='week'}{elseif $search_price=='monthly_rate'}{translate text='month'}{/if}:
								
								{$current_currency->symbol_lft}{$current_currency->symbol_rgt}
								<input size="1" type="text" id="price_min" name="price_min" value="{$action_object->m_form_fields.price_min.value}" placeholder="0" /> <strong>-</strong> 
								{$current_currency->symbol_lft}{$current_currency->symbol_rgt}
								<input size="4" type="text" id="price_max" name="price_max" value="{$action_object->m_form_fields.price_max.value}" placeholder="{$action_object->m_form_fields.price_max.other.max_rent}" />
							</div>
							
							<input type="hidden" id="price_min_from_rent" value="{$action_object->m_form_fields.price_min.other.min_rent}" />
							<input type="hidden" id="price_max_to_rent" value="{$action_object->m_form_fields.price_max.other.max_rent}" />
							<input type="hidden" id="price_step_rent" value="{$action_object->m_form_fields.price_step_rent.value}" />

							
							<div id="price_slider_rent_box">
								<div class="slider_box">
									<div id="price_slider_rent"></div>
								</div>
							</div>
						</div>
						<div class="form-submit">
							<div class="text_center"><button class="btn_orange_100p" type="submit" name="btn_search" value="submit">{translate text='search'}</button></div>
						</div>
					</form>
				</div>