{load_bo bo="bo_auth" action="signup" assign="action_object"}
{include file="$theme/tpls/forms/form_errors.tpl"}
{if $action_object->m_form_status!=1}
<div class="row">
	<div class="col-md-9">
		<form id="registration" method="post" action="{site_url uri="$co_controller"}" class="form-horizontal padding_10px">
			<div class="form-group">
				<label for="role" class="col-sm-2 control-label">{translate text='i_am_a'} {$action_object->check_required('role')}</label>
				<div class="col-sm-10">
					<select name="role" id="role" data-width="50%">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.role.options}
							<option value="{$val}" {if $val==$action_object->get_value('role')}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</div>
			<div class="form-group">
				<label for="username" class="col-sm-2 control-label">{translate text='username'} {$action_object->check_required('username')}</label>
				<div class="col-sm-10">
					<input type="text" id="username" name="username" class="form-control" value="{$action_object->m_form_fields.username.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="email" class="col-sm-2 control-label">{translate text='email'} {$action_object->check_required('email')}</label>
				<div class="col-sm-10">
					<input type="text" id="email" name="email" class="form-control" value="{$action_object->m_form_fields.email.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="password" class="col-sm-2 control-label">{translate text='password'} {$action_object->check_required('password')}</label>
				<div class="col-sm-10">
					<input type="password" id="password" name="password" class="form-control" value="{$action_object->m_form_fields.password.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="retype_password" class="col-sm-2 control-label">{translate text='retype_password'} {$action_object->check_required('retype_password')}</label>
				<div class="col-sm-10">
					<input type="password" id="retype_password" name="retype_password" class="form-control" value="{$action_object->m_form_fields.retype_password.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="name" class="col-sm-2 control-label">{translate text='name'} {$action_object->check_required('name')}</label>
				<div class="col-sm-10">
					<input type="text" id="name" name="name" class="form-control" value="{$action_object->m_form_fields.name.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="country" class="col-sm-2 control-label">{translate text='country'} {$action_object->check_required('country')}</label>
				<div class="col-sm-10">
					<select name="country" id="country" data-width="50%">
						<option value="">...</option>
						{foreach item=label key=val from=$action_object->m_form_fields.country.options}
						<option value="{$val}" {if $val==$action_object->get_value('country')}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</div>
			</div>
			<div class="form-group">
				<label for="location" class="col-sm-2 control-label">{translate text='location'} {$action_object->check_required('location')}</label>
				<div class="col-sm-10">
					<input type="text" id="location" name="location" class="form-control" value="{$action_object->m_form_fields.location.value}" />
					<p class="help-block">{translate text='location_path_sample'}</p>
				</div>
			</div>
			<div class="form-group">
				<label for="phone" class="col-sm-2 control-label">{translate text='phone'} {$action_object->check_required('phone')}</label>
				<div class="col-sm-10">
					<input type="text" id="phone" name="phone" class="form-control" value="{$action_object->m_form_fields.phone.value}" />
				</div>
			</div>
			<div class="form-group">
				<label for="address" class="col-sm-2 control-label">{translate text='address'} {$action_object->check_required('address')}</label>
				<div class="col-sm-10">
					<textarea name="address" id="address" rows="3" class="form-control">{$action_object->m_form_fields.address.value}</textarea>
				</div>
			</div>
			<div class="form-group">
				<label for="zip" class="col-sm-2 control-label">{translate text='zip_code'} {$action_object->check_required('zip')}</label>
				<div class="col-sm-10">
					<div class="w50p">
						<input type="text" id="zip" name="zip" class="form-control" value="{$action_object->m_form_fields.zip.value}" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<div class="checkbox col-sm-10 col-sm-offset-2">
					<label for="active_newsletter">
						<input type="checkbox" name="active_newsletter" id="active_newsletter" value="1" {if $action_object->get_value('active_newsletter')==1}checked="checked"{/if} /> 
						{translate text='subscribe_to_newsletter'}
					</label>
				</div>		
			</div> 
			<div class="form-group">
				<div class="checkbox col-sm-10 col-sm-offset-2">
					<label for="terms_and_conditions">
						<input type="checkbox" name="terms_and_conditions" value="1" id="terms_and_conditions" {if $action_object->get_value('terms_and_conditions')==1}checked="checked"{/if} /> 
						<a href="{site_url}register-terms-and-conditions" class="show_iframe_modal">{translate text='i_agree_with_terms_and_conditions'}</a>
					</label>
				</div>		
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">{translate text="captcha"} {$action_object->check_required('captcha')}</label>
				<div class="col-sm-10">
					<div class="w50p">
						<input class="form-control" type="text" name="captcha" id="captcha" />
						<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
					</div>
				</div>
			</div>
			<div class="form-group">
				<div class="checkbox col-sm-10 col-sm-offset-2">
					<button type="submit" name="submitf" value="register" class="btn_dark_grey">{translate text='register'}</button>
				</div>		
			</div>
			<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div> 
		</form>
	</div>
</div>
{/if}