<!--start form-->
{include file="$theme/tpls/guest/_form_errors.tpl"}
<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" class="form-horizontal padding_10px">
	<div class="form-group">
		<label for="username" class="col-sm-3 control-label">{translate text='username'} {$action_object->check_required('username')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="username" name="username" value="{$action_object->m_form_fields.username.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="password" class="col-sm-3 control-label">{translate text='password'} {$action_object->check_required('password')}</label>
		<div class="col-sm-9">
			<input type="password" class="form-control" id="password" name="password" value="{$action_object->m_form_fields.password.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="retype_password" class="col-sm-3 control-label">{translate text='retype_password'} {$action_object->check_required('retype_password')}</label>
		<div class="col-sm-9">
			<input type="password" class="form-control" id="retype_password" name="retype_password" value="{$action_object->m_form_fields.retype_password.value}" />
			<div id="generated_password"></div>
		</div>
	</div>
	<div class="form-group">
		<label for="password" class="col-sm-3 control-label">{translate text='password_strength'}</label>
		<div class="col-sm-9">
			<input type="hidden" name="generate_password_label" id="generate_password_label" value="{translate text='generate_password'}" />
			<div id="password_strength" class="is0"></div>
		</div>
	</div>
	<div class="form-group">
		<label for="name" class="col-sm-3 control-label">{translate text='name'} {$action_object->check_required('name')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="name" name="name" value="{$action_object->m_form_fields.name.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="email" class="col-sm-3 control-label">{translate text='email'} {$action_object->check_required('email')}</label>
		<div class="col-sm-9">
			<input type="email" class="form-control" id="email" name="email" value="{$action_object->m_form_fields.email.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="phone" class="col-sm-3 control-label">{translate text='phone'} {$action_object->check_required('phone')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="phone" name="phone" value="{$action_object->m_form_fields.phone.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="phone2" class="col-sm-3 control-label">{translate text='phone'}#2 {$action_object->check_required('phone2')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="phone2" name="phone2" value="{$action_object->m_form_fields.phone2.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="fax" class="col-sm-3 control-label">{translate text='fax'} {$action_object->check_required('fax')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="fax" name="fax" value="{$action_object->m_form_fields.fax.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="country" class="col-sm-3 control-label">{translate text='country'} {$action_object->check_required('country')}</label>
		<div class="col-sm-9">
			<select name="country" id="country" data-width="50%">
				<option value="">...</option>
				{foreach item=label key=val from=$action_object->m_form_fields.country.options}
					<option value="{$val}" {if $val==$action_object->get_value('country')}selected="selected"{/if}>{$label}</option>
				{/foreach}
			</select>
		</div>
	</div>
	<div class="form-group">
		<label for="location" class="col-sm-3 control-label">{translate text='location'} {$action_object->check_required('location')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="location" name="location" value="{$action_object->m_form_fields.location.value}" />
			<p class="help-block">{translate text='location_path_sample'}</p>
		</div>
	</div>
	<div class="form-group">
		<label for="address" class="col-sm-3 control-label">{translate text='address'} {$action_object->check_required('address')}</label>
		<div class="col-sm-9">
			<textarea name="address" id="address" rows="2" class="form-control">{$action_object->m_form_fields.address.value}</textarea>
		</div>
	</div>
	<div class="form-group">
		<label for="zip" class="col-sm-3 control-label">{translate text='zip_code'} {$action_object->check_required('zip')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="text" class="form-control" id="zip" name="zip" value="{$action_object->m_form_fields.zip.value}" />
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-sm-3 control-label">{translate text='active_newsletter'} {$action_object->check_required('active_newsletter')}</label>
		<div class="col-sm-9">
			<label for="active_newsletter_yes">
				<input class="icheck" type="radio" id="active_newsletter_yes" name="active_newsletter" value="1" {if $action_object->get_value('active_newsletter')==1}checked="checked"{/if}> {translate text='yes'}
			</label> 
			<label for="active_newsletter_no">
				<input class="icheck" type="radio" id="active_newsletter_no" name="active_newsletter" value="0" {if $action_object->get_value('active_newsletter')==0}checked="checked"{/if}> {translate text='no'}
			</label>
		</div>
	</div>
	<div class="form-group">
		<div class="col-sm-9 col-sm-offset-3">
			<button type="submit" name="submitf" value="submit" class="btn_dark_grey">{translate text='save'}</button>
		</div>
	</div>
	<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
</form>
