{include file="$theme/tpls/header.tpl"}
{login_info assign="login_info" quick_info='1'}
{if !isset($seo_filter)}{seo_filter assign='seo_filter'}{/if}
<body id="top">
<!--wrapper-->
<div class="wrapper">
	{include file="$theme/tpls/box_header.tpl" login_info=$login_info seo_filter=$seo_filter}
	
	<!--page content-->
	<div id="page_content">
	
		<!--breadcrumbs_box-->
		<div class="breadcrumbs_box">
			{if $breadcrumbs}
			<div class="container">
				<ul class="breadcrumbs">
					<li class="first_breadcrumb"><a href="{base_url}"></a></li>
					{foreach name=breadcrumbs_list item=breadcrumb from=$breadcrumbs}
					<li {if $smarty.foreach.breadcrumbs_list.last}class="last_breadcrumb"{/if}>
						{if $breadcrumb.link}
							<a href="{$breadcrumb.link}">{$breadcrumb.crumb}</a>
						{else}
							{$breadcrumb.crumb}
						{/if}
					</li>
					{/foreach}
				</ul>
			</div>
			{/if}
		</div>
		<!--//breadcrumbs_box--> 
	
		<div class="container">
			<div class="row">
				<div class="col-md-3">
					<div class="white_content_box padding_10px">
						{left_nav role='guest'}
					</div>
				</div>
				<div class="col-md-9">
					<div class="white_content_box padding_10px">
						<h1>{$co_content_title}</h1>
						{if isset($bo_content_subtitle)}
						<h2>{$bo_content_subtitle}</h2>
						{/if}
						{$content}
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--//page content-->
</div>
<!--//wrapper-->
{include file="$theme/tpls/box_footer.tpl" latest_listings=''}
{include file="$theme/tpls/js.tpl"}
{include file="$theme/tpls/modals.tpl" page="guest_area"}
{include file="$theme/tpls/footer.tpl"}