<h1>{$action_object->m_listing_info->title}</h1>
<!--summary-->
<h3>{translate text='summary'}</h3>
<p>{$action_object->m_listing_info->summary|nl2br}</p>

{include file="$theme/tpls/properties/property_details_photo_gallery_pdf.tpl"}	

<div style="clear:both;"></div>

<!--description-->
<h3>{translate text='description'}</h3>
<p>{$action_object->m_listing_info->description|nl2br}</p>


<!--map-->
<h3>{translate text='map'}</h3>
{if $action_object->m_listing_info->show_address}	    			
<p>
	<strong>{translate text='address'}: </strong>{$action_object->m_listing_info->address|nl2br}
	<br />
	<strong>{translate text='zip_code'}: </strong>{$action_object->m_listing_info->zip_code}
	<br />
	<strong>{translate text='latitude'} / {translate text='longitude'}:</strong> {$action_object->m_listing_info->lat} / {$action_object->m_listing_info->lng}
	</div>
</p>
{/if}
{if $pdf_img_source=='u' || $print}
<img style="margin:5px 0 5px 0;" src="http://maps.google.com/maps/api/staticmap?center={$action_object->m_listing_info->lat},{$action_object->m_listing_info->lng}&zoom={$action_object->m_listing_info->zoom}&markers={$action_object->m_listing_info->lat},{$action_object->m_listing_info->lng}&size=500x300&sensor=false" />
{/if}
<div class="split"></div>

<!--distances-->
{if $action_object->m_listing_info->distances_arr}

<table width="100%" border="1" cellpadding="5" cellspacing="0" >
{foreach item=distance key=label from=$action_object->m_listing_info->distances_arr}
	<tr>
		<td width="20%"><strong>{$label}</strong></td>
		<td>
			{$distance.distance_name}
		</td>
		<td>
			{$distance.distance} {$distance.metrics}
		</td>
	</tr>
{/foreach}
</table>
{/if}

<!--directions-->
{if $action_object->m_listing_info->directions}
	<h3>{translate text='directions'}</h3>
	<p>
		{$action_object->m_listing_info->directions|nl2br}
	</p>
{/if}


<!--area description-->
{if $action_object->m_listing_info->area_description}
<h3>{translate text='listing_area_description'}</h3>
<p>
	{$action_object->m_listing_info->area_description|nl2br}
</div>
{/if}

<!--facilities-->
{translate text='accommodation_facilities_utilities'}
<p>{if $action_object->m_listing_info->stars}{$action_object->m_listing_info->stars} {translate text='stars'} {/if}{$action_object->m_listing_info->listing_type_title}</p>
{if $action_object->m_listing_info->board_str}
<p>{translate text='board'}: </strong>{$action_object->m_listing_info->board_str|str2columns}</p>
{/if}
<p>
	<strong>{translate text='bedrooms'}: </strong>{$action_object->m_listing_info->no_bedrooms} ( {$action_object->m_listing_info->max_guests} {translate text='max_guests'} )
	<br />
	{$action_object->m_listing_info->bedroom_options_str|replace:'###':', '}
</p>
<p>
	<strong>{translate text='bathrooms'}: </strong>{$action_object->m_listing_info->no_bathrooms}
	<br />
	{$action_object->m_listing_info->bathroom_options_str|replace:'###':', '}
</p>


<h4>{translate text='suitability'}</h4>
<ul>
	<li><strong>{translate text='suitability_longterm'}: </strong> {translate text="suitability_longterm_`$action_object->m_listing_info->suitability_longterm`"}</li>
	<li><strong>{translate text='suitability_pets'}: </strong> {translate text="suitability_pets_`$action_object->m_listing_info->suitability_pets`"}</li>
	<li><strong>{translate text='suitability_smoke'}: </strong> {translate text="suitability_smoke_`$action_object->m_listing_info->suitability_smoke`"}</li>
	<li><strong>{translate text='suitability_children'}: </strong> {translate text="suitability_children_`$action_object->m_listing_info->suitability_children`"}</li>
	<li><strong>{translate text='suitability_wheelchair'}: </strong> {translate text="suitability_wheelchair_`$action_object->m_listing_info->suitability_wheelchair`"}</li>
	<li><strong>{translate text='suitability_eldery'}: </strong> {translate text="suitability_eldery_`$action_object->m_listing_info->suitability_eldery`"}</li>
</ul>



{if $action_object->m_listing_info->holiday_type_str}
<h4>{translate text='holiday_type'}</h4>
<p>{$action_object->m_listing_info->holiday_type_str|replace:'###':', '}</p>
{/if}
					
{if $action_object->m_listing_info->view_type_str}
<h4>{translate text='view'}</h4>
<p>{$action_object->m_listing_info->view_type_str|replace:'###':', '}</p>
{/if}


{if $action_object->m_listing_info->facilities_general_str}
<h4>{translate text='facilities_general'}</h4>
<p>
	{$action_object->m_listing_info->facilities_general_str|replace:'###':', '}
</p>
{/if}
					
{if $action_object->m_listing_info->facilities_indoor_str}
<h4>{translate text='facilities_indoor'}</h4>
<p>
	{$action_object->m_listing_info->facilities_indoor_str|replace:'###':', '}
</p>
{/if}
					
{if $action_object->m_listing_info->facilities_outdoor_str}
<h4>{translate text='facilities_outdoor'}</h4>
<p>
	{$action_object->m_listing_info->facilities_outdoor_str|replace:'###':', '}
</p>
{/if}
					
{if $action_object->m_listing_info->services_str}
<h4>{translate text='services'}</h4>
<p>
	{$action_object->m_listing_info->services_str|replace:'###':', '}
</p>
{/if}
					
{if $action_object->m_listing_info->access_options_str}
<h4>{translate text='access'}</h4>
<p>
	{if $action_object->m_listing_info->car_essential==1}<strong>{translate text='car_is_essential'}</strong><br />{/if}
	{$action_object->m_listing_info->access_options_str|replace:'###':', '}
</p>
{/if}

{if $action_object->m_listing_info->activities_local_str||$action_object->m_listing_info->activities_other_str}

<h3>{translate text='activities'}</h3>
{if $action_object->m_listing_info->activities_local_str}
<h4>{translate text='activities_local'}: </h4>
<p>{$action_object->m_listing_info->activities_local_str|replace:'###':', '}</p>
{/if}
							
{if $action_object->m_listing_info->activities_other_str}
<h4>{translate text='activities_other'}: </h4>
<p>{$action_object->m_listing_info->activities_other_str|replace:'###':', '}</p>
{/if}
	
{/if}


<!--rates-->
{if $action_object->m_listing_info->show_rates}
<div id='tab-rates' class="listing_rates">
<h3 id="rates">{translate text='rates'}</h3>
<table border="1">
		    		<thead>
		    			<tr>
		    				<th scope="col" rowspan="2"><span class="offset">-</span></th>
		    				<th scope="col" colspan="2">{translate text='nightly_rate'}</th>
		    				<th scope="col" rowspan="2">{translate text='weekly'}</th>
		    				<th scope="col" rowspan="2">{translate text='monthly'}</th>
		    				<th scope="col" rowspan="2">{translate text='min_stay'}</th>
		    				<th scope="col" rowspan="2">{translate text='changeover'}</th>
		    			</tr>
		    			<tr>
		    				<th scope="col">{translate text='week'}</th>
		    				<th scope="col">{translate text='weekend'}</th>
		    			</tr>
		    		</thead>
		    		<tbody>
		    			<tr class="summary">
		    				<th scope="row">{translate text='rate_summary'}</th>
		    				<td class="convertiblex" colspan="2">
		    					{show_rate min="`$action_object->m_listing_info->converted_min_nightly_rate`" max="`$action_object->m_listing_info->converted_max_nightly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}
		    				</td>
		    				<td class="convertiblex">
		    					{show_rate min="`$action_object->m_listing_info->converted_min_weekly_rate`" max="`$action_object->m_listing_info->converted_max_weekly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}
		    				</td>
		    				<td class="convertiblex">
		    					{show_rate min="`$action_object->m_listing_info->converted_min_monthly_rate`" max="`$action_object->m_listing_info->converted_max_monthly_rate`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}
		    				</td>
		    				<td>
		    					{if $action_object->m_listing_info->min_min_stay}{format_field col='number' value="`$action_object->m_listing_info->min_min_stay`"} {translate text='nights'}{else}-{/if}
		    				</td>
		    				<td> - </td>
		    			</tr>
		    			
		    			{foreach item=rate from=$action_object->m_listing_info->rates}
		    			<tr {if $rate->special_offer}class="special_offer"{/if}>
		    				<th scope="row">
		    					<span>{if $rate->unit_type_id}{format_field col=unit_type_id value=$rate->unit_type_id}{/if}</span>
		    					{format_field col=date_format value="`$rate->start_date`"} - {format_field col=date_format value="`$rate->end_date`"} 
		    					<span>{$rate->title|default:'&nbsp;'}</span>
		    				</th>
		    				<td class="convertible">{show_rate value="`$rate->converted_nightly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
		    				<td class="convertible">{show_rate value="`$rate->converted_nightly_rate_weekend_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
		    				<td class="convertible">{show_rate value="`$rate->converted_weekly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
		    				<td class="convertible">{show_rate value="`$rate->converted_monthly_rate_plus_taxes`" symbol_lft="`$action_object->m_currency->symbol_lft`" symbol_rgt="`$action_object->m_currency->symbol_rgt`"}</td>
		    				<td>{format_field col='number' value=$rate->min_stay} {translate text='nights'}</td>
		    				<td>{format_field col='changeover_day' value=$rate->changeover_day}</td>
		    			</tr>
		    			{if $rate->extra_person_price_night||$rate->extra_person_price_week||$rate->extra_person_price_month}
		    			<tr>
		    				<td colspan="7" class="info">
		    					<strong>{translate text='price_for'}:</strong> {$rate->persons} {translate text='persons'}, 
		    					<strong>{translate text='extra_person_price'}:</strong> 
		    					{if $rate->extra_person_price_night}
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_night_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='night'}
		    					{/if}
		    					{if $rate->extra_person_price_week}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_week_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='week'}
		    					{/if}
		    					{if $rate->extra_person_price_month}, 
		    						{$action_object->m_currency->symbol_lft}
		    						{format_field col='number' decimals=2 value="`$rate->converted_extra_person_price_month_plus_taxes`"}
		    						{$action_object->m_currency->symbol_rgt} /{translate text='person'} /{translate text='month'}
		    						{/if}
		    				</td>
		    			</tr>
		    			{/if}
		    			{foreachelse}
		    			<tr><td colspan="7"><center><strong>{translate text='no_rates_available'}</strong></center></td></tr>
		    			{/foreach}
		    		</tbody>
</table>
{/if}

<!--addons-->
{if $action_object->m_listing_info->addons}
<h3 id="tab-addons">{translate text='addons'}</h3>
<table border="1">
		    		<thead>
		    			<tr>
		    				<th scope="col">&nbsp;</th>
		    				<th scope="col">{translate text='addon_type'}</th>
		    				<th scope="col">{translate text='price'}</th>
		    				<th scope="col">{translate text='charge_type'}</th>
		    			</tr>
		    		</thead>
		    		<tbody>
		    			{foreach item=addon from=$action_object->m_listing_info->addons}
		    			<tr>
		    				<th scope="row">{$addon->title}</th>
		    				<td>{translate text="addon_type_`$addon->addon_type`"}</td>
		    				<td class="convertible">
		    					{if $addon->converted_price}
		    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$addon->converted_price_plus_taxes`" decimals=2}{$action_object->m_currency->symbol_rgt}
		    					{else}
		    						{format_field col='price' value="`$addon->price`" listing_id="`$action_object->m_listing_info->listing_id`"}
		    					{/if}
		    				</td>
		    				<td>{translate text="charge_type_`$addon->charge_type`"}</td>
		    			</tr>
		    			{foreachelse}
		    				<tr><td colspan="4"><center><strong>{translate text='no_addons_available'}</strong></center></td></tr>
		    			{/foreach}
		    		</tbody>
</table>
{/if}

<!--start discounts-->
{if $action_object->m_listing_info->discounts}
<h3 id="discounts">{translate text='discounts'}</h3>
<table border="1">
		    		<thead>
		    			<tr>
		    				<th scope="col">&nbsp;</th>
		    				<th scope="col">{translate text='persons'}</th>
		    				<th scope="col">{translate text='night'}</th>
		    				<th scope="col">{translate text='week'}</th>
		    				<th scope="col">{translate text='month'}</th>
		    			</tr>
		    		</thead>
		    		<tbody>
		    			{foreach item=discount from=$action_object->m_listing_info->discounts}
		    			<tr>
		    				<th scope="row">{$discount->title}</th>
		    				<td>{$discount->persons}</td>
		    				<td class="convertible">
		    					{if $discount->converted_discount_night}
		    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_night`" decimals=2}{$action_object->m_currency->symbol_rgt}
		    					{else}
		    						{format_field col='price' value="`$discount->discount_night`" listing_id="`$action_object->m_listing_info->listing_id`"}
		    					{/if}
		    				</td>
		    				<td class="convertible">
		    					{if $discount->converted_discount_week}
		    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_week`" decimals=2}{$action_object->m_currency->symbol_rgt}
		    					{else}
		    						{format_field col='price' value="`$discount->discount_week`" listing_id="`$action_object->m_listing_info->listing_id`"}
		    					{/if}
		    				</td>
		    				<td class="convertible">
		    					{if $discount->converted_discount_month}
		    						{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$discount->converted_discount_month`" decimals=2}{$action_object->m_currency->symbol_rgt}
		    					{else}
		    						{format_field col='price' value="`$discount->discount_month`" listing_id="`$action_object->m_listing_info->listing_id`"}
		    					{/if}
		    				</td>
		    			</tr>
		    			{foreachelse}
		    				<tr><td colspan="5"><center><strong>{translate text='no_discounts_available'}</strong></center></td></tr>
		    			{/foreach}
		    		</tbody>
</table>
 			<!--early booking-->
		    {if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->discounts_early_booking}
	    	<div class="listing_rates">
	    		<h3>{translate text='discount_early_booking'}</h3>
		    	<table border="1">
		    		<thead>
		    			<tr>
		    				<th scope="col">{translate text='days'}</th>
		    				<th scope="col">{translate text='discount'}</th>
		    			</tr>
		    		</thead>
		    		<tbody>
		    			{foreach item=discount from=$action_object->m_listing_info->discounts_early_booking}
		    			<tr>
		    				<td>{format_field col='number' value="`$discount.days`"} {translate text='days'}</th>
		    				<td>{$discount.discount} %</td>
		    			</tr>
		    			{/foreach}
		    		</tbody>
		    	</table>
		    </div>
		    {/if}
		    <!--end early booking-->
		    
		     <!--long stay-->
		    {if $action_object->m_listing_info->listing_main_type=='rent' && $action_object->m_listing_info->discounts_long_stay}
	    	<div class="listing_rates">
	    		<h3>{translate text='discount_long_stay'}</h3>
		    	<table border="1">
		    		<thead>
		    			<tr>
		    				<th scope="col">{translate text='days'}</th>
		    				<th scope="col">{translate text='discount'}</th>
		    			</tr>
		    		</thead>
		    		<tbody>
		    			{foreach item=discount from=$action_object->m_listing_info->discounts_long_stay}
		    			<tr>
		    				<td>{format_field col='number' value="`$discount.days`"} {translate text='days'}</th>
		    				<td>{$discount.discount} %</td>
		    			</tr>
		    			{/foreach}
		    		</tbody>
		    	</table>
		    </div>
{/if}
{/if}
<!--end long stay-->

<!--start policies-->
<h3>{translate text='policies'}</h3>
<p>
	<strong>{translate text='check_in'}: </strong>{$action_object->m_listing_info->check_in}, <strong>{translate text='check_out'}: </strong>{$action_object->m_listing_info->check_out}
</p>
{if $action_object->m_listing_info->policies}
<p>{$action_object->m_listing_info->policies|nl2br}</p>
{/if}
		  
{if $action_object->m_listing_info->terms_and_conditions}
<h4>{translate text='terms_and_conditions'}</h4>		    
<p>{$action_object->m_listing_info->terms_and_conditions|nl2br}</p>
{/if}

		    	
<!--start qr code-->
{if $action_object->m_listing_info->qr_code}
<img src="{$action_object->m_listing_info->qr_code}" alt=" " />
{/if}