<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
{load_bo bo="bo_dbimport" action="index" assign="action_object"}
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>Vacation Rental Script - VRS.6 to VRS.7 DB Import</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="" />
<meta name="keywords" content="" />

<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/resets.css" type="text/css" />
<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/style.css" type="text/css" />
<link rel="stylesheet" href="{base_url}public/themes/{$theme}/css/forms.css" type="text/css" />
{literal}
<script type="text/javascript">
function toggle_all(source,reverse) 
{
	checkboxes = document.getElementsByName('what_to_import[]');
	//console.log(checkboxes);
	for(var i=0, n=checkboxes.length;i<n;i++)
	{
		if(checkboxes[i].type === 'checkbox')
		{
			if(reverse)
			{
				checkboxes[i].checked = !checkboxes[i].checked;
			}else
				checkboxes[i].checked = source.checked;
		}
	}
}
</script>
{/literal}
</head>
<body>
<!--start container-->
<div id="container">
	<!--start content-->
	<div id="content" class="column_full">
		<div class="full_content">
			<div class="box">
				<span class="rb"><span class="rb2 grey_rb2">&nbsp;</span><span class="rb1 grey_rb1">&nbsp;</span></span>
				<div class="rbc grey_rbc">
				
					<div id="header">
						<div class="logo">
							<a href="{base_url}"><img src="{base_url}public/themes/{$theme}/images/logo.png" alt=" " title=" " /></a>
						</div>
					</div>
					{include file="$theme/tpls/form_errors_dbimport.tpl"}
					{if $action_object->m_form_status==1}
					{elseif $action_object->m_form_status==2}
						<div class="basic_form">
							<ul class="form_box">
								<h2>Please wait...</h2>
								<li>{$action_object->m_redirect_text}</li>
								<li class="form_desp">&nbsp;</li>
							</ul>
						</div>
					{else}
					<div class="basic_form">
						<form id="install" name="install" method="post" action="{base_url}index.php?/installer/dbimport/index/{if $itype}itype.{$itype}{/if}" enctype="multipart/form-data" >
							<ul class="form_box">
								<!--start mysql settings-->
								<li class="form_box_section">
									<h2>VRS.6 {translate text='mysql_settings'}</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_host'}</label>{$action_object->check_required('mysql_host')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="mysql_host" name="mysql_host" value="{$action_object->get_value('mysql_host')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_username'}</label>{$action_object->check_required('mysql_username')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="mysql_username" name="mysql_username" value="{$action_object->get_value('mysql_username')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_password'}</label>{$action_object->check_required('mysql_password')}
											</div>
											<div class="input_box">
												<input type="password" class="medium_text" id="mysql_password" name="mysql_password" value="{$action_object->get_value('mysql_password')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>{translate text='mysql_database'}</label>{$action_object->check_required('mysql_database')}
											</div>
											<div class="input_box">
												<input type="text" class="medium_text" id="mysql_database" name="mysql_database" value="{$action_object->get_value('mysql_database')}" />
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box">
								<!--start mysql settings-->
								<li class="form_box_section">
									<h2>Paths</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="label_box">
												<label>VRS.6 public path</label>{$action_object->check_required('source_path')}
											</div>
											<div class="input_box">
												<input type="text" class="text" id="source_path" name="source_path" value="{$action_object->get_value('source_path')}" />
											</div>
										</li>
										<li>
											<div class="label_box">
												<label>VRS.7 public path</label>{$action_object->check_required('dest_path')}
											</div>
											<div class="input_box">
												<input type="text" class="text" id="dest_path" name="dest_path" value="{$action_object->get_value('dest_path')}" />
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box">
								
								<li class="form_box_section">
									<h2>What?</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="input_box" style="margin:10px;">
												<ul style="background:#fff;">
												{foreach item=val  from=$action_object->m_form_fields.what_to_import.options}
													<li style="width:25%;float:left;clear:none">
														<input type="checkbox" name="what_to_import[]" value="{$val}" {if in_array($val,$action_object->m_form_fields.what_to_import.value)}checked="checked"{/if} />
														<strong>{if $val=='move_upload'}{$val}* {else}{$val}{/if}</strong>
													</li>
												{/foreach}
													<li style="clear:both"></li>
												</ul>
												<br />
												<input type="checkbox" id="toggle" onclick="toggle_all(this)" /> Toggle | <input type="checkbox" id="reverse_selected" onclick="toggle_all(this,true)" /> Reverse selected
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box">
								<li class="form_box_section">
									<h2>Move upload dirs *</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="input_box" style="margin:10px;">
												<ul style="background:#fff;">
												{foreach item=val  from=$action_object->m_form_fields.move_upload_dirs.options}
													<li style="width:25%;float:left;clear:none">
														<input type="checkbox" name="move_upload_dirs[]" value="{$val}" {if in_array($val,$action_object->m_form_fields.move_upload_dirs.value)}checked="checked"{/if} />
														<strong>{$val}</strong>
													</li>
												{/foreach}
													<li style="clear:both"></li>
												</ul>
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box">
								<li class="form_box_section">
									<h2>Settings</h2>
									<ul>
										<li class="form_desp">&nbsp;</li>
										<li>
											<div class="input_box" style="margin:10px;">
												<ul style="background:#fff;">
												{foreach item=val  from=$action_object->m_form_fields.settings.options}
													<li style="width:25%;float:left;clear:none">
														<input type="checkbox" name="settings[]" value="{$val}" {if in_array($val,$action_object->m_form_fields.settings.value)}checked="checked"{/if} />
														<strong>{$val}</strong>
													</li>
												{/foreach}
													<li style="clear:both"></li>
												</ul>
											</div>
										</li>
										<li class="form_desp">&nbsp;</li>
									</ul>
								</li>
							</ul>
							<ul class="form_box_submit">
								<li>
									<center>	
										<span class="btn_grey">
											<span>
												<span>Import</span>
												<input type="submit" name="submitf" value="submit" />
											</span>
										</span>
									</center>
								</li>
							</ul>
							<ul class="form_box_notes">
								<li>{translate text="fields_marked_are_mandatory"}</li>
							</ul>
						</form>
					</div>
				{/if}
				</div>
				<span class="rb"><span class="rb1 grey_rb1">&nbsp;</span><span class="rb2 grey_rb2">&nbsp;</span></span>
			</div>
			<!--end test cms-->
		</div>
		<!--end right sidebar-->
		<div class="clear"></div>
	</div>
	<!--end content-->
</div>
<!--end container-->
{if $action_object->m_redirect}
<script type="text/javascript">
{/literal}{if $action_object->m_sleep}{literal}
	window.setTimeout(function () {
		//document.write = '<br />Wait ...';
		console.log('Wait ...');
		window.location.href = '{/literal}{$action_object->m_redirect}{literal}';
	}, 
	{/literal}{$action_object->m_sleep}{literal}
	);
{/literal}{else}{literal}
	window.location.href = '{/literal}{$action_object->m_redirect}{literal}';
{/literal}{/if}{literal}
</script>
{/if}
</body>
</html>